
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 64      |
| TEST_REGION               | [('0x80000390', '0x80002a90')]      |
| SIG_REGION                | [('0x80004010', '0x80004dc0', '438 dwords')]      |
| COV_LABELS                | caddiw      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/caddiw-01.S/caddiw-01.S    |
| Total Number of coverpoints| 496     |
| Total Coverpoints Hit     | 496      |
| Total Signature Updates   | 438      |
| STAT1                     | 438      |
| STAT2                     | 0      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```


```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|            signature             |                                                              coverpoints                                                               |                              code                               |
|---:|----------------------------------|----------------------------------------------------------------------------------------------------------------------------------------|-----------------------------------------------------------------|
|   1|[0x80004010]<br>0x0000000000000020|- opcode : c.addiw<br> - rd : x9<br> - rs1_val == imm_val<br> - rs1_val > 0 and imm_val > 0<br> - imm_val == 16<br> - rs1_val == 16<br> |[0x8000039c]:c.addiw s1, 16<br> [0x8000039e]:c.sdsp s1, 0<br>    |
|   2|[0x80004018]<br>0x0000000000008007|- rd : x7<br> - rs1_val != imm_val<br> - rs1_val == 32768<br>                                                                           |[0x800003a4]:c.addiw t2, 7<br> [0x800003a6]:c.sdsp t2, 1<br>     |
|   3|[0x80004020]<br>0xFFFFFFFFFFFFFFFF|- rd : x31<br> - rs1_val > 0 and imm_val < 0<br> - rs1_val == 144115188075855872<br>                                                    |[0x800003b0]:c.addiw t6, 63<br> [0x800003b2]:c.sdsp t6, 2<br>    |
|   4|[0x80004028]<br>0xFFFFFFFFFFFFF002|- rd : x10<br> - rs1_val < 0 and imm_val > 0<br> - rs1_val == -4097<br>                                                                 |[0x800003bc]:c.addiw a0, 3<br> [0x800003be]:c.sdsp a0, 3<br>     |
|   5|[0x80004030]<br>0xFFFFFFFFFFFFFDE9|- rd : x16<br> - rs1_val < 0 and imm_val < 0<br> - imm_val == -22<br> - rs1_val == -513<br>                                             |[0x800003c4]:c.addiw a6, 42<br> [0x800003c6]:c.sdsp a6, 4<br>    |
|   6|[0x80004038]<br>0xFFFFFFFFFFFFFFE0|- rd : x27<br> - imm_val == (-2**(6-1))<br> - imm_val == -32<br> - rs1_val == 1125899906842624<br>                                      |[0x800003d0]:c.addiw s11, 32<br> [0x800003d2]:c.sdsp s11, 5<br>  |
|   7|[0x80004040]<br>0xFFFFFFFFFFFFFFF8|- rd : x18<br> - imm_val == 0<br>                                                                                                       |[0x800003d8]:c.addiw s2, 0<br> [0x800003da]:c.sdsp s2, 6<br>     |
|   8|[0x80004048]<br>0xFFFFFFFFFF80001E|- rd : x21<br> - imm_val == (2**(6-1)-1)<br> - imm_val == 31<br> - rs1_val == -8388609<br>                                              |[0x800003e4]:c.addiw s5, 31<br> [0x800003e6]:c.sdsp s5, 7<br>    |
|   9|[0x80004050]<br>0x0000000000000000|- rd : x11<br> - imm_val == 1<br> - rs1_val == -68719476737<br>                                                                         |[0x800003f4]:c.addiw a1, 1<br> [0x800003f6]:c.sdsp a1, 8<br>     |
|  10|[0x80004058]<br>0x0000000000000005|- rd : x4<br> - rs1_val == (-2**(xlen-1))<br> - rs1_val == -9223372036854775808<br>                                                     |[0x80000400]:c.addiw tp, 5<br> [0x80000402]:c.sdsp tp, 9<br>     |
|  11|[0x80004060]<br>0x0000000000000004|- rd : x3<br> - rs1_val == 0<br> - imm_val == 4<br> - rs1_val==0 and imm_val==4<br>                                                     |[0x80000408]:c.addiw gp, 4<br> [0x8000040a]:c.sdsp gp, 10<br>    |
|  12|[0x80004068]<br>0x0000000000000005|- rd : x24<br> - rs1_val == (2**(xlen-1)-1)<br> - rs1_val == 9223372036854775807<br>                                                    |[0x80000418]:c.addiw s8, 6<br> [0x8000041a]:c.sdsp s8, 11<br>    |
|  13|[0x80004070]<br>0x0000000000000004|- rd : x30<br> - rs1_val == 1<br>                                                                                                       |[0x80000420]:c.addiw t5, 3<br> [0x80000422]:c.sdsp t5, 12<br>    |
|  14|[0x80004078]<br>0xFFFFFFFFFFF00001|- rd : x13<br> - imm_val == 2<br> - rs1_val == -1048577<br>                                                                             |[0x8000042c]:c.addiw a3, 2<br> [0x8000042e]:c.sdsp a3, 13<br>    |
|  15|[0x80004080]<br>0xFFFFFFFFC0000007|- rd : x14<br> - imm_val == 8<br> - rs1_val == -1073741825<br>                                                                          |[0x80000438]:c.addiw a4, 8<br> [0x8000043a]:c.sdsp a4, 14<br>    |
|  16|[0x80004088]<br>0xFFFFFFFFFFFFFFF4|- rd : x26<br> - imm_val == -2<br>                                                                                                      |[0x80000440]:c.addiw s10, 62<br> [0x80000442]:c.sdsp s10, 15<br> |
|  17|[0x80004090]<br>0x0000000000000000|- rd : x12<br> - imm_val == -3<br>                                                                                                      |[0x80000448]:c.addiw a2, 61<br> [0x8000044a]:c.sdsp a2, 16<br>   |
|  18|[0x80004098]<br>0x000000000FFFFFFB|- rd : x6<br> - imm_val == -5<br> - rs1_val == 268435456<br>                                                                            |[0x80000450]:c.addiw t1, 59<br> [0x80000452]:c.sdsp t1, 17<br>   |
|  19|[0x800040a0]<br>0xFFFFFFFFFFFFFFEE|- rd : x17<br> - imm_val == -9<br> - rs1_val == -9<br>                                                                                  |[0x80000458]:c.addiw a7, 55<br> [0x8000045a]:c.sdsp a7, 18<br>   |
|  20|[0x800040a8]<br>0xFFFFFFFFFFFFFFEE|- rd : x29<br> - imm_val == -17<br> - rs1_val == -35184372088833<br>                                                                    |[0x80000468]:c.addiw t4, 47<br> [0x8000046a]:c.sdsp t4, 19<br>   |
|  21|[0x800040b0]<br>0x0000000000000019|- rd : x23<br> - imm_val == 21<br> - rs1_val == 4<br>                                                                                   |[0x80000470]:c.addiw s7, 21<br> [0x80000472]:c.sdsp s7, 20<br>   |
|  22|[0x800040b8]<br>0x0000000000000006|- rd : x28<br> - rs1_val==3 and imm_val==3<br>                                                                                          |[0x80000478]:c.addiw t3, 3<br> [0x8000047a]:c.sdsp t3, 21<br>    |
|  23|[0x800040c0]<br>0x0000000000000008|- rd : x8<br> - rs1_val==3 and imm_val==5<br>                                                                                           |[0x80000480]:c.addiw fp, 5<br> [0x80000482]:c.sdsp fp, 22<br>    |
|  24|[0x800040c8]<br>0x000000000000000D|- rd : x15<br> - rs1_val==3 and imm_val==10<br>                                                                                         |[0x80000488]:c.addiw a5, 10<br> [0x8000048a]:c.sdsp a5, 23<br>   |
|  25|[0x800040d0]<br>0x0000000000000009|- rd : x22<br> - rs1_val==3 and imm_val==6<br>                                                                                          |[0x80000490]:c.addiw s6, 6<br> [0x80000492]:c.sdsp s6, 24<br>    |
|  26|[0x800040d8]<br>0x0000000000000001|- rd : x19<br> - rs1_val==3 and imm_val==-2<br>                                                                                         |[0x80000498]:c.addiw s3, 62<br> [0x8000049a]:c.sdsp s3, 25<br>   |
|  27|[0x800040e0]<br>0xFFFFFFFFFFFFFFFE|- rd : x1<br> - rs1_val==3 and imm_val==-5<br>                                                                                          |[0x800004a0]:c.addiw ra, 59<br> [0x800004a2]:c.sdsp ra, 26<br>   |
|  28|[0x800040e8]<br>0x0000000000000005|- rd : x20<br> - rs1_val==3 and imm_val==2<br>                                                                                          |[0x800004a8]:c.addiw s4, 2<br> [0x800004aa]:c.sdsp s4, 27<br>    |
|  29|[0x800040f0]<br>0x0000000000000007|- rd : x2<br> - rs1_val==3 and imm_val==4<br>                                                                                           |[0x800004b8]:c.addiw sp, 4<br> [0x800004ba]:sd sp, 0(ra)<br>     |
|  30|[0x800040f8]<br>0x000000000000000C|- rd : x25<br> - rs1_val==3 and imm_val==9<br>                                                                                          |[0x800004c2]:c.addiw s9, 9<br> [0x800004c4]:sd s9, 8(ra)<br>     |
|  31|[0x80004100]<br>0x0000000000000003|- rd : x5<br> - rs1_val==3 and imm_val==0<br>                                                                                           |[0x800004cc]:c.addiw t0, 0<br> [0x800004ce]:sd t0, 16(ra)<br>    |
|  32|[0x80004108]<br>0x000000000000000E|- rs1_val==3 and imm_val==11<br>                                                                                                        |[0x800004d6]:c.addiw a0, 11<br> [0x800004d8]:sd a0, 24(ra)<br>   |
|  33|[0x80004110]<br>0x000000000000000A|- rs1_val==3 and imm_val==7<br>                                                                                                         |[0x800004e0]:c.addiw a0, 7<br> [0x800004e2]:sd a0, 32(ra)<br>    |
|  34|[0x80004118]<br>0x0000000000000002|- rs1_val==3 and imm_val==-1<br>                                                                                                        |[0x800004ea]:c.addiw a0, 63<br> [0x800004ec]:sd a0, 40(ra)<br>   |
|  35|[0x80004120]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==3 and imm_val==-4<br>                                                                                                        |[0x800004f4]:c.addiw a0, 60<br> [0x800004f6]:sd a0, 48(ra)<br>   |
|  36|[0x80004128]<br>0x0000000055555558|- rs1_val==6148914691236517205 and imm_val==3<br> - rs1_val == 6148914691236517205<br>                                                  |[0x8000051a]:c.addiw a0, 3<br> [0x8000051c]:sd a0, 56(ra)<br>    |
|  37|[0x80004130]<br>0x000000005555555A|- rs1_val==6148914691236517205 and imm_val==5<br>                                                                                       |[0x80000540]:c.addiw a0, 5<br> [0x80000542]:sd a0, 64(ra)<br>    |
|  38|[0x80004138]<br>0x000000005555555F|- rs1_val==6148914691236517205 and imm_val==10<br>                                                                                      |[0x80000566]:c.addiw a0, 10<br> [0x80000568]:sd a0, 72(ra)<br>   |
|  39|[0x80004140]<br>0x000000005555555B|- rs1_val==6148914691236517205 and imm_val==6<br>                                                                                       |[0x8000058c]:c.addiw a0, 6<br> [0x8000058e]:sd a0, 80(ra)<br>    |
|  40|[0x80004148]<br>0x0000000055555553|- rs1_val==6148914691236517205 and imm_val==-2<br>                                                                                      |[0x800005b2]:c.addiw a0, 62<br> [0x800005b4]:sd a0, 88(ra)<br>   |
|  41|[0x80004150]<br>0x0000000055555550|- rs1_val==6148914691236517205 and imm_val==-5<br>                                                                                      |[0x800005d8]:c.addiw a0, 59<br> [0x800005da]:sd a0, 96(ra)<br>   |
|  42|[0x80004158]<br>0x0000000055555557|- rs1_val==6148914691236517205 and imm_val==2<br>                                                                                       |[0x800005fe]:c.addiw a0, 2<br> [0x80000600]:sd a0, 104(ra)<br>   |
|  43|[0x80004160]<br>0x0000000055555559|- rs1_val==6148914691236517205 and imm_val==4<br>                                                                                       |[0x80000624]:c.addiw a0, 4<br> [0x80000626]:sd a0, 112(ra)<br>   |
|  44|[0x80004168]<br>0x000000005555555E|- rs1_val==6148914691236517205 and imm_val==9<br>                                                                                       |[0x8000064a]:c.addiw a0, 9<br> [0x8000064c]:sd a0, 120(ra)<br>   |
|  45|[0x80004170]<br>0x0000000055555555|- rs1_val==6148914691236517205 and imm_val==0<br>                                                                                       |[0x80000670]:c.addiw a0, 0<br> [0x80000672]:sd a0, 128(ra)<br>   |
|  46|[0x80004178]<br>0x0000000055555560|- rs1_val==6148914691236517205 and imm_val==11<br>                                                                                      |[0x80000696]:c.addiw a0, 11<br> [0x80000698]:sd a0, 136(ra)<br>  |
|  47|[0x80004180]<br>0x000000005555555C|- rs1_val==6148914691236517205 and imm_val==7<br>                                                                                       |[0x800006bc]:c.addiw a0, 7<br> [0x800006be]:sd a0, 144(ra)<br>   |
|  48|[0x80004188]<br>0x0000000055555554|- rs1_val==6148914691236517205 and imm_val==-1<br>                                                                                      |[0x800006e2]:c.addiw a0, 63<br> [0x800006e4]:sd a0, 152(ra)<br>  |
|  49|[0x80004190]<br>0x0000000055555551|- rs1_val==6148914691236517205 and imm_val==-4<br>                                                                                      |[0x80000708]:c.addiw a0, 60<br> [0x8000070a]:sd a0, 160(ra)<br>  |
|  50|[0x80004198]<br>0xFFFFFFFFAAAAAAAD|- rs1_val==-6148914691236517206 and imm_val==3<br> - rs1_val == -6148914691236517206<br>                                                |[0x8000072e]:c.addiw a0, 3<br> [0x80000730]:sd a0, 168(ra)<br>   |
|  51|[0x800041a0]<br>0xFFFFFFFFAAAAAAAF|- rs1_val==-6148914691236517206 and imm_val==5<br>                                                                                      |[0x80000754]:c.addiw a0, 5<br> [0x80000756]:sd a0, 176(ra)<br>   |
|  52|[0x800041a8]<br>0xFFFFFFFFAAAAAAB4|- rs1_val==-6148914691236517206 and imm_val==10<br>                                                                                     |[0x8000077a]:c.addiw a0, 10<br> [0x8000077c]:sd a0, 184(ra)<br>  |
|  53|[0x800041b0]<br>0xFFFFFFFFAAAAAAB0|- rs1_val==-6148914691236517206 and imm_val==6<br>                                                                                      |[0x800007a0]:c.addiw a0, 6<br> [0x800007a2]:sd a0, 192(ra)<br>   |
|  54|[0x800041b8]<br>0xFFFFFFFFAAAAAAA8|- rs1_val==-6148914691236517206 and imm_val==-2<br>                                                                                     |[0x800007c6]:c.addiw a0, 62<br> [0x800007c8]:sd a0, 200(ra)<br>  |
|  55|[0x800041c0]<br>0xFFFFFFFFAAAAAAA5|- rs1_val==-6148914691236517206 and imm_val==-5<br>                                                                                     |[0x800007ec]:c.addiw a0, 59<br> [0x800007ee]:sd a0, 208(ra)<br>  |
|  56|[0x800041c8]<br>0xFFFFFFFFAAAAAAAC|- rs1_val==-6148914691236517206 and imm_val==2<br>                                                                                      |[0x80000812]:c.addiw a0, 2<br> [0x80000814]:sd a0, 216(ra)<br>   |
|  57|[0x800041d0]<br>0xFFFFFFFFAAAAAAAE|- rs1_val==-6148914691236517206 and imm_val==4<br>                                                                                      |[0x80000838]:c.addiw a0, 4<br> [0x8000083a]:sd a0, 224(ra)<br>   |
|  58|[0x800041d8]<br>0xFFFFFFFFAAAAAAB3|- rs1_val==-6148914691236517206 and imm_val==9<br>                                                                                      |[0x8000085e]:c.addiw a0, 9<br> [0x80000860]:sd a0, 232(ra)<br>   |
|  59|[0x800041e0]<br>0xFFFFFFFFAAAAAAAA|- rs1_val==-6148914691236517206 and imm_val==0<br>                                                                                      |[0x80000884]:c.addiw a0, 0<br> [0x80000886]:sd a0, 240(ra)<br>   |
|  60|[0x800041e8]<br>0xFFFFFFFFAAAAAAB5|- rs1_val==-6148914691236517206 and imm_val==11<br>                                                                                     |[0x800008aa]:c.addiw a0, 11<br> [0x800008ac]:sd a0, 248(ra)<br>  |
|  61|[0x800041f0]<br>0xFFFFFFFFAAAAAAB1|- rs1_val==-6148914691236517206 and imm_val==7<br>                                                                                      |[0x800008d0]:c.addiw a0, 7<br> [0x800008d2]:sd a0, 256(ra)<br>   |
|  62|[0x800041f8]<br>0xFFFFFFFFAAAAAAA9|- rs1_val==-6148914691236517206 and imm_val==-1<br>                                                                                     |[0x800008f6]:c.addiw a0, 63<br> [0x800008f8]:sd a0, 264(ra)<br>  |
|  63|[0x80004200]<br>0xFFFFFFFFAAAAAAA6|- rs1_val==-6148914691236517206 and imm_val==-4<br>                                                                                     |[0x8000091c]:c.addiw a0, 60<br> [0x8000091e]:sd a0, 272(ra)<br>  |
|  64|[0x80004208]<br>0x0000000000000008|- rs1_val==5 and imm_val==3<br>                                                                                                         |[0x80000926]:c.addiw a0, 3<br> [0x80000928]:sd a0, 280(ra)<br>   |
|  65|[0x80004210]<br>0x000000000000000A|- rs1_val==5 and imm_val==5<br>                                                                                                         |[0x80000930]:c.addiw a0, 5<br> [0x80000932]:sd a0, 288(ra)<br>   |
|  66|[0x80004218]<br>0x000000000000000F|- rs1_val==5 and imm_val==10<br>                                                                                                        |[0x8000093a]:c.addiw a0, 10<br> [0x8000093c]:sd a0, 296(ra)<br>  |
|  67|[0x80004220]<br>0x000000000000000B|- rs1_val==5 and imm_val==6<br>                                                                                                         |[0x80000944]:c.addiw a0, 6<br> [0x80000946]:sd a0, 304(ra)<br>   |
|  68|[0x80004228]<br>0x0000000000000003|- rs1_val==5 and imm_val==-2<br>                                                                                                        |[0x8000094e]:c.addiw a0, 62<br> [0x80000950]:sd a0, 312(ra)<br>  |
|  69|[0x80004230]<br>0x0000000000000000|- rs1_val==5 and imm_val==-5<br>                                                                                                        |[0x80000958]:c.addiw a0, 59<br> [0x8000095a]:sd a0, 320(ra)<br>  |
|  70|[0x80004238]<br>0x0000000000000007|- rs1_val==5 and imm_val==2<br>                                                                                                         |[0x80000962]:c.addiw a0, 2<br> [0x80000964]:sd a0, 328(ra)<br>   |
|  71|[0x80004240]<br>0x0000000000000009|- rs1_val==5 and imm_val==4<br>                                                                                                         |[0x8000096c]:c.addiw a0, 4<br> [0x8000096e]:sd a0, 336(ra)<br>   |
|  72|[0x80004248]<br>0x000000000000000E|- rs1_val==5 and imm_val==9<br>                                                                                                         |[0x80000976]:c.addiw a0, 9<br> [0x80000978]:sd a0, 344(ra)<br>   |
|  73|[0x80004250]<br>0x0000000000000005|- rs1_val==5 and imm_val==0<br>                                                                                                         |[0x80000980]:c.addiw a0, 0<br> [0x80000982]:sd a0, 352(ra)<br>   |
|  74|[0x80004258]<br>0x0000000000000010|- rs1_val==5 and imm_val==11<br>                                                                                                        |[0x8000098a]:c.addiw a0, 11<br> [0x8000098c]:sd a0, 360(ra)<br>  |
|  75|[0x80004260]<br>0x000000000000000C|- rs1_val==5 and imm_val==7<br>                                                                                                         |[0x80000994]:c.addiw a0, 7<br> [0x80000996]:sd a0, 368(ra)<br>   |
|  76|[0x80004268]<br>0x0000000000000004|- rs1_val==5 and imm_val==-1<br>                                                                                                        |[0x8000099e]:c.addiw a0, 63<br> [0x800009a0]:sd a0, 376(ra)<br>  |
|  77|[0x80004270]<br>0x0000000000000001|- rs1_val==5 and imm_val==-4<br>                                                                                                        |[0x800009a8]:c.addiw a0, 60<br> [0x800009aa]:sd a0, 384(ra)<br>  |
|  78|[0x80004278]<br>0x0000000033333336|- rs1_val==3689348814741910323 and imm_val==3<br>                                                                                       |[0x800009ce]:c.addiw a0, 3<br> [0x800009d0]:sd a0, 392(ra)<br>   |
|  79|[0x80004280]<br>0x0000000033333338|- rs1_val==3689348814741910323 and imm_val==5<br>                                                                                       |[0x800009f4]:c.addiw a0, 5<br> [0x800009f6]:sd a0, 400(ra)<br>   |
|  80|[0x80004288]<br>0x000000003333333D|- rs1_val==3689348814741910323 and imm_val==10<br>                                                                                      |[0x80000a1a]:c.addiw a0, 10<br> [0x80000a1c]:sd a0, 408(ra)<br>  |
|  81|[0x80004290]<br>0x0000000033333339|- rs1_val==3689348814741910323 and imm_val==6<br>                                                                                       |[0x80000a40]:c.addiw a0, 6<br> [0x80000a42]:sd a0, 416(ra)<br>   |
|  82|[0x80004298]<br>0x0000000033333331|- rs1_val==3689348814741910323 and imm_val==-2<br>                                                                                      |[0x80000a66]:c.addiw a0, 62<br> [0x80000a68]:sd a0, 424(ra)<br>  |
|  83|[0x800042a0]<br>0x000000003333332E|- rs1_val==3689348814741910323 and imm_val==-5<br>                                                                                      |[0x80000a8c]:c.addiw a0, 59<br> [0x80000a8e]:sd a0, 432(ra)<br>  |
|  84|[0x800042a8]<br>0x0000000033333335|- rs1_val==3689348814741910323 and imm_val==2<br>                                                                                       |[0x80000ab2]:c.addiw a0, 2<br> [0x80000ab4]:sd a0, 440(ra)<br>   |
|  85|[0x800042b0]<br>0x0000000033333337|- rs1_val==3689348814741910323 and imm_val==4<br>                                                                                       |[0x80000ad8]:c.addiw a0, 4<br> [0x80000ada]:sd a0, 448(ra)<br>   |
|  86|[0x800042b8]<br>0x000000003333333C|- rs1_val==3689348814741910323 and imm_val==9<br>                                                                                       |[0x80000afe]:c.addiw a0, 9<br> [0x80000b00]:sd a0, 456(ra)<br>   |
|  87|[0x800042c0]<br>0x0000000033333333|- rs1_val==3689348814741910323 and imm_val==0<br>                                                                                       |[0x80000b24]:c.addiw a0, 0<br> [0x80000b26]:sd a0, 464(ra)<br>   |
|  88|[0x800042c8]<br>0x000000003333333E|- rs1_val==3689348814741910323 and imm_val==11<br>                                                                                      |[0x80000b4a]:c.addiw a0, 11<br> [0x80000b4c]:sd a0, 472(ra)<br>  |
|  89|[0x800042d0]<br>0x000000003333333A|- rs1_val==3689348814741910323 and imm_val==7<br>                                                                                       |[0x80000b70]:c.addiw a0, 7<br> [0x80000b72]:sd a0, 480(ra)<br>   |
|  90|[0x800042d8]<br>0x0000000033333332|- rs1_val==3689348814741910323 and imm_val==-1<br>                                                                                      |[0x80000b96]:c.addiw a0, 63<br> [0x80000b98]:sd a0, 488(ra)<br>  |
|  91|[0x800042e0]<br>0x000000003333332F|- rs1_val==3689348814741910323 and imm_val==-4<br>                                                                                      |[0x80000bbc]:c.addiw a0, 60<br> [0x80000bbe]:sd a0, 496(ra)<br>  |
|  92|[0x800042e8]<br>0x0000000066666669|- rs1_val==7378697629483820646 and imm_val==3<br>                                                                                       |[0x80000be2]:c.addiw a0, 3<br> [0x80000be4]:sd a0, 504(ra)<br>   |
|  93|[0x800042f0]<br>0x000000006666666B|- rs1_val==7378697629483820646 and imm_val==5<br>                                                                                       |[0x80000c08]:c.addiw a0, 5<br> [0x80000c0a]:sd a0, 512(ra)<br>   |
|  94|[0x800042f8]<br>0x0000000066666670|- rs1_val==7378697629483820646 and imm_val==10<br>                                                                                      |[0x80000c2e]:c.addiw a0, 10<br> [0x80000c30]:sd a0, 520(ra)<br>  |
|  95|[0x80004300]<br>0x000000006666666C|- rs1_val==7378697629483820646 and imm_val==6<br>                                                                                       |[0x80000c54]:c.addiw a0, 6<br> [0x80000c56]:sd a0, 528(ra)<br>   |
|  96|[0x80004308]<br>0x0000000066666664|- rs1_val==7378697629483820646 and imm_val==-2<br>                                                                                      |[0x80000c7a]:c.addiw a0, 62<br> [0x80000c7c]:sd a0, 536(ra)<br>  |
|  97|[0x80004310]<br>0x0000000066666661|- rs1_val==7378697629483820646 and imm_val==-5<br>                                                                                      |[0x80000ca0]:c.addiw a0, 59<br> [0x80000ca2]:sd a0, 544(ra)<br>  |
|  98|[0x80004318]<br>0x0000000066666668|- rs1_val==7378697629483820646 and imm_val==2<br>                                                                                       |[0x80000cc6]:c.addiw a0, 2<br> [0x80000cc8]:sd a0, 552(ra)<br>   |
|  99|[0x80004320]<br>0x000000006666666A|- rs1_val==7378697629483820646 and imm_val==4<br>                                                                                       |[0x80000cec]:c.addiw a0, 4<br> [0x80000cee]:sd a0, 560(ra)<br>   |
| 100|[0x80004328]<br>0x000000006666666F|- rs1_val==7378697629483820646 and imm_val==9<br>                                                                                       |[0x80000d12]:c.addiw a0, 9<br> [0x80000d14]:sd a0, 568(ra)<br>   |
| 101|[0x80004330]<br>0x0000000066666666|- rs1_val==7378697629483820646 and imm_val==0<br>                                                                                       |[0x80000d38]:c.addiw a0, 0<br> [0x80000d3a]:sd a0, 576(ra)<br>   |
| 102|[0x80004338]<br>0x0000000066666671|- rs1_val==7378697629483820646 and imm_val==11<br>                                                                                      |[0x80000d5e]:c.addiw a0, 11<br> [0x80000d60]:sd a0, 584(ra)<br>  |
| 103|[0x80004340]<br>0x000000006666666D|- rs1_val==7378697629483820646 and imm_val==7<br>                                                                                       |[0x80000d84]:c.addiw a0, 7<br> [0x80000d86]:sd a0, 592(ra)<br>   |
| 104|[0x80004348]<br>0x0000000066666665|- rs1_val==7378697629483820646 and imm_val==-1<br>                                                                                      |[0x80000daa]:c.addiw a0, 63<br> [0x80000dac]:sd a0, 600(ra)<br>  |
| 105|[0x80004350]<br>0x0000000066666662|- rs1_val==7378697629483820646 and imm_val==-4<br>                                                                                      |[0x80000dd0]:c.addiw a0, 60<br> [0x80000dd2]:sd a0, 608(ra)<br>  |
| 106|[0x80004358]<br>0x000000004AFB0CD0|- rs1_val==-3037000499 and imm_val==3<br>                                                                                               |[0x80000de6]:c.addiw a0, 3<br> [0x80000de8]:sd a0, 616(ra)<br>   |
| 107|[0x80004360]<br>0x000000004AFB0CD2|- rs1_val==-3037000499 and imm_val==5<br>                                                                                               |[0x80000dfc]:c.addiw a0, 5<br> [0x80000dfe]:sd a0, 624(ra)<br>   |
| 108|[0x80004368]<br>0x000000004AFB0CD7|- rs1_val==-3037000499 and imm_val==10<br>                                                                                              |[0x80000e12]:c.addiw a0, 10<br> [0x80000e14]:sd a0, 632(ra)<br>  |
| 109|[0x80004370]<br>0x000000004AFB0CD3|- rs1_val==-3037000499 and imm_val==6<br>                                                                                               |[0x80000e28]:c.addiw a0, 6<br> [0x80000e2a]:sd a0, 640(ra)<br>   |
| 110|[0x80004378]<br>0x000000004AFB0CCB|- rs1_val==-3037000499 and imm_val==-2<br>                                                                                              |[0x80000e3e]:c.addiw a0, 62<br> [0x80000e40]:sd a0, 648(ra)<br>  |
| 111|[0x80004380]<br>0x000000004AFB0CC8|- rs1_val==-3037000499 and imm_val==-5<br>                                                                                              |[0x80000e54]:c.addiw a0, 59<br> [0x80000e56]:sd a0, 656(ra)<br>  |
| 112|[0x80004388]<br>0x000000004AFB0CCF|- rs1_val==-3037000499 and imm_val==2<br>                                                                                               |[0x80000e6a]:c.addiw a0, 2<br> [0x80000e6c]:sd a0, 664(ra)<br>   |
| 113|[0x80004390]<br>0x000000004AFB0CD1|- rs1_val==-3037000499 and imm_val==4<br>                                                                                               |[0x80000e80]:c.addiw a0, 4<br> [0x80000e82]:sd a0, 672(ra)<br>   |
| 114|[0x80004398]<br>0x000000004AFB0CD6|- rs1_val==-3037000499 and imm_val==9<br>                                                                                               |[0x80000e96]:c.addiw a0, 9<br> [0x80000e98]:sd a0, 680(ra)<br>   |
| 115|[0x800043a0]<br>0x000000004AFB0CCD|- rs1_val==-3037000499 and imm_val==0<br>                                                                                               |[0x80000eac]:c.addiw a0, 0<br> [0x80000eae]:sd a0, 688(ra)<br>   |
| 116|[0x800043a8]<br>0x000000004AFB0CD8|- rs1_val==-3037000499 and imm_val==11<br>                                                                                              |[0x80000ec2]:c.addiw a0, 11<br> [0x80000ec4]:sd a0, 696(ra)<br>  |
| 117|[0x800043b0]<br>0x000000004AFB0CD4|- rs1_val==-3037000499 and imm_val==7<br>                                                                                               |[0x80000ed8]:c.addiw a0, 7<br> [0x80000eda]:sd a0, 704(ra)<br>   |
| 118|[0x800043b8]<br>0x000000004AFB0CCC|- rs1_val==-3037000499 and imm_val==-1<br>                                                                                              |[0x80000eee]:c.addiw a0, 63<br> [0x80000ef0]:sd a0, 712(ra)<br>  |
| 119|[0x800043c0]<br>0x000000004AFB0CC9|- rs1_val==-3037000499 and imm_val==-4<br>                                                                                              |[0x80000f04]:c.addiw a0, 60<br> [0x80000f06]:sd a0, 720(ra)<br>  |
| 120|[0x800043c8]<br>0xFFFFFFFFB504F336|- rs1_val==3037000499 and imm_val==3<br>                                                                                                |[0x80000f1a]:c.addiw a0, 3<br> [0x80000f1c]:sd a0, 728(ra)<br>   |
| 121|[0x800043d0]<br>0xFFFFFFFFB504F338|- rs1_val==3037000499 and imm_val==5<br>                                                                                                |[0x80000f30]:c.addiw a0, 5<br> [0x80000f32]:sd a0, 736(ra)<br>   |
| 122|[0x800043d8]<br>0xFFFFFFFFB504F33D|- rs1_val==3037000499 and imm_val==10<br>                                                                                               |[0x80000f46]:c.addiw a0, 10<br> [0x80000f48]:sd a0, 744(ra)<br>  |
| 123|[0x800043e0]<br>0xFFFFFFFFB504F339|- rs1_val==3037000499 and imm_val==6<br>                                                                                                |[0x80000f5c]:c.addiw a0, 6<br> [0x80000f5e]:sd a0, 752(ra)<br>   |
| 124|[0x800043e8]<br>0xFFFFFFFFB504F331|- rs1_val==3037000499 and imm_val==-2<br>                                                                                               |[0x80000f72]:c.addiw a0, 62<br> [0x80000f74]:sd a0, 760(ra)<br>  |
| 125|[0x800043f0]<br>0xFFFFFFFFB504F32E|- rs1_val==3037000499 and imm_val==-5<br>                                                                                               |[0x80000f88]:c.addiw a0, 59<br> [0x80000f8a]:sd a0, 768(ra)<br>  |
| 126|[0x800043f8]<br>0xFFFFFFFFB504F335|- rs1_val==3037000499 and imm_val==2<br>                                                                                                |[0x80000f9e]:c.addiw a0, 2<br> [0x80000fa0]:sd a0, 776(ra)<br>   |
| 127|[0x80004400]<br>0xFFFFFFFFB504F337|- rs1_val==3037000499 and imm_val==4<br>                                                                                                |[0x80000fb4]:c.addiw a0, 4<br> [0x80000fb6]:sd a0, 784(ra)<br>   |
| 128|[0x80004408]<br>0xFFFFFFFFB504F33C|- rs1_val==3037000499 and imm_val==9<br>                                                                                                |[0x80000fca]:c.addiw a0, 9<br> [0x80000fcc]:sd a0, 792(ra)<br>   |
| 129|[0x80004410]<br>0xFFFFFFFFB504F333|- rs1_val==3037000499 and imm_val==0<br>                                                                                                |[0x80000fe0]:c.addiw a0, 0<br> [0x80000fe2]:sd a0, 800(ra)<br>   |
| 130|[0x80004418]<br>0xFFFFFFFFB504F33E|- rs1_val==3037000499 and imm_val==11<br>                                                                                               |[0x80000ff6]:c.addiw a0, 11<br> [0x80000ff8]:sd a0, 808(ra)<br>  |
| 131|[0x80004420]<br>0xFFFFFFFFB504F33A|- rs1_val==3037000499 and imm_val==7<br>                                                                                                |[0x8000100c]:c.addiw a0, 7<br> [0x8000100e]:sd a0, 816(ra)<br>   |
| 132|[0x80004428]<br>0xFFFFFFFFB504F332|- rs1_val==3037000499 and imm_val==-1<br>                                                                                               |[0x80001022]:c.addiw a0, 63<br> [0x80001024]:sd a0, 824(ra)<br>  |
| 133|[0x80004430]<br>0xFFFFFFFFB504F32F|- rs1_val==3037000499 and imm_val==-4<br>                                                                                               |[0x80001038]:c.addiw a0, 60<br> [0x8000103a]:sd a0, 832(ra)<br>  |
| 134|[0x80004438]<br>0x0000000000000005|- rs1_val==2 and imm_val==3<br> - rs1_val == 2<br>                                                                                      |[0x80001042]:c.addiw a0, 3<br> [0x80001044]:sd a0, 840(ra)<br>   |
| 135|[0x80004440]<br>0x0000000000000007|- rs1_val==2 and imm_val==5<br>                                                                                                         |[0x8000104c]:c.addiw a0, 5<br> [0x8000104e]:sd a0, 848(ra)<br>   |
| 136|[0x80004448]<br>0x000000000000000C|- rs1_val==2 and imm_val==10<br>                                                                                                        |[0x80001056]:c.addiw a0, 10<br> [0x80001058]:sd a0, 856(ra)<br>  |
| 137|[0x80004450]<br>0x0000000000000008|- rs1_val==2 and imm_val==6<br>                                                                                                         |[0x80001060]:c.addiw a0, 6<br> [0x80001062]:sd a0, 864(ra)<br>   |
| 138|[0x80004458]<br>0x0000000000000000|- rs1_val==2 and imm_val==-2<br>                                                                                                        |[0x8000106a]:c.addiw a0, 62<br> [0x8000106c]:sd a0, 872(ra)<br>  |
| 139|[0x80004460]<br>0xFFFFFFFFFFFFFFFD|- rs1_val==2 and imm_val==-5<br>                                                                                                        |[0x80001074]:c.addiw a0, 59<br> [0x80001076]:sd a0, 880(ra)<br>  |
| 140|[0x80004468]<br>0x0000000000000004|- rs1_val==2 and imm_val==2<br>                                                                                                         |[0x8000107e]:c.addiw a0, 2<br> [0x80001080]:sd a0, 888(ra)<br>   |
| 141|[0x80004470]<br>0x0000000000000006|- rs1_val==2 and imm_val==4<br>                                                                                                         |[0x80001088]:c.addiw a0, 4<br> [0x8000108a]:sd a0, 896(ra)<br>   |
| 142|[0x80004478]<br>0x000000000000000B|- rs1_val==2 and imm_val==9<br>                                                                                                         |[0x80001092]:c.addiw a0, 9<br> [0x80001094]:sd a0, 904(ra)<br>   |
| 143|[0x80004480]<br>0x0000000000000002|- rs1_val==2 and imm_val==0<br>                                                                                                         |[0x8000109c]:c.addiw a0, 0<br> [0x8000109e]:sd a0, 912(ra)<br>   |
| 144|[0x80004488]<br>0x000000000000000D|- rs1_val==2 and imm_val==11<br>                                                                                                        |[0x800010a6]:c.addiw a0, 11<br> [0x800010a8]:sd a0, 920(ra)<br>  |
| 145|[0x80004490]<br>0x0000000000000009|- rs1_val==2 and imm_val==7<br>                                                                                                         |[0x800010b0]:c.addiw a0, 7<br> [0x800010b2]:sd a0, 928(ra)<br>   |
| 146|[0x80004498]<br>0x0000000000000001|- rs1_val==2 and imm_val==-1<br>                                                                                                        |[0x800010ba]:c.addiw a0, 63<br> [0x800010bc]:sd a0, 936(ra)<br>  |
| 147|[0x800044a0]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==2 and imm_val==-4<br>                                                                                                        |[0x800010c4]:c.addiw a0, 60<br> [0x800010c6]:sd a0, 944(ra)<br>  |
| 148|[0x800044a8]<br>0x0000000055555557|- rs1_val==6148914691236517204 and imm_val==3<br>                                                                                       |[0x800010ea]:c.addiw a0, 3<br> [0x800010ec]:sd a0, 952(ra)<br>   |
| 149|[0x800044b0]<br>0x0000000055555559|- rs1_val==6148914691236517204 and imm_val==5<br>                                                                                       |[0x80001110]:c.addiw a0, 5<br> [0x80001112]:sd a0, 960(ra)<br>   |
| 150|[0x800044b8]<br>0x000000005555555E|- rs1_val==6148914691236517204 and imm_val==10<br>                                                                                      |[0x80001136]:c.addiw a0, 10<br> [0x80001138]:sd a0, 968(ra)<br>  |
| 151|[0x800044c0]<br>0x000000005555555A|- rs1_val==6148914691236517204 and imm_val==6<br>                                                                                       |[0x8000115c]:c.addiw a0, 6<br> [0x8000115e]:sd a0, 976(ra)<br>   |
| 152|[0x800044c8]<br>0x0000000055555552|- rs1_val==6148914691236517204 and imm_val==-2<br>                                                                                      |[0x80001182]:c.addiw a0, 62<br> [0x80001184]:sd a0, 984(ra)<br>  |
| 153|[0x800044d0]<br>0x000000005555554F|- rs1_val==6148914691236517204 and imm_val==-5<br>                                                                                      |[0x800011a8]:c.addiw a0, 59<br> [0x800011aa]:sd a0, 992(ra)<br>  |
| 154|[0x800044d8]<br>0x0000000055555556|- rs1_val==6148914691236517204 and imm_val==2<br>                                                                                       |[0x800011ce]:c.addiw a0, 2<br> [0x800011d0]:sd a0, 1000(ra)<br>  |
| 155|[0x800044e0]<br>0x0000000055555558|- rs1_val==6148914691236517204 and imm_val==4<br>                                                                                       |[0x800011f4]:c.addiw a0, 4<br> [0x800011f6]:sd a0, 1008(ra)<br>  |
| 156|[0x800044e8]<br>0x000000005555555D|- rs1_val==6148914691236517204 and imm_val==9<br>                                                                                       |[0x8000121a]:c.addiw a0, 9<br> [0x8000121c]:sd a0, 1016(ra)<br>  |
| 157|[0x800044f0]<br>0x0000000055555554|- rs1_val==6148914691236517204 and imm_val==0<br>                                                                                       |[0x80001240]:c.addiw a0, 0<br> [0x80001242]:sd a0, 1024(ra)<br>  |
| 158|[0x800044f8]<br>0x000000005555555F|- rs1_val==6148914691236517204 and imm_val==11<br>                                                                                      |[0x80001266]:c.addiw a0, 11<br> [0x80001268]:sd a0, 1032(ra)<br> |
| 159|[0x80004500]<br>0x000000005555555B|- rs1_val==6148914691236517204 and imm_val==7<br>                                                                                       |[0x8000128c]:c.addiw a0, 7<br> [0x8000128e]:sd a0, 1040(ra)<br>  |
| 160|[0x80004508]<br>0x0000000055555553|- rs1_val==6148914691236517204 and imm_val==-1<br>                                                                                      |[0x800012b2]:c.addiw a0, 63<br> [0x800012b4]:sd a0, 1048(ra)<br> |
| 161|[0x80004510]<br>0x0000000055555550|- rs1_val==6148914691236517204 and imm_val==-4<br>                                                                                      |[0x800012d8]:c.addiw a0, 60<br> [0x800012da]:sd a0, 1056(ra)<br> |
| 162|[0x80004518]<br>0x0000000000000003|- rs1_val==0 and imm_val==3<br>                                                                                                         |[0x800012e2]:c.addiw a0, 3<br> [0x800012e4]:sd a0, 1064(ra)<br>  |
| 163|[0x80004520]<br>0x0000000000000005|- rs1_val==0 and imm_val==5<br>                                                                                                         |[0x800012ec]:c.addiw a0, 5<br> [0x800012ee]:sd a0, 1072(ra)<br>  |
| 164|[0x80004528]<br>0x000000000000000A|- rs1_val==0 and imm_val==10<br>                                                                                                        |[0x800012f6]:c.addiw a0, 10<br> [0x800012f8]:sd a0, 1080(ra)<br> |
| 165|[0x80004530]<br>0x0000000000000006|- rs1_val==0 and imm_val==6<br>                                                                                                         |[0x80001300]:c.addiw a0, 6<br> [0x80001302]:sd a0, 1088(ra)<br>  |
| 166|[0x80004538]<br>0xFFFFFFFFFFFFFFFE|- rs1_val==0 and imm_val==-2<br>                                                                                                        |[0x8000130a]:c.addiw a0, 62<br> [0x8000130c]:sd a0, 1096(ra)<br> |
| 167|[0x80004540]<br>0xFFFFFFFFFFFFFFFB|- rs1_val==0 and imm_val==-5<br>                                                                                                        |[0x80001314]:c.addiw a0, 59<br> [0x80001316]:sd a0, 1104(ra)<br> |
| 168|[0x80004548]<br>0x0000000000000002|- rs1_val==0 and imm_val==2<br>                                                                                                         |[0x8000131e]:c.addiw a0, 2<br> [0x80001320]:sd a0, 1112(ra)<br>  |
| 169|[0x80004550]<br>0x0000000000000009|- rs1_val==0 and imm_val==9<br>                                                                                                         |[0x80001328]:c.addiw a0, 9<br> [0x8000132a]:sd a0, 1120(ra)<br>  |
| 170|[0x80004558]<br>0x0000000000000000|- rs1_val==0 and imm_val==0<br>                                                                                                         |[0x80001332]:c.addiw a0, 0<br> [0x80001334]:sd a0, 1128(ra)<br>  |
| 171|[0x80004560]<br>0x000000000000000B|- rs1_val==0 and imm_val==11<br>                                                                                                        |[0x8000133c]:c.addiw a0, 11<br> [0x8000133e]:sd a0, 1136(ra)<br> |
| 172|[0x80004568]<br>0x0000000000000007|- rs1_val==0 and imm_val==7<br>                                                                                                         |[0x80001346]:c.addiw a0, 7<br> [0x80001348]:sd a0, 1144(ra)<br>  |
| 173|[0x80004570]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==0 and imm_val==-1<br>                                                                                                        |[0x80001350]:c.addiw a0, 63<br> [0x80001352]:sd a0, 1152(ra)<br> |
| 174|[0x80004578]<br>0xFFFFFFFFFFFFFFFC|- rs1_val==0 and imm_val==-4<br>                                                                                                        |[0x8000135a]:c.addiw a0, 60<br> [0x8000135c]:sd a0, 1160(ra)<br> |
| 175|[0x80004580]<br>0x0000000000000007|- rs1_val==4 and imm_val==3<br>                                                                                                         |[0x80001364]:c.addiw a0, 3<br> [0x80001366]:sd a0, 1168(ra)<br>  |
| 176|[0x80004588]<br>0x0000000000000009|- rs1_val==4 and imm_val==5<br>                                                                                                         |[0x8000136e]:c.addiw a0, 5<br> [0x80001370]:sd a0, 1176(ra)<br>  |
| 177|[0x80004590]<br>0x000000000000000E|- rs1_val==4 and imm_val==10<br>                                                                                                        |[0x80001378]:c.addiw a0, 10<br> [0x8000137a]:sd a0, 1184(ra)<br> |
| 178|[0x80004598]<br>0x000000000000000A|- rs1_val==4 and imm_val==6<br>                                                                                                         |[0x80001382]:c.addiw a0, 6<br> [0x80001384]:sd a0, 1192(ra)<br>  |
| 179|[0x800045a0]<br>0x0000000000000002|- rs1_val==4 and imm_val==-2<br>                                                                                                        |[0x8000138c]:c.addiw a0, 62<br> [0x8000138e]:sd a0, 1200(ra)<br> |
| 180|[0x800045a8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val==4 and imm_val==-5<br>                                                                                                        |[0x80001396]:c.addiw a0, 59<br> [0x80001398]:sd a0, 1208(ra)<br> |
| 181|[0x800045b0]<br>0x0000000000000006|- rs1_val==4 and imm_val==2<br>                                                                                                         |[0x800013a0]:c.addiw a0, 2<br> [0x800013a2]:sd a0, 1216(ra)<br>  |
| 182|[0x800045b8]<br>0x0000000000000008|- rs1_val==4 and imm_val==4<br>                                                                                                         |[0x800013aa]:c.addiw a0, 4<br> [0x800013ac]:sd a0, 1224(ra)<br>  |
| 183|[0x800045c0]<br>0x000000000000000D|- rs1_val==4 and imm_val==9<br>                                                                                                         |[0x800013b4]:c.addiw a0, 9<br> [0x800013b6]:sd a0, 1232(ra)<br>  |
| 184|[0x800045c8]<br>0x0000000000000004|- rs1_val==4 and imm_val==0<br>                                                                                                         |[0x800013be]:c.addiw a0, 0<br> [0x800013c0]:sd a0, 1240(ra)<br>  |
| 185|[0x800045d0]<br>0x000000000000000F|- rs1_val==4 and imm_val==11<br>                                                                                                        |[0x800013c8]:c.addiw a0, 11<br> [0x800013ca]:sd a0, 1248(ra)<br> |
| 186|[0x800045d8]<br>0x000000000000000B|- rs1_val==4 and imm_val==7<br>                                                                                                         |[0x800013d2]:c.addiw a0, 7<br> [0x800013d4]:sd a0, 1256(ra)<br>  |
| 187|[0x800045e0]<br>0x0000000000000003|- rs1_val==4 and imm_val==-1<br>                                                                                                        |[0x800013dc]:c.addiw a0, 63<br> [0x800013de]:sd a0, 1264(ra)<br> |
| 188|[0x800045e8]<br>0x0000000000000000|- rs1_val==4 and imm_val==-4<br>                                                                                                        |[0x800013e6]:c.addiw a0, 60<br> [0x800013e8]:sd a0, 1272(ra)<br> |
| 189|[0x800045f0]<br>0x0000000033333335|- rs1_val==3689348814741910322 and imm_val==3<br>                                                                                       |[0x8000140c]:c.addiw a0, 3<br> [0x8000140e]:sd a0, 1280(ra)<br>  |
| 190|[0x800045f8]<br>0x0000000033333337|- rs1_val==3689348814741910322 and imm_val==5<br>                                                                                       |[0x80001432]:c.addiw a0, 5<br> [0x80001434]:sd a0, 1288(ra)<br>  |
| 191|[0x80004600]<br>0x000000003333333C|- rs1_val==3689348814741910322 and imm_val==10<br>                                                                                      |[0x80001458]:c.addiw a0, 10<br> [0x8000145a]:sd a0, 1296(ra)<br> |
| 192|[0x80004608]<br>0x0000000033333338|- rs1_val==3689348814741910322 and imm_val==6<br>                                                                                       |[0x8000147e]:c.addiw a0, 6<br> [0x80001480]:sd a0, 1304(ra)<br>  |
| 193|[0x80004610]<br>0x0000000033333330|- rs1_val==3689348814741910322 and imm_val==-2<br>                                                                                      |[0x800014a4]:c.addiw a0, 62<br> [0x800014a6]:sd a0, 1312(ra)<br> |
| 194|[0x80004618]<br>0x000000003333332D|- rs1_val==3689348814741910322 and imm_val==-5<br>                                                                                      |[0x800014ca]:c.addiw a0, 59<br> [0x800014cc]:sd a0, 1320(ra)<br> |
| 195|[0x80004620]<br>0x0000000033333334|- rs1_val==3689348814741910322 and imm_val==2<br>                                                                                       |[0x800014f0]:c.addiw a0, 2<br> [0x800014f2]:sd a0, 1328(ra)<br>  |
| 196|[0x80004628]<br>0x0000000033333336|- rs1_val==3689348814741910322 and imm_val==4<br>                                                                                       |[0x80001516]:c.addiw a0, 4<br> [0x80001518]:sd a0, 1336(ra)<br>  |
| 197|[0x80004630]<br>0x000000003333333B|- rs1_val==3689348814741910322 and imm_val==9<br>                                                                                       |[0x8000153c]:c.addiw a0, 9<br> [0x8000153e]:sd a0, 1344(ra)<br>  |
| 198|[0x80004638]<br>0x0000000033333332|- rs1_val==3689348814741910322 and imm_val==0<br>                                                                                       |[0x80001562]:c.addiw a0, 0<br> [0x80001564]:sd a0, 1352(ra)<br>  |
| 199|[0x80004640]<br>0x000000003333333D|- rs1_val==3689348814741910322 and imm_val==11<br>                                                                                      |[0x80001588]:c.addiw a0, 11<br> [0x8000158a]:sd a0, 1360(ra)<br> |
| 200|[0x80004648]<br>0x0000000033333339|- rs1_val==3689348814741910322 and imm_val==7<br>                                                                                       |[0x800015ae]:c.addiw a0, 7<br> [0x800015b0]:sd a0, 1368(ra)<br>  |
| 201|[0x80004650]<br>0x0000000033333331|- rs1_val==3689348814741910322 and imm_val==-1<br>                                                                                      |[0x800015d4]:c.addiw a0, 63<br> [0x800015d6]:sd a0, 1376(ra)<br> |
| 202|[0x80004658]<br>0x000000003333332E|- rs1_val==3689348814741910322 and imm_val==-4<br>                                                                                      |[0x800015fa]:c.addiw a0, 60<br> [0x800015fc]:sd a0, 1384(ra)<br> |
| 203|[0x80004660]<br>0x0000000066666668|- rs1_val==7378697629483820645 and imm_val==3<br>                                                                                       |[0x80001620]:c.addiw a0, 3<br> [0x80001622]:sd a0, 1392(ra)<br>  |
| 204|[0x80004668]<br>0x000000006666666A|- rs1_val==7378697629483820645 and imm_val==5<br>                                                                                       |[0x80001646]:c.addiw a0, 5<br> [0x80001648]:sd a0, 1400(ra)<br>  |
| 205|[0x80004670]<br>0x000000006666666F|- rs1_val==7378697629483820645 and imm_val==10<br>                                                                                      |[0x8000166c]:c.addiw a0, 10<br> [0x8000166e]:sd a0, 1408(ra)<br> |
| 206|[0x80004678]<br>0x000000006666666B|- rs1_val==7378697629483820645 and imm_val==6<br>                                                                                       |[0x80001692]:c.addiw a0, 6<br> [0x80001694]:sd a0, 1416(ra)<br>  |
| 207|[0x80004680]<br>0x0000000066666663|- rs1_val==7378697629483820645 and imm_val==-2<br>                                                                                      |[0x800016b8]:c.addiw a0, 62<br> [0x800016ba]:sd a0, 1424(ra)<br> |
| 208|[0x80004688]<br>0x0000000066666660|- rs1_val==7378697629483820645 and imm_val==-5<br>                                                                                      |[0x800016de]:c.addiw a0, 59<br> [0x800016e0]:sd a0, 1432(ra)<br> |
| 209|[0x80004690]<br>0x0000000066666667|- rs1_val==7378697629483820645 and imm_val==2<br>                                                                                       |[0x80001704]:c.addiw a0, 2<br> [0x80001706]:sd a0, 1440(ra)<br>  |
| 210|[0x80004698]<br>0x0000000066666669|- rs1_val==7378697629483820645 and imm_val==4<br>                                                                                       |[0x8000172a]:c.addiw a0, 4<br> [0x8000172c]:sd a0, 1448(ra)<br>  |
| 211|[0x800046a0]<br>0x000000006666666E|- rs1_val==7378697629483820645 and imm_val==9<br>                                                                                       |[0x80001750]:c.addiw a0, 9<br> [0x80001752]:sd a0, 1456(ra)<br>  |
| 212|[0x800046a8]<br>0x0000000066666665|- rs1_val==7378697629483820645 and imm_val==0<br>                                                                                       |[0x80001776]:c.addiw a0, 0<br> [0x80001778]:sd a0, 1464(ra)<br>  |
| 213|[0x800046b0]<br>0x0000000066666670|- rs1_val==7378697629483820645 and imm_val==11<br>                                                                                      |[0x8000179c]:c.addiw a0, 11<br> [0x8000179e]:sd a0, 1472(ra)<br> |
| 214|[0x800046b8]<br>0x000000006666666C|- rs1_val==7378697629483820645 and imm_val==7<br>                                                                                       |[0x800017c2]:c.addiw a0, 7<br> [0x800017c4]:sd a0, 1480(ra)<br>  |
| 215|[0x800046c0]<br>0x0000000066666664|- rs1_val==7378697629483820645 and imm_val==-1<br>                                                                                      |[0x800017e8]:c.addiw a0, 63<br> [0x800017ea]:sd a0, 1488(ra)<br> |
| 216|[0x800046c8]<br>0x0000000066666661|- rs1_val==7378697629483820645 and imm_val==-4<br>                                                                                      |[0x8000180e]:c.addiw a0, 60<br> [0x80001810]:sd a0, 1496(ra)<br> |
| 217|[0x800046d0]<br>0xFFFFFFFFB504F335|- rs1_val==3037000498 and imm_val==3<br>                                                                                                |[0x80001824]:c.addiw a0, 3<br> [0x80001826]:sd a0, 1504(ra)<br>  |
| 218|[0x800046d8]<br>0xFFFFFFFFB504F337|- rs1_val==3037000498 and imm_val==5<br>                                                                                                |[0x8000183a]:c.addiw a0, 5<br> [0x8000183c]:sd a0, 1512(ra)<br>  |
| 219|[0x800046e0]<br>0xFFFFFFFFB504F33C|- rs1_val==3037000498 and imm_val==10<br>                                                                                               |[0x80001850]:c.addiw a0, 10<br> [0x80001852]:sd a0, 1520(ra)<br> |
| 220|[0x800046e8]<br>0xFFFFFFFFB504F338|- rs1_val==3037000498 and imm_val==6<br>                                                                                                |[0x80001866]:c.addiw a0, 6<br> [0x80001868]:sd a0, 1528(ra)<br>  |
| 221|[0x800046f0]<br>0xFFFFFFFFB504F330|- rs1_val==3037000498 and imm_val==-2<br>                                                                                               |[0x8000187c]:c.addiw a0, 62<br> [0x8000187e]:sd a0, 1536(ra)<br> |
| 222|[0x800046f8]<br>0xFFFFFFFFB504F32D|- rs1_val==3037000498 and imm_val==-5<br>                                                                                               |[0x80001892]:c.addiw a0, 59<br> [0x80001894]:sd a0, 1544(ra)<br> |
| 223|[0x80004700]<br>0xFFFFFFFFB504F334|- rs1_val==3037000498 and imm_val==2<br>                                                                                                |[0x800018a8]:c.addiw a0, 2<br> [0x800018aa]:sd a0, 1552(ra)<br>  |
| 224|[0x80004708]<br>0xFFFFFFFFB504F336|- rs1_val==3037000498 and imm_val==4<br>                                                                                                |[0x800018be]:c.addiw a0, 4<br> [0x800018c0]:sd a0, 1560(ra)<br>  |
| 225|[0x80004710]<br>0xFFFFFFFFB504F33B|- rs1_val==3037000498 and imm_val==9<br>                                                                                                |[0x800018d4]:c.addiw a0, 9<br> [0x800018d6]:sd a0, 1568(ra)<br>  |
| 226|[0x80004718]<br>0xFFFFFFFFB504F332|- rs1_val==3037000498 and imm_val==0<br>                                                                                                |[0x800018ea]:c.addiw a0, 0<br> [0x800018ec]:sd a0, 1576(ra)<br>  |
| 227|[0x80004720]<br>0xFFFFFFFFB504F33D|- rs1_val==3037000498 and imm_val==11<br>                                                                                               |[0x80001900]:c.addiw a0, 11<br> [0x80001902]:sd a0, 1584(ra)<br> |
| 228|[0x80004728]<br>0xFFFFFFFFB504F339|- rs1_val==3037000498 and imm_val==7<br>                                                                                                |[0x80001916]:c.addiw a0, 7<br> [0x80001918]:sd a0, 1592(ra)<br>  |
| 229|[0x80004730]<br>0xFFFFFFFFB504F331|- rs1_val==3037000498 and imm_val==-1<br>                                                                                               |[0x8000192c]:c.addiw a0, 63<br> [0x8000192e]:sd a0, 1600(ra)<br> |
| 230|[0x80004738]<br>0xFFFFFFFFB504F32E|- rs1_val==3037000498 and imm_val==-4<br>                                                                                               |[0x80001942]:c.addiw a0, 60<br> [0x80001944]:sd a0, 1608(ra)<br> |
| 231|[0x80004740]<br>0x0000000055555559|- rs1_val==6148914691236517206 and imm_val==3<br>                                                                                       |[0x80001968]:c.addiw a0, 3<br> [0x8000196a]:sd a0, 1616(ra)<br>  |
| 232|[0x80004748]<br>0x000000005555555B|- rs1_val==6148914691236517206 and imm_val==5<br>                                                                                       |[0x8000198e]:c.addiw a0, 5<br> [0x80001990]:sd a0, 1624(ra)<br>  |
| 233|[0x80004750]<br>0x0000000055555560|- rs1_val==6148914691236517206 and imm_val==10<br>                                                                                      |[0x800019b4]:c.addiw a0, 10<br> [0x800019b6]:sd a0, 1632(ra)<br> |
| 234|[0x80004758]<br>0x000000005555555C|- rs1_val==6148914691236517206 and imm_val==6<br>                                                                                       |[0x800019da]:c.addiw a0, 6<br> [0x800019dc]:sd a0, 1640(ra)<br>  |
| 235|[0x80004760]<br>0x0000000055555554|- rs1_val==6148914691236517206 and imm_val==-2<br>                                                                                      |[0x80001a00]:c.addiw a0, 62<br> [0x80001a02]:sd a0, 1648(ra)<br> |
| 236|[0x80004768]<br>0x0000000055555551|- rs1_val==6148914691236517206 and imm_val==-5<br>                                                                                      |[0x80001a26]:c.addiw a0, 59<br> [0x80001a28]:sd a0, 1656(ra)<br> |
| 237|[0x80004770]<br>0x0000000055555558|- rs1_val==6148914691236517206 and imm_val==2<br>                                                                                       |[0x80001a4c]:c.addiw a0, 2<br> [0x80001a4e]:sd a0, 1664(ra)<br>  |
| 238|[0x80004778]<br>0x000000005555555A|- rs1_val==6148914691236517206 and imm_val==4<br>                                                                                       |[0x80001a72]:c.addiw a0, 4<br> [0x80001a74]:sd a0, 1672(ra)<br>  |
| 239|[0x80004780]<br>0x000000005555555F|- rs1_val==6148914691236517206 and imm_val==9<br>                                                                                       |[0x80001a98]:c.addiw a0, 9<br> [0x80001a9a]:sd a0, 1680(ra)<br>  |
| 240|[0x80004788]<br>0x0000000055555556|- rs1_val==6148914691236517206 and imm_val==0<br>                                                                                       |[0x80001abe]:c.addiw a0, 0<br> [0x80001ac0]:sd a0, 1688(ra)<br>  |
| 241|[0x80004790]<br>0x0000000055555561|- rs1_val==6148914691236517206 and imm_val==11<br>                                                                                      |[0x80001ae4]:c.addiw a0, 11<br> [0x80001ae6]:sd a0, 1696(ra)<br> |
| 242|[0x80004798]<br>0x000000005555555D|- rs1_val==6148914691236517206 and imm_val==7<br>                                                                                       |[0x80001b0a]:c.addiw a0, 7<br> [0x80001b0c]:sd a0, 1704(ra)<br>  |
| 243|[0x800047a0]<br>0x0000000055555555|- rs1_val==6148914691236517206 and imm_val==-1<br>                                                                                      |[0x80001b30]:c.addiw a0, 63<br> [0x80001b32]:sd a0, 1712(ra)<br> |
| 244|[0x800047a8]<br>0x0000000055555552|- rs1_val==6148914691236517206 and imm_val==-4<br>                                                                                      |[0x80001b56]:c.addiw a0, 60<br> [0x80001b58]:sd a0, 1720(ra)<br> |
| 245|[0x800047b0]<br>0xFFFFFFFFAAAAAAAE|- rs1_val==-6148914691236517205 and imm_val==3<br>                                                                                      |[0x80001b7c]:c.addiw a0, 3<br> [0x80001b7e]:sd a0, 1728(ra)<br>  |
| 246|[0x800047b8]<br>0xFFFFFFFFAAAAAAB0|- rs1_val==-6148914691236517205 and imm_val==5<br>                                                                                      |[0x80001ba2]:c.addiw a0, 5<br> [0x80001ba4]:sd a0, 1736(ra)<br>  |
| 247|[0x800047c0]<br>0xFFFFFFFFAAAAAAB5|- rs1_val==-6148914691236517205 and imm_val==10<br>                                                                                     |[0x80001bc8]:c.addiw a0, 10<br> [0x80001bca]:sd a0, 1744(ra)<br> |
| 248|[0x800047c8]<br>0xFFFFFFFFAAAAAAB1|- rs1_val==-6148914691236517205 and imm_val==6<br>                                                                                      |[0x80001bee]:c.addiw a0, 6<br> [0x80001bf0]:sd a0, 1752(ra)<br>  |
| 249|[0x800047d0]<br>0xFFFFFFFFAAAAAAA9|- rs1_val==-6148914691236517205 and imm_val==-2<br>                                                                                     |[0x80001c14]:c.addiw a0, 62<br> [0x80001c16]:sd a0, 1760(ra)<br> |
| 250|[0x800047d8]<br>0xFFFFFFFFAAAAAAA6|- rs1_val==-6148914691236517205 and imm_val==-5<br>                                                                                     |[0x80001c3a]:c.addiw a0, 59<br> [0x80001c3c]:sd a0, 1768(ra)<br> |
| 251|[0x800047e0]<br>0xFFFFFFFFAAAAAAAD|- rs1_val==-6148914691236517205 and imm_val==2<br>                                                                                      |[0x80001c60]:c.addiw a0, 2<br> [0x80001c62]:sd a0, 1776(ra)<br>  |
| 252|[0x800047e8]<br>0xFFFFFFFFAAAAAAAF|- rs1_val==-6148914691236517205 and imm_val==4<br>                                                                                      |[0x80001c86]:c.addiw a0, 4<br> [0x80001c88]:sd a0, 1784(ra)<br>  |
| 253|[0x800047f0]<br>0xFFFFFFFFAAAAAAB4|- rs1_val==-6148914691236517205 and imm_val==9<br>                                                                                      |[0x80001cac]:c.addiw a0, 9<br> [0x80001cae]:sd a0, 1792(ra)<br>  |
| 254|[0x800047f8]<br>0xFFFFFFFFAAAAAAAB|- rs1_val==-6148914691236517205 and imm_val==0<br>                                                                                      |[0x80001cd2]:c.addiw a0, 0<br> [0x80001cd4]:sd a0, 1800(ra)<br>  |
| 255|[0x80004800]<br>0xFFFFFFFFAAAAAAB6|- rs1_val==-6148914691236517205 and imm_val==11<br>                                                                                     |[0x80001cf8]:c.addiw a0, 11<br> [0x80001cfa]:sd a0, 1808(ra)<br> |
| 256|[0x80004808]<br>0xFFFFFFFFAAAAAAB2|- rs1_val==-6148914691236517205 and imm_val==7<br>                                                                                      |[0x80001d1e]:c.addiw a0, 7<br> [0x80001d20]:sd a0, 1816(ra)<br>  |
| 257|[0x80004810]<br>0xFFFFFFFFAAAAAAAA|- rs1_val==-6148914691236517205 and imm_val==-1<br>                                                                                     |[0x80001d44]:c.addiw a0, 63<br> [0x80001d46]:sd a0, 1824(ra)<br> |
| 258|[0x80004818]<br>0xFFFFFFFFAAAAAAA7|- rs1_val==-6148914691236517205 and imm_val==-4<br>                                                                                     |[0x80001d6a]:c.addiw a0, 60<br> [0x80001d6c]:sd a0, 1832(ra)<br> |
| 259|[0x80004820]<br>0x0000000000000009|- rs1_val==6 and imm_val==3<br>                                                                                                         |[0x80001d74]:c.addiw a0, 3<br> [0x80001d76]:sd a0, 1840(ra)<br>  |
| 260|[0x80004828]<br>0x000000000000000B|- rs1_val==6 and imm_val==5<br>                                                                                                         |[0x80001d7e]:c.addiw a0, 5<br> [0x80001d80]:sd a0, 1848(ra)<br>  |
| 261|[0x80004830]<br>0x0000000000000010|- rs1_val==6 and imm_val==10<br>                                                                                                        |[0x80001d88]:c.addiw a0, 10<br> [0x80001d8a]:sd a0, 1856(ra)<br> |
| 262|[0x80004838]<br>0x000000000000000C|- rs1_val==6 and imm_val==6<br>                                                                                                         |[0x80001d92]:c.addiw a0, 6<br> [0x80001d94]:sd a0, 1864(ra)<br>  |
| 263|[0x80004840]<br>0x0000000000000004|- rs1_val==6 and imm_val==-2<br>                                                                                                        |[0x80001d9c]:c.addiw a0, 62<br> [0x80001d9e]:sd a0, 1872(ra)<br> |
| 264|[0x80004848]<br>0x0000000000000001|- rs1_val==6 and imm_val==-5<br>                                                                                                        |[0x80001da6]:c.addiw a0, 59<br> [0x80001da8]:sd a0, 1880(ra)<br> |
| 265|[0x80004850]<br>0x0000000000000008|- rs1_val==6 and imm_val==2<br>                                                                                                         |[0x80001db0]:c.addiw a0, 2<br> [0x80001db2]:sd a0, 1888(ra)<br>  |
| 266|[0x80004858]<br>0x000000000000000A|- rs1_val==6 and imm_val==4<br>                                                                                                         |[0x80001dba]:c.addiw a0, 4<br> [0x80001dbc]:sd a0, 1896(ra)<br>  |
| 267|[0x80004860]<br>0x000000000000000F|- rs1_val==6 and imm_val==9<br>                                                                                                         |[0x80001dc4]:c.addiw a0, 9<br> [0x80001dc6]:sd a0, 1904(ra)<br>  |
| 268|[0x80004868]<br>0x0000000000000006|- rs1_val==6 and imm_val==0<br>                                                                                                         |[0x80001dce]:c.addiw a0, 0<br> [0x80001dd0]:sd a0, 1912(ra)<br>  |
| 269|[0x80004870]<br>0x0000000000000011|- rs1_val==6 and imm_val==11<br>                                                                                                        |[0x80001dd8]:c.addiw a0, 11<br> [0x80001dda]:sd a0, 1920(ra)<br> |
| 270|[0x80004878]<br>0x000000000000000D|- rs1_val==6 and imm_val==7<br>                                                                                                         |[0x80001de2]:c.addiw a0, 7<br> [0x80001de4]:sd a0, 1928(ra)<br>  |
| 271|[0x80004880]<br>0x0000000000000005|- rs1_val==6 and imm_val==-1<br>                                                                                                        |[0x80001dec]:c.addiw a0, 63<br> [0x80001dee]:sd a0, 1936(ra)<br> |
| 272|[0x80004888]<br>0x0000000000000002|- rs1_val==6 and imm_val==-4<br>                                                                                                        |[0x80001df6]:c.addiw a0, 60<br> [0x80001df8]:sd a0, 1944(ra)<br> |
| 273|[0x80004890]<br>0x0000000033333337|- rs1_val==3689348814741910324 and imm_val==3<br>                                                                                       |[0x80001e1c]:c.addiw a0, 3<br> [0x80001e1e]:sd a0, 1952(ra)<br>  |
| 274|[0x80004898]<br>0x0000000033333339|- rs1_val==3689348814741910324 and imm_val==5<br>                                                                                       |[0x80001e42]:c.addiw a0, 5<br> [0x80001e44]:sd a0, 1960(ra)<br>  |
| 275|[0x800048a0]<br>0x000000003333333E|- rs1_val==3689348814741910324 and imm_val==10<br>                                                                                      |[0x80001e68]:c.addiw a0, 10<br> [0x80001e6a]:sd a0, 1968(ra)<br> |
| 276|[0x800048a8]<br>0x000000003333333A|- rs1_val==3689348814741910324 and imm_val==6<br>                                                                                       |[0x80001e8e]:c.addiw a0, 6<br> [0x80001e90]:sd a0, 1976(ra)<br>  |
| 277|[0x800048b0]<br>0x0000000033333332|- rs1_val==3689348814741910324 and imm_val==-2<br>                                                                                      |[0x80001eb4]:c.addiw a0, 62<br> [0x80001eb6]:sd a0, 1984(ra)<br> |
| 278|[0x800048b8]<br>0x000000003333332F|- rs1_val==3689348814741910324 and imm_val==-5<br>                                                                                      |[0x80001eda]:c.addiw a0, 59<br> [0x80001edc]:sd a0, 1992(ra)<br> |
| 279|[0x800048c0]<br>0x0000000033333336|- rs1_val==3689348814741910324 and imm_val==2<br>                                                                                       |[0x80001f00]:c.addiw a0, 2<br> [0x80001f02]:sd a0, 2000(ra)<br>  |
| 280|[0x800048c8]<br>0x0000000033333338|- rs1_val==3689348814741910324 and imm_val==4<br>                                                                                       |[0x80001f26]:c.addiw a0, 4<br> [0x80001f28]:sd a0, 2008(ra)<br>  |
| 281|[0x800048d0]<br>0x000000003333333D|- rs1_val==3689348814741910324 and imm_val==9<br>                                                                                       |[0x80001f4c]:c.addiw a0, 9<br> [0x80001f4e]:sd a0, 2016(ra)<br>  |
| 282|[0x800048d8]<br>0x0000000033333334|- rs1_val==3689348814741910324 and imm_val==0<br>                                                                                       |[0x80001f72]:c.addiw a0, 0<br> [0x80001f74]:sd a0, 2024(ra)<br>  |
| 283|[0x800048e0]<br>0x000000003333333F|- rs1_val==3689348814741910324 and imm_val==11<br>                                                                                      |[0x80001f98]:c.addiw a0, 11<br> [0x80001f9a]:sd a0, 2032(ra)<br> |
| 284|[0x800048e8]<br>0x000000003333333B|- rs1_val==3689348814741910324 and imm_val==7<br>                                                                                       |[0x80001fbe]:c.addiw a0, 7<br> [0x80001fc0]:sd a0, 2040(ra)<br>  |
| 285|[0x800048f0]<br>0x0000000033333333|- rs1_val==3689348814741910324 and imm_val==-1<br>                                                                                      |[0x80001fec]:c.addiw a0, 63<br> [0x80001fee]:sd a0, 0(ra)<br>    |
| 286|[0x800048f8]<br>0x0000000033333330|- rs1_val==3689348814741910324 and imm_val==-4<br>                                                                                      |[0x80002012]:c.addiw a0, 60<br> [0x80002014]:sd a0, 8(ra)<br>    |
| 287|[0x80004900]<br>0x000000006666666A|- rs1_val==7378697629483820647 and imm_val==3<br>                                                                                       |[0x80002038]:c.addiw a0, 3<br> [0x8000203a]:sd a0, 16(ra)<br>    |
| 288|[0x80004908]<br>0x000000006666666C|- rs1_val==7378697629483820647 and imm_val==5<br>                                                                                       |[0x8000205e]:c.addiw a0, 5<br> [0x80002060]:sd a0, 24(ra)<br>    |
| 289|[0x80004910]<br>0x0000000066666671|- rs1_val==7378697629483820647 and imm_val==10<br>                                                                                      |[0x80002084]:c.addiw a0, 10<br> [0x80002086]:sd a0, 32(ra)<br>   |
| 290|[0x80004918]<br>0x000000006666666D|- rs1_val==7378697629483820647 and imm_val==6<br>                                                                                       |[0x800020aa]:c.addiw a0, 6<br> [0x800020ac]:sd a0, 40(ra)<br>    |
| 291|[0x80004920]<br>0x0000000066666665|- rs1_val==7378697629483820647 and imm_val==-2<br>                                                                                      |[0x800020d0]:c.addiw a0, 62<br> [0x800020d2]:sd a0, 48(ra)<br>   |
| 292|[0x80004928]<br>0x0000000066666662|- rs1_val==7378697629483820647 and imm_val==-5<br>                                                                                      |[0x800020f6]:c.addiw a0, 59<br> [0x800020f8]:sd a0, 56(ra)<br>   |
| 293|[0x80004930]<br>0x0000000066666669|- rs1_val==7378697629483820647 and imm_val==2<br>                                                                                       |[0x8000211c]:c.addiw a0, 2<br> [0x8000211e]:sd a0, 64(ra)<br>    |
| 294|[0x80004938]<br>0x000000006666666B|- rs1_val==7378697629483820647 and imm_val==4<br>                                                                                       |[0x80002142]:c.addiw a0, 4<br> [0x80002144]:sd a0, 72(ra)<br>    |
| 295|[0x80004940]<br>0x0000000066666670|- rs1_val==7378697629483820647 and imm_val==9<br>                                                                                       |[0x80002168]:c.addiw a0, 9<br> [0x8000216a]:sd a0, 80(ra)<br>    |
| 296|[0x80004948]<br>0x0000000066666667|- rs1_val==7378697629483820647 and imm_val==0<br>                                                                                       |[0x8000218e]:c.addiw a0, 0<br> [0x80002190]:sd a0, 88(ra)<br>    |
| 297|[0x80004950]<br>0x0000000066666672|- rs1_val==7378697629483820647 and imm_val==11<br>                                                                                      |[0x800021b4]:c.addiw a0, 11<br> [0x800021b6]:sd a0, 96(ra)<br>   |
| 298|[0x80004958]<br>0x000000006666666E|- rs1_val==7378697629483820647 and imm_val==7<br>                                                                                       |[0x800021da]:c.addiw a0, 7<br> [0x800021dc]:sd a0, 104(ra)<br>   |
| 299|[0x80004960]<br>0x0000000066666666|- rs1_val==7378697629483820647 and imm_val==-1<br>                                                                                      |[0x80002200]:c.addiw a0, 63<br> [0x80002202]:sd a0, 112(ra)<br>  |
| 300|[0x80004968]<br>0x0000000066666663|- rs1_val==7378697629483820647 and imm_val==-4<br>                                                                                      |[0x80002226]:c.addiw a0, 60<br> [0x80002228]:sd a0, 120(ra)<br>  |
| 301|[0x80004970]<br>0x000000004AFB0CD1|- rs1_val==-3037000498 and imm_val==3<br>                                                                                               |[0x8000223c]:c.addiw a0, 3<br> [0x8000223e]:sd a0, 128(ra)<br>   |
| 302|[0x80004978]<br>0x000000004AFB0CD3|- rs1_val==-3037000498 and imm_val==5<br>                                                                                               |[0x80002252]:c.addiw a0, 5<br> [0x80002254]:sd a0, 136(ra)<br>   |
| 303|[0x80004980]<br>0x000000004AFB0CD8|- rs1_val==-3037000498 and imm_val==10<br>                                                                                              |[0x80002268]:c.addiw a0, 10<br> [0x8000226a]:sd a0, 144(ra)<br>  |
| 304|[0x80004988]<br>0x000000004AFB0CD4|- rs1_val==-3037000498 and imm_val==6<br>                                                                                               |[0x8000227e]:c.addiw a0, 6<br> [0x80002280]:sd a0, 152(ra)<br>   |
| 305|[0x80004990]<br>0x000000004AFB0CCC|- rs1_val==-3037000498 and imm_val==-2<br>                                                                                              |[0x80002294]:c.addiw a0, 62<br> [0x80002296]:sd a0, 160(ra)<br>  |
| 306|[0x80004998]<br>0x000000004AFB0CC9|- rs1_val==-3037000498 and imm_val==-5<br>                                                                                              |[0x800022aa]:c.addiw a0, 59<br> [0x800022ac]:sd a0, 168(ra)<br>  |
| 307|[0x800049a0]<br>0x000000004AFB0CD0|- rs1_val==-3037000498 and imm_val==2<br>                                                                                               |[0x800022c0]:c.addiw a0, 2<br> [0x800022c2]:sd a0, 176(ra)<br>   |
| 308|[0x800049a8]<br>0x000000004AFB0CD2|- rs1_val==-3037000498 and imm_val==4<br>                                                                                               |[0x800022d6]:c.addiw a0, 4<br> [0x800022d8]:sd a0, 184(ra)<br>   |
| 309|[0x800049b0]<br>0x000000004AFB0CD7|- rs1_val==-3037000498 and imm_val==9<br>                                                                                               |[0x800022ec]:c.addiw a0, 9<br> [0x800022ee]:sd a0, 192(ra)<br>   |
| 310|[0x800049b8]<br>0x000000004AFB0CCE|- rs1_val==-3037000498 and imm_val==0<br>                                                                                               |[0x80002302]:c.addiw a0, 0<br> [0x80002304]:sd a0, 200(ra)<br>   |
| 311|[0x800049c0]<br>0x000000004AFB0CD9|- rs1_val==-3037000498 and imm_val==11<br>                                                                                              |[0x80002318]:c.addiw a0, 11<br> [0x8000231a]:sd a0, 208(ra)<br>  |
| 312|[0x800049c8]<br>0x000000004AFB0CD5|- rs1_val==-3037000498 and imm_val==7<br>                                                                                               |[0x8000232e]:c.addiw a0, 7<br> [0x80002330]:sd a0, 216(ra)<br>   |
| 313|[0x800049d0]<br>0x000000004AFB0CCD|- rs1_val==-3037000498 and imm_val==-1<br>                                                                                              |[0x80002344]:c.addiw a0, 63<br> [0x80002346]:sd a0, 224(ra)<br>  |
| 314|[0x800049d8]<br>0x000000004AFB0CCA|- rs1_val==-3037000498 and imm_val==-4<br>                                                                                              |[0x8000235a]:c.addiw a0, 60<br> [0x8000235c]:sd a0, 232(ra)<br>  |
| 315|[0x800049e0]<br>0xFFFFFFFFB504F337|- rs1_val==3037000500 and imm_val==3<br>                                                                                                |[0x80002370]:c.addiw a0, 3<br> [0x80002372]:sd a0, 240(ra)<br>   |
| 316|[0x800049e8]<br>0xFFFFFFFFB504F339|- rs1_val==3037000500 and imm_val==5<br>                                                                                                |[0x80002386]:c.addiw a0, 5<br> [0x80002388]:sd a0, 248(ra)<br>   |
| 317|[0x800049f0]<br>0xFFFFFFFFB504F33E|- rs1_val==3037000500 and imm_val==10<br>                                                                                               |[0x8000239c]:c.addiw a0, 10<br> [0x8000239e]:sd a0, 256(ra)<br>  |
| 318|[0x800049f8]<br>0xFFFFFFFFB504F33A|- rs1_val==3037000500 and imm_val==6<br>                                                                                                |[0x800023b2]:c.addiw a0, 6<br> [0x800023b4]:sd a0, 264(ra)<br>   |
| 319|[0x80004a00]<br>0xFFFFFFFFB504F332|- rs1_val==3037000500 and imm_val==-2<br>                                                                                               |[0x800023c8]:c.addiw a0, 62<br> [0x800023ca]:sd a0, 272(ra)<br>  |
| 320|[0x80004a08]<br>0xFFFFFFFFB504F32F|- rs1_val==3037000500 and imm_val==-5<br>                                                                                               |[0x800023de]:c.addiw a0, 59<br> [0x800023e0]:sd a0, 280(ra)<br>  |
| 321|[0x80004a10]<br>0xFFFFFFFFB504F336|- rs1_val==3037000500 and imm_val==2<br>                                                                                                |[0x800023f4]:c.addiw a0, 2<br> [0x800023f6]:sd a0, 288(ra)<br>   |
| 322|[0x80004a18]<br>0xFFFFFFFFB504F338|- rs1_val==3037000500 and imm_val==4<br>                                                                                                |[0x8000240a]:c.addiw a0, 4<br> [0x8000240c]:sd a0, 296(ra)<br>   |
| 323|[0x80004a20]<br>0xFFFFFFFFB504F33D|- rs1_val==3037000500 and imm_val==9<br>                                                                                                |[0x80002420]:c.addiw a0, 9<br> [0x80002422]:sd a0, 304(ra)<br>   |
| 324|[0x80004a28]<br>0xFFFFFFFFB504F334|- rs1_val==3037000500 and imm_val==0<br>                                                                                                |[0x80002436]:c.addiw a0, 0<br> [0x80002438]:sd a0, 312(ra)<br>   |
| 325|[0x80004a30]<br>0xFFFFFFFFB504F33F|- rs1_val==3037000500 and imm_val==11<br>                                                                                               |[0x8000244c]:c.addiw a0, 11<br> [0x8000244e]:sd a0, 320(ra)<br>  |
| 326|[0x80004a38]<br>0xFFFFFFFFB504F33B|- rs1_val==3037000500 and imm_val==7<br>                                                                                                |[0x80002462]:c.addiw a0, 7<br> [0x80002464]:sd a0, 328(ra)<br>   |
| 327|[0x80004a40]<br>0xFFFFFFFFB504F333|- rs1_val==3037000500 and imm_val==-1<br>                                                                                               |[0x80002478]:c.addiw a0, 63<br> [0x8000247a]:sd a0, 336(ra)<br>  |
| 328|[0x80004a48]<br>0xFFFFFFFFB504F330|- rs1_val==3037000500 and imm_val==-4<br>                                                                                               |[0x8000248e]:c.addiw a0, 60<br> [0x80002490]:sd a0, 344(ra)<br>  |
| 329|[0x80004a50]<br>0xFFFFFFFFFFFFFFF2|- rs1_val == 8<br>                                                                                                                      |[0x80002498]:c.addiw a0, 42<br> [0x8000249a]:sd a0, 352(ra)<br>  |
| 330|[0x80004a58]<br>0x0000000000000026|- rs1_val == 32<br>                                                                                                                     |[0x800024a2]:c.addiw a0, 6<br> [0x800024a4]:sd a0, 360(ra)<br>   |
| 331|[0x80004a60]<br>0x0000000000000037|- rs1_val == 64<br>                                                                                                                     |[0x800024ac]:c.addiw a0, 55<br> [0x800024ae]:sd a0, 368(ra)<br>  |
| 332|[0x80004a68]<br>0x0000000000000080|- rs1_val == 128<br>                                                                                                                    |[0x800024b6]:c.addiw a0, 0<br> [0x800024b8]:sd a0, 376(ra)<br>   |
| 333|[0x80004a70]<br>0x00000000000000FC|- rs1_val == 256<br>                                                                                                                    |[0x800024c0]:c.addiw a0, 60<br> [0x800024c2]:sd a0, 384(ra)<br>  |
| 334|[0x80004a78]<br>0x00000000000001FF|- rs1_val == 512<br>                                                                                                                    |[0x800024ca]:c.addiw a0, 63<br> [0x800024cc]:sd a0, 392(ra)<br>  |
| 335|[0x80004a80]<br>0x00000000000003FC|- rs1_val == 1024<br>                                                                                                                   |[0x800024d4]:c.addiw a0, 60<br> [0x800024d6]:sd a0, 400(ra)<br>  |
| 336|[0x80004a88]<br>0x0000000000000806|- rs1_val == 2048<br>                                                                                                                   |[0x800024e2]:c.addiw a0, 6<br> [0x800024e4]:sd a0, 408(ra)<br>   |
| 337|[0x80004a90]<br>0x0000000000001005|- rs1_val == 4096<br>                                                                                                                   |[0x800024ec]:c.addiw a0, 5<br> [0x800024ee]:sd a0, 416(ra)<br>   |
| 338|[0x80004a98]<br>0x0000000000002002|- rs1_val == 8192<br>                                                                                                                   |[0x800024f6]:c.addiw a0, 2<br> [0x800024f8]:sd a0, 424(ra)<br>   |
| 339|[0x80004aa0]<br>0x0000000000003FFD|- rs1_val == 16384<br>                                                                                                                  |[0x80002500]:c.addiw a0, 61<br> [0x80002502]:sd a0, 432(ra)<br>  |
| 340|[0x80004aa8]<br>0x000000000000FFFB|- rs1_val == 65536<br>                                                                                                                  |[0x8000250a]:c.addiw a0, 59<br> [0x8000250c]:sd a0, 440(ra)<br>  |
| 341|[0x80004ab0]<br>0x000000000001FFFA|- rs1_val == 131072<br>                                                                                                                 |[0x80002514]:c.addiw a0, 58<br> [0x80002516]:sd a0, 448(ra)<br>  |
| 342|[0x80004ab8]<br>0x0000000000040002|- rs1_val == 262144<br>                                                                                                                 |[0x8000251e]:c.addiw a0, 2<br> [0x80002520]:sd a0, 456(ra)<br>   |
| 343|[0x80004ac0]<br>0x0000000000080005|- rs1_val == 524288<br>                                                                                                                 |[0x80002528]:c.addiw a0, 5<br> [0x8000252a]:sd a0, 464(ra)<br>   |
| 344|[0x80004ac8]<br>0x0000000000100004|- rs1_val == 1048576<br>                                                                                                                |[0x80002532]:c.addiw a0, 4<br> [0x80002534]:sd a0, 472(ra)<br>   |
| 345|[0x80004ad0]<br>0x0000000000200008|- rs1_val == 2097152<br>                                                                                                                |[0x8000253c]:c.addiw a0, 8<br> [0x8000253e]:sd a0, 480(ra)<br>   |
| 346|[0x80004ad8]<br>0x0000000000400006|- rs1_val == 4194304<br>                                                                                                                |[0x80002546]:c.addiw a0, 6<br> [0x80002548]:sd a0, 488(ra)<br>   |
| 347|[0x80004ae0]<br>0x00000000007FFFF7|- rs1_val == 8388608<br>                                                                                                                |[0x80002550]:c.addiw a0, 55<br> [0x80002552]:sd a0, 496(ra)<br>  |
| 348|[0x80004ae8]<br>0x0000000000FFFFFE|- rs1_val == 16777216<br>                                                                                                               |[0x8000255a]:c.addiw a0, 62<br> [0x8000255c]:sd a0, 504(ra)<br>  |
| 349|[0x80004af0]<br>0x0000000002000006|- rs1_val == 33554432<br>                                                                                                               |[0x80002564]:c.addiw a0, 6<br> [0x80002566]:sd a0, 512(ra)<br>   |
| 350|[0x80004af8]<br>0x0000000004000006|- rs1_val == 67108864<br>                                                                                                               |[0x8000256e]:c.addiw a0, 6<br> [0x80002570]:sd a0, 520(ra)<br>   |
| 351|[0x80004b00]<br>0x0000000008000000|- rs1_val == 134217728<br>                                                                                                              |[0x80002578]:c.addiw a0, 0<br> [0x8000257a]:sd a0, 528(ra)<br>   |
| 352|[0x80004b08]<br>0x000000001FFFFFF9|- rs1_val == 536870912<br>                                                                                                              |[0x80002582]:c.addiw a0, 57<br> [0x80002584]:sd a0, 536(ra)<br>  |
| 353|[0x80004b10]<br>0x000000003FFFFFEF|- rs1_val == 1073741824<br>                                                                                                             |[0x8000258c]:c.addiw a0, 47<br> [0x8000258e]:sd a0, 544(ra)<br>  |
| 354|[0x80004b18]<br>0xFFFFFFFF80000000|- rs1_val == 2147483648<br>                                                                                                             |[0x8000259a]:c.addiw a0, 0<br> [0x8000259c]:sd a0, 552(ra)<br>   |
| 355|[0x80004b20]<br>0xFFFFFFFFFFFFFFFE|- rs1_val == 4294967296<br>                                                                                                             |[0x800025a8]:c.addiw a0, 62<br> [0x800025aa]:sd a0, 560(ra)<br>  |
| 356|[0x80004b28]<br>0xFFFFFFFFFFFFFFFB|- rs1_val == 8589934592<br>                                                                                                             |[0x800025b6]:c.addiw a0, 59<br> [0x800025b8]:sd a0, 568(ra)<br>  |
| 357|[0x80004b30]<br>0x0000000000000002|- rs1_val == 17179869184<br>                                                                                                            |[0x800025c4]:c.addiw a0, 2<br> [0x800025c6]:sd a0, 576(ra)<br>   |
| 358|[0x80004b38]<br>0x0000000000000003|- rs1_val == 34359738368<br>                                                                                                            |[0x800025d2]:c.addiw a0, 3<br> [0x800025d4]:sd a0, 584(ra)<br>   |
| 359|[0x80004b40]<br>0x0000000000000004|- rs1_val == 68719476736<br>                                                                                                            |[0x800025e0]:c.addiw a0, 4<br> [0x800025e2]:sd a0, 592(ra)<br>   |
| 360|[0x80004b48]<br>0x0000000000000004|- rs1_val == 137438953472<br>                                                                                                           |[0x800025ee]:c.addiw a0, 4<br> [0x800025f0]:sd a0, 600(ra)<br>   |
| 361|[0x80004b50]<br>0x000000000000000F|- rs1_val == 274877906944<br>                                                                                                           |[0x800025fc]:c.addiw a0, 15<br> [0x800025fe]:sd a0, 608(ra)<br>  |
| 362|[0x80004b58]<br>0x0000000000000010|- rs1_val == 549755813888<br>                                                                                                           |[0x8000260a]:c.addiw a0, 16<br> [0x8000260c]:sd a0, 616(ra)<br>  |
| 363|[0x80004b60]<br>0x0000000000000005|- rs1_val == 1099511627776<br>                                                                                                          |[0x80002618]:c.addiw a0, 5<br> [0x8000261a]:sd a0, 624(ra)<br>   |
| 364|[0x80004b68]<br>0x000000000000000F|- rs1_val == 2199023255552<br>                                                                                                          |[0x80002626]:c.addiw a0, 15<br> [0x80002628]:sd a0, 632(ra)<br>  |
| 365|[0x80004b70]<br>0x0000000000000002|- rs1_val == 4398046511104<br>                                                                                                          |[0x80002634]:c.addiw a0, 2<br> [0x80002636]:sd a0, 640(ra)<br>   |
| 366|[0x80004b78]<br>0xFFFFFFFFFFFFFFF8|- rs1_val == 8796093022208<br>                                                                                                          |[0x80002642]:c.addiw a0, 56<br> [0x80002644]:sd a0, 648(ra)<br>  |
| 367|[0x80004b80]<br>0x0000000000000005|- rs1_val == 17592186044416<br>                                                                                                         |[0x80002650]:c.addiw a0, 5<br> [0x80002652]:sd a0, 656(ra)<br>   |
| 368|[0x80004b88]<br>0xFFFFFFFFFFFFFFF6|- rs1_val == 35184372088832<br>                                                                                                         |[0x8000265e]:c.addiw a0, 54<br> [0x80002660]:sd a0, 664(ra)<br>  |
| 369|[0x80004b90]<br>0x0000000000000010|- rs1_val == 70368744177664<br>                                                                                                         |[0x8000266c]:c.addiw a0, 16<br> [0x8000266e]:sd a0, 672(ra)<br>  |
| 370|[0x80004b98]<br>0x0000000000000005|- rs1_val == 140737488355328<br>                                                                                                        |[0x8000267a]:c.addiw a0, 5<br> [0x8000267c]:sd a0, 680(ra)<br>   |
| 371|[0x80004ba0]<br>0x0000000000000006|- rs1_val == 281474976710656<br>                                                                                                        |[0x80002688]:c.addiw a0, 6<br> [0x8000268a]:sd a0, 688(ra)<br>   |
| 372|[0x80004ba8]<br>0xFFFFFFFFFFFFFFF9|- rs1_val == 562949953421312<br>                                                                                                        |[0x80002696]:c.addiw a0, 57<br> [0x80002698]:sd a0, 696(ra)<br>  |
| 373|[0x80004bb0]<br>0x000000000000000B|- rs1_val == 2251799813685248<br>                                                                                                       |[0x800026a4]:c.addiw a0, 11<br> [0x800026a6]:sd a0, 704(ra)<br>  |
| 374|[0x80004bb8]<br>0x0000000000000004|- rs1_val == 4503599627370496<br>                                                                                                       |[0x800026b2]:c.addiw a0, 4<br> [0x800026b4]:sd a0, 712(ra)<br>   |
| 375|[0x80004bc0]<br>0x0000000000000007|- rs1_val == 9007199254740992<br>                                                                                                       |[0x800026c0]:c.addiw a0, 7<br> [0x800026c2]:sd a0, 720(ra)<br>   |
| 376|[0x80004bc8]<br>0x000000000000001F|- rs1_val == 18014398509481984<br>                                                                                                      |[0x800026ce]:c.addiw a0, 31<br> [0x800026d0]:sd a0, 728(ra)<br>  |
| 377|[0x80004bd0]<br>0x0000000000000004|- rs1_val == 36028797018963968<br>                                                                                                      |[0x800026dc]:c.addiw a0, 4<br> [0x800026de]:sd a0, 736(ra)<br>   |
| 378|[0x80004bd8]<br>0x0000000000000005|- rs1_val == 72057594037927936<br>                                                                                                      |[0x800026ea]:c.addiw a0, 5<br> [0x800026ec]:sd a0, 744(ra)<br>   |
| 379|[0x80004be0]<br>0x0000000000000002|- rs1_val == 288230376151711744<br>                                                                                                     |[0x800026f8]:c.addiw a0, 2<br> [0x800026fa]:sd a0, 752(ra)<br>   |
| 380|[0x80004be8]<br>0x0000000000000015|- rs1_val == 576460752303423488<br>                                                                                                     |[0x80002706]:c.addiw a0, 21<br> [0x80002708]:sd a0, 760(ra)<br>  |
| 381|[0x80004bf0]<br>0xFFFFFFFFFFFFFFE0|- rs1_val == 1152921504606846976<br>                                                                                                    |[0x80002714]:c.addiw a0, 32<br> [0x80002716]:sd a0, 768(ra)<br>  |
| 382|[0x80004bf8]<br>0xFFFFFFFFFFFFFFF6|- rs1_val == 2305843009213693952<br>                                                                                                    |[0x80002722]:c.addiw a0, 54<br> [0x80002724]:sd a0, 776(ra)<br>  |
| 383|[0x80004c00]<br>0x0000000000000007|- rs1_val == 4611686018427387904<br>                                                                                                    |[0x80002730]:c.addiw a0, 7<br> [0x80002732]:sd a0, 784(ra)<br>   |
| 384|[0x80004c08]<br>0xFFFFFFFFFFFFFFFA|- rs1_val == -2<br>                                                                                                                     |[0x8000273a]:c.addiw a0, 60<br> [0x8000273c]:sd a0, 792(ra)<br>  |
| 385|[0x80004c10]<br>0xFFFFFFFFFFFFFFFD|- rs1_val == -3<br>                                                                                                                     |[0x80002744]:c.addiw a0, 0<br> [0x80002746]:sd a0, 800(ra)<br>   |
| 386|[0x80004c18]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -5<br>                                                                                                                     |[0x8000274e]:c.addiw a0, 4<br> [0x80002750]:sd a0, 808(ra)<br>   |
| 387|[0x80004c20]<br>0xFFFFFFFFFFFFFFF0|- rs1_val == -17<br>                                                                                                                    |[0x80002758]:c.addiw a0, 1<br> [0x8000275a]:sd a0, 816(ra)<br>   |
| 388|[0x80004c28]<br>0xFFFFFFFFFFFFFFDD|- rs1_val == -33<br>                                                                                                                    |[0x80002762]:c.addiw a0, 62<br> [0x80002764]:sd a0, 824(ra)<br>  |
| 389|[0x80004c30]<br>0xFFFFFFFFFFFFFFC3|- rs1_val == -65<br>                                                                                                                    |[0x8000276c]:c.addiw a0, 4<br> [0x8000276e]:sd a0, 832(ra)<br>   |
| 390|[0x80004c38]<br>0xFFFFFFFFFFFFFF81|- rs1_val == -129<br>                                                                                                                   |[0x80002776]:c.addiw a0, 2<br> [0x80002778]:sd a0, 840(ra)<br>   |
| 391|[0x80004c40]<br>0xFFFFFFFFFFFFFF0E|- rs1_val == -257<br>                                                                                                                   |[0x80002780]:c.addiw a0, 15<br> [0x80002782]:sd a0, 848(ra)<br>  |
| 392|[0x80004c48]<br>0xFFFFFFFFFFFFFBE9|- rs1_val == -1025<br>                                                                                                                  |[0x8000278a]:c.addiw a0, 42<br> [0x8000278c]:sd a0, 856(ra)<br>  |
| 393|[0x80004c50]<br>0xFFFFFFFFFFFFF801|- rs1_val == -2049<br>                                                                                                                  |[0x80002798]:c.addiw a0, 2<br> [0x8000279a]:sd a0, 864(ra)<br>   |
| 394|[0x80004c58]<br>0xFFFFFFFFFFFFE01E|- rs1_val == -8193<br>                                                                                                                  |[0x800027a6]:c.addiw a0, 31<br> [0x800027a8]:sd a0, 872(ra)<br>  |
| 395|[0x80004c60]<br>0xFFFFFFFFFFFFC003|- rs1_val == -16385<br>                                                                                                                 |[0x800027b4]:c.addiw a0, 4<br> [0x800027b6]:sd a0, 880(ra)<br>   |
| 396|[0x80004c68]<br>0xFFFFFFFFFFFF7FFF|- rs1_val == -32769<br>                                                                                                                 |[0x800027c2]:c.addiw a0, 0<br> [0x800027c4]:sd a0, 888(ra)<br>   |
| 397|[0x80004c70]<br>0xFFFFFFFFFFFF0003|- rs1_val == -65537<br>                                                                                                                 |[0x800027d0]:c.addiw a0, 4<br> [0x800027d2]:sd a0, 896(ra)<br>   |
| 398|[0x80004c78]<br>0xFFFFFFFFFFFE0004|- rs1_val == -131073<br>                                                                                                                |[0x800027de]:c.addiw a0, 5<br> [0x800027e0]:sd a0, 904(ra)<br>   |
| 399|[0x80004c80]<br>0xFFFFFFFFFFFC0009|- rs1_val == -262145<br>                                                                                                                |[0x800027ec]:c.addiw a0, 10<br> [0x800027ee]:sd a0, 912(ra)<br>  |
| 400|[0x80004c88]<br>0xFFFFFFFFFFF8001E|- rs1_val == -524289<br>                                                                                                                |[0x800027fa]:c.addiw a0, 31<br> [0x800027fc]:sd a0, 920(ra)<br>  |
| 401|[0x80004c90]<br>0xFFFFFFFFFFDFFFFD|- rs1_val == -2097153<br>                                                                                                               |[0x80002808]:c.addiw a0, 62<br> [0x8000280a]:sd a0, 928(ra)<br>  |
| 402|[0x80004c98]<br>0xFFFFFFFFFFBFFFFF|- rs1_val == -4194305<br>                                                                                                               |[0x80002816]:c.addiw a0, 0<br> [0x80002818]:sd a0, 936(ra)<br>   |
| 403|[0x80004ca0]<br>0xFFFFFFFFFF00000A|- rs1_val == -16777217<br>                                                                                                              |[0x80002824]:c.addiw a0, 11<br> [0x80002826]:sd a0, 944(ra)<br>  |
| 404|[0x80004ca8]<br>0xFFFFFFFFFDFFFFF8|- rs1_val == -33554433<br>                                                                                                              |[0x80002832]:c.addiw a0, 57<br> [0x80002834]:sd a0, 952(ra)<br>  |
| 405|[0x80004cb0]<br>0xFFFFFFFFFC000003|- rs1_val == -67108865<br>                                                                                                              |[0x80002840]:c.addiw a0, 4<br> [0x80002842]:sd a0, 960(ra)<br>   |
| 406|[0x80004cb8]<br>0xFFFFFFFFF8000000|- rs1_val == -134217729<br>                                                                                                             |[0x8000284e]:c.addiw a0, 1<br> [0x80002850]:sd a0, 968(ra)<br>   |
| 407|[0x80004cc0]<br>0xFFFFFFFFF0000004|- rs1_val == -268435457<br>                                                                                                             |[0x8000285c]:c.addiw a0, 5<br> [0x8000285e]:sd a0, 976(ra)<br>   |
| 408|[0x80004cc8]<br>0x0000000000000000|- rs1_val == -1125899906842625<br>                                                                                                      |[0x8000286e]:c.addiw a0, 1<br> [0x80002870]:sd a0, 984(ra)<br>   |
| 409|[0x80004cd0]<br>0x0000000000000005|- rs1_val == -2251799813685249<br>                                                                                                      |[0x80002880]:c.addiw a0, 6<br> [0x80002882]:sd a0, 992(ra)<br>   |
| 410|[0x80004cd8]<br>0xFFFFFFFFFFFFFFFB|- rs1_val == -4503599627370497<br>                                                                                                      |[0x80002892]:c.addiw a0, 60<br> [0x80002894]:sd a0, 1000(ra)<br> |
| 411|[0x80004ce0]<br>0x0000000000000002|- rs1_val == -9007199254740993<br>                                                                                                      |[0x800028a4]:c.addiw a0, 3<br> [0x800028a6]:sd a0, 1008(ra)<br>  |
| 412|[0x80004ce8]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -18014398509481985<br>                                                                                                     |[0x800028b6]:c.addiw a0, 0<br> [0x800028b8]:sd a0, 1016(ra)<br>  |
| 413|[0x80004cf0]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -36028797018963969<br>                                                                                                     |[0x800028c8]:c.addiw a0, 0<br> [0x800028ca]:sd a0, 1024(ra)<br>  |
| 414|[0x80004cf8]<br>0x0000000000000008|- rs1_val == -72057594037927937<br>                                                                                                     |[0x800028da]:c.addiw a0, 9<br> [0x800028dc]:sd a0, 1032(ra)<br>  |
| 415|[0x80004d00]<br>0x0000000000000005|- rs1_val == -144115188075855873<br>                                                                                                    |[0x800028ec]:c.addiw a0, 6<br> [0x800028ee]:sd a0, 1040(ra)<br>  |
| 416|[0x80004d08]<br>0xFFFFFFFFFFFFFFFF|- rs1_val == -288230376151711745<br>                                                                                                    |[0x800028fe]:c.addiw a0, 0<br> [0x80002900]:sd a0, 1048(ra)<br>  |
| 417|[0x80004d10]<br>0x0000000000000009|- rs1_val == -576460752303423489<br>                                                                                                    |[0x80002910]:c.addiw a0, 10<br> [0x80002912]:sd a0, 1056(ra)<br> |
| 418|[0x80004d18]<br>0x0000000000000003|- rs1_val == -1152921504606846977<br>                                                                                                   |[0x80002922]:c.addiw a0, 4<br> [0x80002924]:sd a0, 1064(ra)<br>  |
| 419|[0x80004d20]<br>0xFFFFFFFFFFFFFFFD|- rs1_val == -2305843009213693953<br>                                                                                                   |[0x80002934]:c.addiw a0, 62<br> [0x80002936]:sd a0, 1072(ra)<br> |
| 420|[0x80004d28]<br>0xFFFFFFFFFFFFFFF8|- rs1_val == -4611686018427387905<br>                                                                                                   |[0x80002946]:c.addiw a0, 57<br> [0x80002948]:sd a0, 1080(ra)<br> |
| 421|[0x80004d30]<br>0xFFFFFFFFE0000001|- rs1_val == -536870913<br>                                                                                                             |[0x80002954]:c.addiw a0, 2<br> [0x80002956]:sd a0, 1088(ra)<br>  |
| 422|[0x80004d38]<br>0xFFFFFFFF80000008|- rs1_val == -2147483649<br>                                                                                                            |[0x80002966]:c.addiw a0, 9<br> [0x80002968]:sd a0, 1096(ra)<br>  |
| 423|[0x80004d40]<br>0x000000000000000F|- rs1_val == -4294967297<br>                                                                                                            |[0x80002978]:c.addiw a0, 16<br> [0x8000297a]:sd a0, 1104(ra)<br> |
| 424|[0x80004d48]<br>0x000000000000001E|- rs1_val == -8589934593<br>                                                                                                            |[0x8000298a]:c.addiw a0, 31<br> [0x8000298c]:sd a0, 1112(ra)<br> |
| 425|[0x80004d50]<br>0xFFFFFFFFFFFFFFF6|- rs1_val == -17179869185<br>                                                                                                           |[0x8000299c]:c.addiw a0, 55<br> [0x8000299e]:sd a0, 1120(ra)<br> |
| 426|[0x80004d58]<br>0xFFFFFFFFFFFFFFF7|- rs1_val == -34359738369<br>                                                                                                           |[0x800029ae]:c.addiw a0, 56<br> [0x800029b0]:sd a0, 1128(ra)<br> |
| 427|[0x80004d60]<br>0x0000000000000003|- rs1_val == -137438953473<br>                                                                                                          |[0x800029c0]:c.addiw a0, 4<br> [0x800029c2]:sd a0, 1136(ra)<br>  |
| 428|[0x80004d68]<br>0x0000000000000014|- rs1_val == -274877906945<br>                                                                                                          |[0x800029d2]:c.addiw a0, 21<br> [0x800029d4]:sd a0, 1144(ra)<br> |
| 429|[0x80004d70]<br>0x0000000000000003|- rs1_val == -549755813889<br>                                                                                                          |[0x800029e4]:c.addiw a0, 4<br> [0x800029e6]:sd a0, 1152(ra)<br>  |
| 430|[0x80004d78]<br>0x0000000000000004|- rs1_val == -1099511627777<br>                                                                                                         |[0x800029f6]:c.addiw a0, 5<br> [0x800029f8]:sd a0, 1160(ra)<br>  |
| 431|[0x80004d80]<br>0xFFFFFFFFFFFFFFF5|- rs1_val == -2199023255553<br>                                                                                                         |[0x80002a08]:c.addiw a0, 54<br> [0x80002a0a]:sd a0, 1168(ra)<br> |
| 432|[0x80004d88]<br>0x0000000000000002|- rs1_val == -4398046511105<br>                                                                                                         |[0x80002a1a]:c.addiw a0, 3<br> [0x80002a1c]:sd a0, 1176(ra)<br>  |
| 433|[0x80004d90]<br>0x0000000000000014|- rs1_val == -8796093022209<br>                                                                                                         |[0x80002a2c]:c.addiw a0, 21<br> [0x80002a2e]:sd a0, 1184(ra)<br> |
| 434|[0x80004d98]<br>0x0000000000000001|- rs1_val == -17592186044417<br>                                                                                                        |[0x80002a3e]:c.addiw a0, 2<br> [0x80002a40]:sd a0, 1192(ra)<br>  |
| 435|[0x80004da0]<br>0xFFFFFFFFFFFFFFFE|- rs1_val == -70368744177665<br>                                                                                                        |[0x80002a50]:c.addiw a0, 63<br> [0x80002a52]:sd a0, 1200(ra)<br> |
| 436|[0x80004da8]<br>0xFFFFFFFFFFFFFFDF|- rs1_val == -140737488355329<br>                                                                                                       |[0x80002a62]:c.addiw a0, 32<br> [0x80002a64]:sd a0, 1208(ra)<br> |
| 437|[0x80004db0]<br>0xFFFFFFFFFFFFFFFD|- rs1_val == -281474976710657<br>                                                                                                       |[0x80002a74]:c.addiw a0, 62<br> [0x80002a76]:sd a0, 1216(ra)<br> |
| 438|[0x80004db8]<br>0x000000000000001E|- rs1_val == -562949953421313<br>                                                                                                       |[0x80002a86]:c.addiw a0, 31<br> [0x80002a88]:sd a0, 1224(ra)<br> |
