
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 64      |
| TEST_REGION               | [('0x80000390', '0x80004300')]      |
| SIG_REGION                | [('0x80006010', '0x80007390', '624 dwords')]      |
| COV_LABELS                | xori      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/xori-01.S/xori-01.S    |
| Total Number of coverpoints| 719     |
| Total Coverpoints Hit     | 719      |
| Total Signature Updates   | 624      |
| STAT1                     | 623      |
| STAT2                     | 1      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x800042f4]:xori a1, a0, 1
      [0x800042f8]:sd a1, 728(tp)
 -- Signature Address: 0x80007388 Data: 0x0000000000000009
 -- Redundant Coverpoints hit by the op
      - opcode : xori
      - rs1 : x10
      - rd : x11
      - rs1 != rd
      - imm_val == 1
      - rs1_val != imm_val
      - rs1_val > 0 and imm_val > 0
      - rs1_val == 8






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|            signature             |                                                                                            coverpoints                                                                                             |                                code                                 |
|---:|----------------------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------------|
|   1|[0x80006010]<br>0xFFFFFFFFFFFFF804|- opcode : xori<br> - rs1 : x9<br> - rd : x9<br> - rs1 == rd<br> - imm_val == (-2**(12-1))<br> - rs1_val != imm_val<br> - rs1_val > 0 and imm_val < 0<br> - imm_val == -2048<br> - rs1_val == 4<br> |[0x8000039c]:xori s1, s1, 2048<br> [0x800003a0]:sd s1, 0(sp)<br>     |
|   2|[0x80006018]<br>0xFFFFFFFFF7FFFFFF|- rs1 : x25<br> - rd : x19<br> - rs1 != rd<br> - imm_val == 0<br> - rs1_val == -134217729<br>                                                                                                       |[0x800003ac]:xori s3, s9, 0<br> [0x800003b0]:sd s3, 8(sp)<br>        |
|   3|[0x80006020]<br>0x00000000000007FC|- rs1 : x13<br> - rd : x12<br> - imm_val == (2**(12-1)-1)<br> - rs1_val > 0 and imm_val > 0<br> - imm_val == 2047<br>                                                                               |[0x800003b8]:xori a2, a3, 2047<br> [0x800003bc]:sd a2, 16(sp)<br>    |
|   4|[0x80006028]<br>0xAAAAAAAAAAAAAAAA|- rs1 : x16<br> - rd : x13<br> - imm_val == 1<br> - rs1_val < 0 and imm_val > 0<br>                                                                                                                 |[0x800003e0]:xori a3, a6, 1<br> [0x800003e4]:sd a3, 24(sp)<br>       |
|   5|[0x80006030]<br>0x7FFFFFFFFFFFFFF7|- rs1 : x4<br> - rd : x14<br> - rs1_val == (-2**(xlen-1))<br> - rs1_val < 0 and imm_val < 0<br> - imm_val == -9<br> - rs1_val == -9223372036854775808<br>                                           |[0x800003f0]:xori a4, tp, 4087<br> [0x800003f4]:sd a4, 32(sp)<br>    |
|   6|[0x80006038]<br>0x0000000000000000|- rs1 : x29<br> - rd : x23<br> - rs1_val == 0<br> - rs1_val == imm_val<br> - rs1_val==0 and imm_val==0<br>                                                                                          |[0x800003fc]:xori s7, t4, 0<br> [0x80000400]:sd s7, 40(sp)<br>       |
|   7|[0x80006040]<br>0x7FFFFFFFFFFFFFFD|- rs1 : x28<br> - rd : x21<br> - rs1_val == (2**(xlen-1)-1)<br> - imm_val == 2<br> - rs1_val == 9223372036854775807<br>                                                                             |[0x80000410]:xori s5, t3, 2<br> [0x80000414]:sd s5, 48(sp)<br>       |
|   8|[0x80006048]<br>0x0000000000000667|- rs1 : x22<br> - rd : x4<br> - rs1_val == 1<br>                                                                                                                                                    |[0x8000041c]:xori tp, s6, 1638<br> [0x80000420]:sd tp, 56(sp)<br>    |
|   9|[0x80006050]<br>0x0000000000008004|- rs1 : x11<br> - rd : x31<br> - imm_val == 4<br> - rs1_val == 32768<br>                                                                                                                            |[0x80000428]:xori t6, a1, 4<br> [0x8000042c]:sd t6, 64(sp)<br>       |
|  10|[0x80006058]<br>0xFFFFFFFFFFFFFEF7|- rs1 : x17<br> - rd : x6<br> - imm_val == 8<br> - rs1_val == -257<br>                                                                                                                              |[0x80000434]:xori t1, a7, 8<br> [0x80000438]:sd t1, 72(sp)<br>       |
|  11|[0x80006060]<br>0xFFFFFFFFFFFFFFE6|- rs1 : x12<br> - rd : x15<br> - imm_val == 16<br>                                                                                                                                                  |[0x80000440]:xori a5, a2, 16<br> [0x80000444]:sd a5, 80(sp)<br>      |
|  12|[0x80006068]<br>0xFFFFFBFFFFFFFFDF|- rs1 : x27<br> - rd : x22<br> - imm_val == 32<br> - rs1_val == -4398046511105<br>                                                                                                                  |[0x80000454]:xori s6, s11, 32<br> [0x80000458]:sd s6, 88(sp)<br>     |
|  13|[0x80006070]<br>0x0000000040000040|- rs1 : x18<br> - rd : x1<br> - imm_val == 64<br> - rs1_val == 1073741824<br>                                                                                                                       |[0x80000460]:xori ra, s2, 64<br> [0x80000464]:sd ra, 96(sp)<br>      |
|  14|[0x80006078]<br>0xFFFFFFFFFFFFF77F|- rs1 : x7<br> - rd : x26<br> - imm_val == 128<br> - rs1_val == -2049<br>                                                                                                                           |[0x80000470]:xori s10, t2, 128<br> [0x80000474]:sd s10, 104(sp)<br>  |
|  15|[0x80006080]<br>0xFFFFBFFFFFFFFEFF|- rs1 : x30<br> - rd : x20<br> - imm_val == 256<br> - rs1_val == -70368744177665<br>                                                                                                                |[0x80000484]:xori s4, t5, 256<br> [0x80000488]:sd s4, 112(sp)<br>    |
|  16|[0x80006088]<br>0x0000000800000200|- rs1 : x6<br> - rd : x11<br> - imm_val == 512<br> - rs1_val == 34359738368<br>                                                                                                                     |[0x80000494]:xori a1, t1, 512<br> [0x80000498]:sd a1, 120(sp)<br>    |
|  17|[0x80006090]<br>0xFFFFFFFF4AFB08CE|- rs1 : x10<br> - rd : x29<br> - imm_val == 1024<br>                                                                                                                                                |[0x800004ac]:xori t4, a0, 1024<br> [0x800004b0]:sd t4, 128(sp)<br>   |
|  18|[0x80006098]<br>0x0000000004000001|- rs1 : x21<br> - rd : x10<br> - imm_val == -2<br> - rs1_val == -67108865<br>                                                                                                                       |[0x800004bc]:xori a0, s5, 4094<br> [0x800004c0]:sd a0, 136(sp)<br>   |
|  19|[0x800060a0]<br>0xFFF7FFFFFFFFFFFD|- rs1 : x24<br> - rd : x28<br> - imm_val == -3<br> - rs1_val == 2251799813685248<br>                                                                                                                |[0x800004cc]:xori t3, s8, 4093<br> [0x800004d0]:sd t3, 144(sp)<br>   |
|  20|[0x800060a8]<br>0x0000000000000005|- rs1 : x5<br> - rd : x27<br> - imm_val == -5<br> - rs1_val == -2<br>                                                                                                                               |[0x800004d8]:xori s11, t0, 4091<br> [0x800004dc]:sd s11, 152(sp)<br> |
|  21|[0x800060b0]<br>0xFFFFFFFFFFFFFFEA|- rs1 : x1<br> - rd : x16<br> - imm_val == -17<br>                                                                                                                                                  |[0x800004ec]:xori a6, ra, 4079<br> [0x800004f0]:sd a6, 0(tp)<br>     |
|  22|[0x800060b8]<br>0x0000400000000020|- rs1 : x19<br> - rd : x17<br> - imm_val == -33<br>                                                                                                                                                 |[0x80000500]:xori a7, s3, 4063<br> [0x80000504]:sd a7, 8(tp)<br>     |
|  23|[0x800060c0]<br>0xFFFFFFFFFFFFFFBF|- rs1 : x0<br> - rd : x5<br> - imm_val == -65<br>                                                                                                                                                   |[0x8000050c]:xori t0, zero, 4031<br> [0x80000510]:sd t0, 16(tp)<br>  |
|  24|[0x800060c8]<br>0xDFFFFFFFFFFFFF7F|- rs1 : x3<br> - rd : x25<br> - imm_val == -129<br> - rs1_val == 2305843009213693952<br>                                                                                                            |[0x8000051c]:xori s9, gp, 3967<br> [0x80000520]:sd s9, 24(tp)<br>    |
|  25|[0x800060d0]<br>0x0000000080000100|- rs1 : x31<br> - rd : x8<br> - imm_val == -257<br> - rs1_val == -2147483649<br>                                                                                                                    |[0x80000530]:xori fp, t6, 3839<br> [0x80000534]:sd fp, 32(tp)<br>    |
|  26|[0x800060d8]<br>0xCCCCCCCCCCCCCECB|- rs1 : x14<br> - rd : x24<br> - imm_val == -513<br>                                                                                                                                                |[0x80000558]:xori s8, a4, 3583<br> [0x8000055c]:sd s8, 40(tp)<br>    |
|  27|[0x800060e0]<br>0x0008000000000400|- rs1 : x2<br> - rd : x18<br> - imm_val == -1025<br> - rs1_val == -2251799813685249<br>                                                                                                             |[0x8000056c]:xori s2, sp, 3071<br> [0x80000570]:sd s2, 48(tp)<br>    |
|  28|[0x800060e8]<br>0xFFFFBFFFFFFFFAAA|- rs1 : x8<br> - rd : x30<br> - imm_val == 1365<br>                                                                                                                                                 |[0x80000580]:xori t5, fp, 1365<br> [0x80000584]:sd t5, 56(tp)<br>    |
|  29|[0x800060f0]<br>0xFFFFFFFBFFFFFAAA|- rs1 : x15<br> - rd : x3<br> - imm_val == -1366<br> - rs1_val == 17179869184<br>                                                                                                                   |[0x80000590]:xori gp, a5, 2730<br> [0x80000594]:sd gp, 64(tp)<br>    |
|  30|[0x800060f8]<br>0xFFFFFFFFFFFFFDFD|- rs1 : x20<br> - rd : x2<br> - rs1_val == 2<br>                                                                                                                                                    |[0x8000059c]:xori sp, s4, 3583<br> [0x800005a0]:sd sp, 72(tp)<br>    |
|  31|[0x80006100]<br>0x0000000000000000|- rs1 : x26<br> - rd : x0<br> - rs1_val == 8<br>                                                                                                                                                    |[0x800005a8]:xori zero, s10, 1<br> [0x800005ac]:sd zero, 80(tp)<br>  |
|  32|[0x80006108]<br>0xFFFFFFFFFFFFFFAF|- rs1 : x23<br> - rd : x7<br> - rs1_val == 16<br>                                                                                                                                                   |[0x800005b4]:xori t2, s7, 4031<br> [0x800005b8]:sd t2, 88(tp)<br>    |
|  33|[0x80006110]<br>0xFFFFFFFFFFFFFF5F|- rs1_val == 32<br>                                                                                                                                                                                 |[0x800005c0]:xori a1, a0, 3967<br> [0x800005c4]:sd a1, 96(tp)<br>    |
|  34|[0x80006118]<br>0x0000000000000626|- rs1_val == 64<br>                                                                                                                                                                                 |[0x800005cc]:xori a1, a0, 1638<br> [0x800005d0]:sd a1, 104(tp)<br>   |
|  35|[0x80006120]<br>0xFFFFFFFFFFFFFC80|- rs1_val == 128<br>                                                                                                                                                                                |[0x800005d8]:xori a1, a0, 3072<br> [0x800005dc]:sd a1, 112(tp)<br>   |
|  36|[0x80006128]<br>0x0000000000000102|- rs1_val == 256<br>                                                                                                                                                                                |[0x800005e4]:xori a1, a0, 2<br> [0x800005e8]:sd a1, 120(tp)<br>      |
|  37|[0x80006130]<br>0xFFFFFFFFFFFFFDF7|- rs1_val == 512<br>                                                                                                                                                                                |[0x800005f0]:xori a1, a0, 4087<br> [0x800005f4]:sd a1, 128(tp)<br>   |
|  38|[0x80006138]<br>0x0000000000000266|- rs1_val == 1024<br>                                                                                                                                                                               |[0x800005fc]:xori a1, a0, 1638<br> [0x80000600]:sd a1, 136(tp)<br>   |
|  39|[0x80006140]<br>0x0000000000000840|- rs1_val == 2048<br>                                                                                                                                                                               |[0x8000060c]:xori a1, a0, 64<br> [0x80000610]:sd a1, 144(tp)<br>     |
|  40|[0x80006148]<br>0x0000000000001555|- rs1_val == 4096<br>                                                                                                                                                                               |[0x80000618]:xori a1, a0, 1365<br> [0x8000061c]:sd a1, 152(tp)<br>   |
|  41|[0x80006150]<br>0xFFFFFFFFFFFFDFF6|- rs1_val == 8192<br>                                                                                                                                                                               |[0x80000624]:xori a1, a0, 4086<br> [0x80000628]:sd a1, 160(tp)<br>   |
|  42|[0x80006158]<br>0x0000000000004556|- rs1_val == 16384<br>                                                                                                                                                                              |[0x80000630]:xori a1, a0, 1366<br> [0x80000634]:sd a1, 168(tp)<br>   |
|  43|[0x80006160]<br>0x000000000001002C|- rs1_val == 65536<br>                                                                                                                                                                              |[0x8000063c]:xori a1, a0, 44<br> [0x80000640]:sd a1, 176(tp)<br>     |
|  44|[0x80006168]<br>0xFFFFFFFFFFFDFFFE|- rs1_val == 131072<br>                                                                                                                                                                             |[0x80000648]:xori a1, a0, 4094<br> [0x8000064c]:sd a1, 184(tp)<br>   |
|  45|[0x80006170]<br>0x0000000000040007|- rs1_val == 262144<br>                                                                                                                                                                             |[0x80000654]:xori a1, a0, 7<br> [0x80000658]:sd a1, 192(tp)<br>      |
|  46|[0x80006178]<br>0x0000000000080334|- rs1_val == 524288<br>                                                                                                                                                                             |[0x80000660]:xori a1, a0, 820<br> [0x80000664]:sd a1, 200(tp)<br>    |
|  47|[0x80006180]<br>0x0000000000100004|- rs1_val == 1048576<br>                                                                                                                                                                            |[0x8000066c]:xori a1, a0, 4<br> [0x80000670]:sd a1, 208(tp)<br>      |
|  48|[0x80006188]<br>0xFFFFFFFFFFDFFFFB|- rs1_val == 2097152<br>                                                                                                                                                                            |[0x80000678]:xori a1, a0, 4091<br> [0x8000067c]:sd a1, 216(tp)<br>   |
|  49|[0x80006190]<br>0x0000000000400000|- rs1_val == 4194304<br>                                                                                                                                                                            |[0x80000684]:xori a1, a0, 0<br> [0x80000688]:sd a1, 224(tp)<br>      |
|  50|[0x80006198]<br>0x0000000000800334|- rs1_val == 8388608<br>                                                                                                                                                                            |[0x80000690]:xori a1, a0, 820<br> [0x80000694]:sd a1, 232(tp)<br>    |
|  51|[0x800061a0]<br>0x0000000001000004|- rs1_val == 16777216<br>                                                                                                                                                                           |[0x8000069c]:xori a1, a0, 4<br> [0x800006a0]:sd a1, 240(tp)<br>      |
|  52|[0x800061a8]<br>0x0000000002000010|- rs1_val == 33554432<br>                                                                                                                                                                           |[0x800006a8]:xori a1, a0, 16<br> [0x800006ac]:sd a1, 248(tp)<br>     |
|  53|[0x800061b0]<br>0xFFFFFFFFFBFFFBFF|- rs1_val == 67108864<br>                                                                                                                                                                           |[0x800006b4]:xori a1, a0, 3071<br> [0x800006b8]:sd a1, 256(tp)<br>   |
|  54|[0x800061b8]<br>0x0000000008000009|- rs1_val == 134217728<br>                                                                                                                                                                          |[0x800006c0]:xori a1, a0, 9<br> [0x800006c4]:sd a1, 264(tp)<br>      |
|  55|[0x800061c0]<br>0xFFFFFFFFEFFFFDFF|- rs1_val == 268435456<br>                                                                                                                                                                          |[0x800006cc]:xori a1, a0, 3583<br> [0x800006d0]:sd a1, 272(tp)<br>   |
|  56|[0x800061c8]<br>0x0000000020000555|- rs1_val == 536870912<br>                                                                                                                                                                          |[0x800006d8]:xori a1, a0, 1365<br> [0x800006dc]:sd a1, 280(tp)<br>   |
|  57|[0x800061d0]<br>0xFFFFFFFF7FFFFFBF|- rs1_val == 2147483648<br>                                                                                                                                                                         |[0x800006e8]:xori a1, a0, 4031<br> [0x800006ec]:sd a1, 288(tp)<br>   |
|  58|[0x800061d8]<br>0xFFFFFFFEFFFFFDFF|- rs1_val == 4294967296<br>                                                                                                                                                                         |[0x800006f8]:xori a1, a0, 3583<br> [0x800006fc]:sd a1, 296(tp)<br>   |
|  59|[0x800061e0]<br>0xFFFFFFFDFFFFFF7F|- rs1_val == 8589934592<br>                                                                                                                                                                         |[0x80000708]:xori a1, a0, 3967<br> [0x8000070c]:sd a1, 304(tp)<br>   |
|  60|[0x800061e8]<br>0x0000001000000004|- rs1_val == 68719476736<br>                                                                                                                                                                        |[0x80000718]:xori a1, a0, 4<br> [0x8000071c]:sd a1, 312(tp)<br>      |
|  61|[0x800061f0]<br>0x0000002000000008|- rs1_val == 137438953472<br>                                                                                                                                                                       |[0x80000728]:xori a1, a0, 8<br> [0x8000072c]:sd a1, 320(tp)<br>      |
|  62|[0x800061f8]<br>0xFFFFFFBFFFFFFFBF|- rs1_val == 274877906944<br>                                                                                                                                                                       |[0x80000738]:xori a1, a0, 4031<br> [0x8000073c]:sd a1, 328(tp)<br>   |
|  63|[0x80006200]<br>0x0000008000000040|- rs1_val == 549755813888<br>                                                                                                                                                                       |[0x80000748]:xori a1, a0, 64<br> [0x8000074c]:sd a1, 336(tp)<br>     |
|  64|[0x80006208]<br>0x0000010000000010|- rs1_val == 1099511627776<br>                                                                                                                                                                      |[0x80000758]:xori a1, a0, 16<br> [0x8000075c]:sd a1, 344(tp)<br>     |
|  65|[0x80006210]<br>0x0000020000000400|- rs1_val == 2199023255552<br>                                                                                                                                                                      |[0x80000768]:xori a1, a0, 1024<br> [0x8000076c]:sd a1, 352(tp)<br>   |
|  66|[0x80006218]<br>0x0000040000000007|- rs1_val == 4398046511104<br>                                                                                                                                                                      |[0x80000778]:xori a1, a0, 7<br> [0x8000077c]:sd a1, 360(tp)<br>      |
|  67|[0x80006220]<br>0x0000080000000001|- rs1_val == 8796093022208<br>                                                                                                                                                                      |[0x80000788]:xori a1, a0, 1<br> [0x8000078c]:sd a1, 368(tp)<br>      |
|  68|[0x80006228]<br>0x000010000000002E|- rs1_val == 17592186044416<br>                                                                                                                                                                     |[0x80000798]:xori a1, a0, 46<br> [0x8000079c]:sd a1, 376(tp)<br>     |
|  69|[0x80006230]<br>0x0000200000000004|- rs1_val == 35184372088832<br>                                                                                                                                                                     |[0x800007a8]:xori a1, a0, 4<br> [0x800007ac]:sd a1, 384(tp)<br>      |
|  70|[0x80006238]<br>0x0000400000000200|- rs1_val == 70368744177664<br>                                                                                                                                                                     |[0x800007b8]:xori a1, a0, 512<br> [0x800007bc]:sd a1, 392(tp)<br>    |
|  71|[0x80006240]<br>0xFFFF7FFFFFFFFFFF|- rs1_val == 140737488355328<br>                                                                                                                                                                    |[0x800007c8]:xori a1, a0, 4095<br> [0x800007cc]:sd a1, 400(tp)<br>   |
|  72|[0x80006248]<br>0x0001000000000000|- rs1_val == 281474976710656<br>                                                                                                                                                                    |[0x800007d8]:xori a1, a0, 0<br> [0x800007dc]:sd a1, 408(tp)<br>      |
|  73|[0x80006250]<br>0x0002000000000007|- rs1_val == 562949953421312<br>                                                                                                                                                                    |[0x800007e8]:xori a1, a0, 7<br> [0x800007ec]:sd a1, 416(tp)<br>      |
|  74|[0x80006258]<br>0xFFFBFFFFFFFFFFFD|- rs1_val == 1125899906842624<br>                                                                                                                                                                   |[0x800007f8]:xori a1, a0, 4093<br> [0x800007fc]:sd a1, 424(tp)<br>   |
|  75|[0x80006260]<br>0x0010000000000000|- rs1_val == 4503599627370496<br>                                                                                                                                                                   |[0x80000808]:xori a1, a0, 0<br> [0x8000080c]:sd a1, 432(tp)<br>      |
|  76|[0x80006268]<br>0x0020000000000006|- rs1_val == 9007199254740992<br>                                                                                                                                                                   |[0x80000818]:xori a1, a0, 6<br> [0x8000081c]:sd a1, 440(tp)<br>      |
|  77|[0x80006270]<br>0x0040000000000009|- rs1_val == 18014398509481984<br>                                                                                                                                                                  |[0x80000828]:xori a1, a0, 9<br> [0x8000082c]:sd a1, 448(tp)<br>      |
|  78|[0x80006278]<br>0x0080000000000010|- rs1_val == 36028797018963968<br>                                                                                                                                                                  |[0x80000838]:xori a1, a0, 16<br> [0x8000083c]:sd a1, 456(tp)<br>     |
|  79|[0x80006280]<br>0x0100000000000555|- rs1_val == 72057594037927936<br>                                                                                                                                                                  |[0x80000848]:xori a1, a0, 1365<br> [0x8000084c]:sd a1, 464(tp)<br>   |
|  80|[0x80006288]<br>0xFDFFFFFFFFFFFFFD|- rs1_val == 144115188075855872<br>                                                                                                                                                                 |[0x80000858]:xori a1, a0, 4093<br> [0x8000085c]:sd a1, 472(tp)<br>   |
|  81|[0x80006290]<br>0xFBFFFFFFFFFFFFBF|- rs1_val == 288230376151711744<br>                                                                                                                                                                 |[0x80000868]:xori a1, a0, 4031<br> [0x8000086c]:sd a1, 480(tp)<br>   |
|  82|[0x80006298]<br>0x0800000000000000|- rs1_val == 576460752303423488<br>                                                                                                                                                                 |[0x80000878]:xori a1, a0, 0<br> [0x8000087c]:sd a1, 488(tp)<br>      |
|  83|[0x800062a0]<br>0x1000000000000002|- rs1_val == 1152921504606846976<br>                                                                                                                                                                |[0x80000888]:xori a1, a0, 2<br> [0x8000088c]:sd a1, 496(tp)<br>      |
|  84|[0x800062a8]<br>0x4000000000000333|- rs1_val == 4611686018427387904<br>                                                                                                                                                                |[0x80000898]:xori a1, a0, 819<br> [0x8000089c]:sd a1, 504(tp)<br>    |
|  85|[0x800062b0]<br>0xFFFFFFFFFFFFFFF5|- rs1_val == -3<br>                                                                                                                                                                                 |[0x800008a4]:xori a1, a0, 8<br> [0x800008a8]:sd a1, 512(tp)<br>      |
|  86|[0x800062b8]<br>0xFFFFFFFFFFFFFFF9|- rs1_val == -5<br>                                                                                                                                                                                 |[0x800008b0]:xori a1, a0, 2<br> [0x800008b4]:sd a1, 520(tp)<br>      |
|  87|[0x800062c0]<br>0xFFFFFFFFFFFFFFF4|- rs1_val == -9<br>                                                                                                                                                                                 |[0x800008bc]:xori a1, a0, 3<br> [0x800008c0]:sd a1, 528(tp)<br>      |
|  88|[0x800062c8]<br>0xFFFFFFFFFFFFFFC2|- rs1_val == -17<br>                                                                                                                                                                                |[0x800008c8]:xori a1, a0, 45<br> [0x800008cc]:sd a1, 536(tp)<br>     |
|  89|[0x800062d0]<br>0xFFFFFFFFFFFFFFF3|- rs1_val == -33<br>                                                                                                                                                                                |[0x800008d4]:xori a1, a0, 44<br> [0x800008d8]:sd a1, 544(tp)<br>     |
|  90|[0x800062d8]<br>0x0000000000000045|- rs1_val == -65<br>                                                                                                                                                                                |[0x800008e0]:xori a1, a0, 4090<br> [0x800008e4]:sd a1, 552(tp)<br>   |
|  91|[0x800062e0]<br>0xFFFFFFFFFFFFFF7C|- rs1_val == -129<br>                                                                                                                                                                               |[0x800008ec]:xori a1, a0, 3<br> [0x800008f0]:sd a1, 560(tp)<br>      |
|  92|[0x800062e8]<br>0xFFFFFFFFFFFFFDFF|- rs1_val == -513<br>                                                                                                                                                                               |[0x800008f8]:xori a1, a0, 0<br> [0x800008fc]:sd a1, 568(tp)<br>      |
|  93|[0x800062f0]<br>0xFFFFFFFFFFFFFEA9|- rs1_val == -1025<br>                                                                                                                                                                              |[0x80000904]:xori a1, a0, 1366<br> [0x80000908]:sd a1, 576(tp)<br>   |
|  94|[0x800062f8]<br>0x0000000000001004|- rs1_val == -4097<br>                                                                                                                                                                              |[0x80000914]:xori a1, a0, 4091<br> [0x80000918]:sd a1, 584(tp)<br>   |
|  95|[0x80006300]<br>0x000000000000202B|- rs1_val == -8193<br>                                                                                                                                                                              |[0x80000924]:xori a1, a0, 4052<br> [0x80000928]:sd a1, 592(tp)<br>   |
|  96|[0x80006308]<br>0xFFFFFFFFFFFFBAA9|- rs1_val == -16385<br>                                                                                                                                                                             |[0x80000934]:xori a1, a0, 1366<br> [0x80000938]:sd a1, 600(tp)<br>   |
|  97|[0x80006310]<br>0xFFFFFFFFFFFF7FFA|- rs1_val == -32769<br>                                                                                                                                                                             |[0x80000944]:xori a1, a0, 5<br> [0x80000948]:sd a1, 608(tp)<br>      |
|  98|[0x80006318]<br>0xFFFFFFFFFFFEFFF7|- rs1_val == -65537<br>                                                                                                                                                                             |[0x80000954]:xori a1, a0, 8<br> [0x80000958]:sd a1, 616(tp)<br>      |
|  99|[0x80006320]<br>0xFFFFFFFFFFFDFDFF|- rs1_val == -131073<br>                                                                                                                                                                            |[0x80000964]:xori a1, a0, 512<br> [0x80000968]:sd a1, 624(tp)<br>    |
| 100|[0x80006328]<br>0xFFFFFFFFFFFBFAAB|- rs1_val == -262145<br>                                                                                                                                                                            |[0x80000974]:xori a1, a0, 1364<br> [0x80000978]:sd a1, 632(tp)<br>   |
| 101|[0x80006330]<br>0xFFFFFFFFFFF7FFFD|- rs1_val == -524289<br>                                                                                                                                                                            |[0x80000984]:xori a1, a0, 2<br> [0x80000988]:sd a1, 640(tp)<br>      |
| 102|[0x80006338]<br>0x0000000000100554|- rs1_val == -1048577<br>                                                                                                                                                                           |[0x80000994]:xori a1, a0, 2731<br> [0x80000998]:sd a1, 648(tp)<br>   |
| 103|[0x80006340]<br>0x0000000000200010|- rs1_val == -2097153<br>                                                                                                                                                                           |[0x800009a4]:xori a1, a0, 4079<br> [0x800009a8]:sd a1, 656(tp)<br>   |
| 104|[0x80006348]<br>0xFFFFFFFFFFBFFFBF|- rs1_val == -4194305<br>                                                                                                                                                                           |[0x800009b4]:xori a1, a0, 64<br> [0x800009b8]:sd a1, 664(tp)<br>     |
| 105|[0x80006350]<br>0xFFFFFFFFFF7FFFFC|- rs1_val == -8388609<br>                                                                                                                                                                           |[0x800009c4]:xori a1, a0, 3<br> [0x800009c8]:sd a1, 672(tp)<br>      |
| 106|[0x80006358]<br>0x000000000100002B|- rs1_val == -16777217<br>                                                                                                                                                                          |[0x800009d4]:xori a1, a0, 4052<br> [0x800009d8]:sd a1, 680(tp)<br>   |
| 107|[0x80006360]<br>0x000000000200002B|- rs1_val == -33554433<br>                                                                                                                                                                          |[0x800009e4]:xori a1, a0, 4052<br> [0x800009e8]:sd a1, 688(tp)<br>   |
| 108|[0x80006368]<br>0xFFFFFFFFEFFFFAA9|- rs1_val == -268435457<br>                                                                                                                                                                         |[0x800009f4]:xori a1, a0, 1366<br> [0x800009f8]:sd a1, 696(tp)<br>   |
| 109|[0x80006370]<br>0x0000000020000040|- rs1_val == -536870913<br>                                                                                                                                                                         |[0x80000a04]:xori a1, a0, 4031<br> [0x80000a08]:sd a1, 704(tp)<br>   |
| 110|[0x80006378]<br>0x0000000040000003|- rs1_val == -1073741825<br>                                                                                                                                                                        |[0x80000a14]:xori a1, a0, 4092<br> [0x80000a18]:sd a1, 712(tp)<br>   |
| 111|[0x80006380]<br>0xFFFFFFFEFFFFFCCD|- rs1_val == -4294967297<br>                                                                                                                                                                        |[0x80000a28]:xori a1, a0, 818<br> [0x80000a2c]:sd a1, 720(tp)<br>    |
| 112|[0x80006388]<br>0x0000000400000555|- rs1_val == -17179869185<br>                                                                                                                                                                       |[0x80000a3c]:xori a1, a0, 2730<br> [0x80000a40]:sd a1, 728(tp)<br>   |
| 113|[0x80006390]<br>0x0000000800000005|- rs1_val == -34359738369<br>                                                                                                                                                                       |[0x80000a50]:xori a1, a0, 4090<br> [0x80000a54]:sd a1, 736(tp)<br>   |
| 114|[0x80006398]<br>0x000000100000002B|- rs1_val == -68719476737<br>                                                                                                                                                                       |[0x80000a64]:xori a1, a0, 4052<br> [0x80000a68]:sd a1, 744(tp)<br>   |
| 115|[0x800063a0]<br>0xFFFFFFDFFFFFFAAA|- rs1_val == -137438953473<br>                                                                                                                                                                      |[0x80000a78]:xori a1, a0, 1365<br> [0x80000a7c]:sd a1, 752(tp)<br>   |
| 116|[0x800063a8]<br>0xFFFFFFBFFFFFFEFF|- rs1_val == -274877906945<br>                                                                                                                                                                      |[0x80000a8c]:xori a1, a0, 256<br> [0x80000a90]:sd a1, 760(tp)<br>    |
| 117|[0x800063b0]<br>0xFFFFFF7FFFFFFFD3|- rs1_val == -549755813889<br>                                                                                                                                                                      |[0x80000aa0]:xori a1, a0, 44<br> [0x80000aa4]:sd a1, 768(tp)<br>     |
| 118|[0x800063b8]<br>0xFFFFFEFFFFFFFF7F|- rs1_val == -1099511627777<br>                                                                                                                                                                     |[0x80000ab4]:xori a1, a0, 128<br> [0x80000ab8]:sd a1, 776(tp)<br>    |
| 119|[0x800063c0]<br>0xFFFFFDFFFFFFFFFF|- rs1_val == -2199023255553<br>                                                                                                                                                                     |[0x80000ac8]:xori a1, a0, 0<br> [0x80000acc]:sd a1, 784(tp)<br>      |
| 120|[0x800063c8]<br>0xFFFFF7FFFFFFFFFE|- rs1_val == -8796093022209<br>                                                                                                                                                                     |[0x80000adc]:xori a1, a0, 1<br> [0x80000ae0]:sd a1, 792(tp)<br>      |
| 121|[0x800063d0]<br>0xFFFFEFFFFFFFFFF9|- rs1_val == -17592186044417<br>                                                                                                                                                                    |[0x80000af0]:xori a1, a0, 6<br> [0x80000af4]:sd a1, 800(tp)<br>      |
| 122|[0x800063d8]<br>0xFFFFDFFFFFFFFFFD|- rs1_val == -35184372088833<br>                                                                                                                                                                    |[0x80000b04]:xori a1, a0, 2<br> [0x80000b08]:sd a1, 808(tp)<br>      |
| 123|[0x800063e0]<br>0x00008000000007FF|- rs1_val == -140737488355329<br>                                                                                                                                                                   |[0x80000b18]:xori a1, a0, 2048<br> [0x80000b1c]:sd a1, 816(tp)<br>   |
| 124|[0x800063e8]<br>0xFFFEFFFFFFFFFFDF|- rs1_val == -281474976710657<br>                                                                                                                                                                   |[0x80000b2c]:xori a1, a0, 32<br> [0x80000b30]:sd a1, 824(tp)<br>     |
| 125|[0x800063f0]<br>0xFFFDFFFFFFFFFFBF|- rs1_val == -562949953421313<br>                                                                                                                                                                   |[0x80000b40]:xori a1, a0, 64<br> [0x80000b44]:sd a1, 832(tp)<br>     |
| 126|[0x800063f8]<br>0xFFFBFFFFFFFFFFFF|- rs1_val == -1125899906842625<br>                                                                                                                                                                  |[0x80000b54]:xori a1, a0, 0<br> [0x80000b58]:sd a1, 840(tp)<br>      |
| 127|[0x80006400]<br>0xFFEFFFFFFFFFFFF9|- rs1_val == -4503599627370497<br>                                                                                                                                                                  |[0x80000b68]:xori a1, a0, 6<br> [0x80000b6c]:sd a1, 848(tp)<br>      |
| 128|[0x80006408]<br>0xFFDFFFFFFFFFFFFB|- rs1_val == -9007199254740993<br>                                                                                                                                                                  |[0x80000b7c]:xori a1, a0, 4<br> [0x80000b80]:sd a1, 856(tp)<br>      |
| 129|[0x80006410]<br>0xFFBFFFFFFFFFFDFF|- rs1_val == -18014398509481985<br>                                                                                                                                                                 |[0x80000b90]:xori a1, a0, 512<br> [0x80000b94]:sd a1, 864(tp)<br>    |
| 130|[0x80006418]<br>0xFF7FFFFFFFFFFFFF|- rs1_val == -36028797018963969<br>                                                                                                                                                                 |[0x80000ba4]:xori a1, a0, 0<br> [0x80000ba8]:sd a1, 872(tp)<br>      |
| 131|[0x80006420]<br>0xFEFFFFFFFFFFF800|- rs1_val == -72057594037927937<br>                                                                                                                                                                 |[0x80000bb8]:xori a1, a0, 2047<br> [0x80000bbc]:sd a1, 880(tp)<br>   |
| 132|[0x80006428]<br>0x0200000000000040|- rs1_val == -144115188075855873<br>                                                                                                                                                                |[0x80000bcc]:xori a1, a0, 4031<br> [0x80000bd0]:sd a1, 888(tp)<br>   |
| 133|[0x80006430]<br>0xFBFFFFFFFFFFFFFB|- rs1_val == -288230376151711745<br>                                                                                                                                                                |[0x80000be0]:xori a1, a0, 4<br> [0x80000be4]:sd a1, 896(tp)<br>      |
| 134|[0x80006438]<br>0x0800000000000009|- rs1_val == -576460752303423489<br>                                                                                                                                                                |[0x80000bf4]:xori a1, a0, 4086<br> [0x80000bf8]:sd a1, 904(tp)<br>   |
| 135|[0x80006440]<br>0x1000000000000020|- rs1_val == -1152921504606846977<br>                                                                                                                                                               |[0x80000c08]:xori a1, a0, 4063<br> [0x80000c0c]:sd a1, 912(tp)<br>   |
| 136|[0x80006448]<br>0xDFFFFFFFFFFFFAAB|- rs1_val == -2305843009213693953<br>                                                                                                                                                               |[0x80000c1c]:xori a1, a0, 1364<br> [0x80000c20]:sd a1, 920(tp)<br>   |
| 137|[0x80006450]<br>0xBFFFFFFFFFFFFFFF|- rs1_val == -4611686018427387905<br>                                                                                                                                                               |[0x80000c30]:xori a1, a0, 0<br> [0x80000c34]:sd a1, 928(tp)<br>      |
| 138|[0x80006458]<br>0x5555555555555552|- rs1_val == 6148914691236517205<br>                                                                                                                                                                |[0x80000c58]:xori a1, a0, 7<br> [0x80000c5c]:sd a1, 936(tp)<br>      |
| 139|[0x80006460]<br>0x5555555555555575|- rs1_val == -6148914691236517206<br>                                                                                                                                                               |[0x80000c80]:xori a1, a0, 4063<br> [0x80000c84]:sd a1, 944(tp)<br>   |
| 140|[0x80006468]<br>0x0000000000000000|- rs1_val==3 and imm_val==3<br>                                                                                                                                                                     |[0x80000c8c]:xori a1, a0, 3<br> [0x80000c90]:sd a1, 952(tp)<br>      |
| 141|[0x80006470]<br>0x0000000000000556|- rs1_val==3 and imm_val==1365<br>                                                                                                                                                                  |[0x80000c98]:xori a1, a0, 1365<br> [0x80000c9c]:sd a1, 960(tp)<br>   |
| 142|[0x80006478]<br>0xFFFFFFFFFFFFFAA9|- rs1_val==3 and imm_val==-1366<br>                                                                                                                                                                 |[0x80000ca4]:xori a1, a0, 2730<br> [0x80000ca8]:sd a1, 968(tp)<br>   |
| 143|[0x80006480]<br>0x0000000000000006|- rs1_val==3 and imm_val==5<br>                                                                                                                                                                     |[0x80000cb0]:xori a1, a0, 5<br> [0x80000cb4]:sd a1, 976(tp)<br>      |
| 144|[0x80006488]<br>0x0000000000000330|- rs1_val==3 and imm_val==819<br>                                                                                                                                                                   |[0x80000cbc]:xori a1, a0, 819<br> [0x80000cc0]:sd a1, 984(tp)<br>    |
| 145|[0x80006490]<br>0x0000000000000665|- rs1_val==3 and imm_val==1638<br>                                                                                                                                                                  |[0x80000cc8]:xori a1, a0, 1638<br> [0x80000ccc]:sd a1, 992(tp)<br>   |
| 146|[0x80006498]<br>0xFFFFFFFFFFFFFFD0|- rs1_val==3 and imm_val==-45<br>                                                                                                                                                                   |[0x80000cd4]:xori a1, a0, 4051<br> [0x80000cd8]:sd a1, 1000(tp)<br>  |
| 147|[0x800064a0]<br>0x000000000000002E|- rs1_val==3 and imm_val==45<br>                                                                                                                                                                    |[0x80000ce0]:xori a1, a0, 45<br> [0x80000ce4]:sd a1, 1008(tp)<br>    |
| 148|[0x800064a8]<br>0x0000000000000001|- rs1_val==3 and imm_val==2<br>                                                                                                                                                                     |[0x80000cec]:xori a1, a0, 2<br> [0x80000cf0]:sd a1, 1016(tp)<br>     |
| 149|[0x800064b0]<br>0x0000000000000557|- rs1_val==3 and imm_val==1364<br>                                                                                                                                                                  |[0x80000cf8]:xori a1, a0, 1364<br> [0x80000cfc]:sd a1, 1024(tp)<br>  |
| 150|[0x800064b8]<br>0x0000000000000003|- rs1_val==3 and imm_val==0<br>                                                                                                                                                                     |[0x80000d04]:xori a1, a0, 0<br> [0x80000d08]:sd a1, 1032(tp)<br>     |
| 151|[0x800064c0]<br>0x0000000000000007|- rs1_val==3 and imm_val==4<br>                                                                                                                                                                     |[0x80000d10]:xori a1, a0, 4<br> [0x80000d14]:sd a1, 1040(tp)<br>     |
| 152|[0x800064c8]<br>0x0000000000000331|- rs1_val==3 and imm_val==818<br>                                                                                                                                                                   |[0x80000d1c]:xori a1, a0, 818<br> [0x80000d20]:sd a1, 1048(tp)<br>   |
| 153|[0x800064d0]<br>0x0000000000000666|- rs1_val==3 and imm_val==1637<br>                                                                                                                                                                  |[0x80000d28]:xori a1, a0, 1637<br> [0x80000d2c]:sd a1, 1056(tp)<br>  |
| 154|[0x800064d8]<br>0x000000000000002F|- rs1_val==3 and imm_val==44<br>                                                                                                                                                                    |[0x80000d34]:xori a1, a0, 44<br> [0x80000d38]:sd a1, 1064(tp)<br>    |
| 155|[0x800064e0]<br>0x0000000000000555|- rs1_val==3 and imm_val==1366<br>                                                                                                                                                                  |[0x80000d40]:xori a1, a0, 1366<br> [0x80000d44]:sd a1, 1072(tp)<br>  |
| 156|[0x800064e8]<br>0xFFFFFFFFFFFFFAA8|- rs1_val==3 and imm_val==-1365<br>                                                                                                                                                                 |[0x80000d4c]:xori a1, a0, 2731<br> [0x80000d50]:sd a1, 1080(tp)<br>  |
| 157|[0x800064f0]<br>0x0000000000000005|- rs1_val==3 and imm_val==6<br>                                                                                                                                                                     |[0x80000d58]:xori a1, a0, 6<br> [0x80000d5c]:sd a1, 1088(tp)<br>     |
| 158|[0x800064f8]<br>0x0000000000000337|- rs1_val==3 and imm_val==820<br>                                                                                                                                                                   |[0x80000d64]:xori a1, a0, 820<br> [0x80000d68]:sd a1, 1096(tp)<br>   |
| 159|[0x80006500]<br>0x0000000000000664|- rs1_val==3 and imm_val==1639<br>                                                                                                                                                                  |[0x80000d70]:xori a1, a0, 1639<br> [0x80000d74]:sd a1, 1104(tp)<br>  |
| 160|[0x80006508]<br>0xFFFFFFFFFFFFFFD7|- rs1_val==3 and imm_val==-44<br>                                                                                                                                                                   |[0x80000d7c]:xori a1, a0, 4052<br> [0x80000d80]:sd a1, 1112(tp)<br>  |
| 161|[0x80006510]<br>0x000000000000002D|- rs1_val==3 and imm_val==46<br>                                                                                                                                                                    |[0x80000d88]:xori a1, a0, 46<br> [0x80000d8c]:sd a1, 1120(tp)<br>    |
| 162|[0x80006518]<br>0x5555555555555556|- rs1_val==6148914691236517205 and imm_val==3<br>                                                                                                                                                   |[0x80000db0]:xori a1, a0, 3<br> [0x80000db4]:sd a1, 1128(tp)<br>     |
| 163|[0x80006520]<br>0x5555555555555000|- rs1_val==6148914691236517205 and imm_val==1365<br>                                                                                                                                                |[0x80000dd8]:xori a1, a0, 1365<br> [0x80000ddc]:sd a1, 1136(tp)<br>  |
| 164|[0x80006528]<br>0xAAAAAAAAAAAAAFFF|- rs1_val==6148914691236517205 and imm_val==-1366<br>                                                                                                                                               |[0x80000e00]:xori a1, a0, 2730<br> [0x80000e04]:sd a1, 1144(tp)<br>  |
| 165|[0x80006530]<br>0x5555555555555550|- rs1_val==6148914691236517205 and imm_val==5<br>                                                                                                                                                   |[0x80000e28]:xori a1, a0, 5<br> [0x80000e2c]:sd a1, 1152(tp)<br>     |
| 166|[0x80006538]<br>0x5555555555555666|- rs1_val==6148914691236517205 and imm_val==819<br>                                                                                                                                                 |[0x80000e50]:xori a1, a0, 819<br> [0x80000e54]:sd a1, 1160(tp)<br>   |
| 167|[0x80006540]<br>0x5555555555555333|- rs1_val==6148914691236517205 and imm_val==1638<br>                                                                                                                                                |[0x80000e78]:xori a1, a0, 1638<br> [0x80000e7c]:sd a1, 1168(tp)<br>  |
| 168|[0x80006548]<br>0xAAAAAAAAAAAAAA86|- rs1_val==6148914691236517205 and imm_val==-45<br>                                                                                                                                                 |[0x80000ea0]:xori a1, a0, 4051<br> [0x80000ea4]:sd a1, 1176(tp)<br>  |
| 169|[0x80006550]<br>0x5555555555555578|- rs1_val==6148914691236517205 and imm_val==45<br>                                                                                                                                                  |[0x80000ec8]:xori a1, a0, 45<br> [0x80000ecc]:sd a1, 1184(tp)<br>    |
| 170|[0x80006558]<br>0x5555555555555557|- rs1_val==6148914691236517205 and imm_val==2<br>                                                                                                                                                   |[0x80000ef0]:xori a1, a0, 2<br> [0x80000ef4]:sd a1, 1192(tp)<br>     |
| 171|[0x80006560]<br>0x5555555555555001|- rs1_val==6148914691236517205 and imm_val==1364<br>                                                                                                                                                |[0x80000f18]:xori a1, a0, 1364<br> [0x80000f1c]:sd a1, 1200(tp)<br>  |
| 172|[0x80006568]<br>0x5555555555555555|- rs1_val==6148914691236517205 and imm_val==0<br>                                                                                                                                                   |[0x80000f40]:xori a1, a0, 0<br> [0x80000f44]:sd a1, 1208(tp)<br>     |
| 173|[0x80006570]<br>0x5555555555555551|- rs1_val==6148914691236517205 and imm_val==4<br>                                                                                                                                                   |[0x80000f68]:xori a1, a0, 4<br> [0x80000f6c]:sd a1, 1216(tp)<br>     |
| 174|[0x80006578]<br>0x5555555555555667|- rs1_val==6148914691236517205 and imm_val==818<br>                                                                                                                                                 |[0x80000f90]:xori a1, a0, 818<br> [0x80000f94]:sd a1, 1224(tp)<br>   |
| 175|[0x80006580]<br>0x5555555555555330|- rs1_val==6148914691236517205 and imm_val==1637<br>                                                                                                                                                |[0x80000fb8]:xori a1, a0, 1637<br> [0x80000fbc]:sd a1, 1232(tp)<br>  |
| 176|[0x80006588]<br>0x5555555555555579|- rs1_val==6148914691236517205 and imm_val==44<br>                                                                                                                                                  |[0x80000fe0]:xori a1, a0, 44<br> [0x80000fe4]:sd a1, 1240(tp)<br>    |
| 177|[0x80006590]<br>0x5555555555555003|- rs1_val==6148914691236517205 and imm_val==1366<br>                                                                                                                                                |[0x80001008]:xori a1, a0, 1366<br> [0x8000100c]:sd a1, 1248(tp)<br>  |
| 178|[0x80006598]<br>0xAAAAAAAAAAAAAFFE|- rs1_val==6148914691236517205 and imm_val==-1365<br>                                                                                                                                               |[0x80001030]:xori a1, a0, 2731<br> [0x80001034]:sd a1, 1256(tp)<br>  |
| 179|[0x800065a0]<br>0x5555555555555553|- rs1_val==6148914691236517205 and imm_val==6<br>                                                                                                                                                   |[0x80001058]:xori a1, a0, 6<br> [0x8000105c]:sd a1, 1264(tp)<br>     |
| 180|[0x800065a8]<br>0x5555555555555661|- rs1_val==6148914691236517205 and imm_val==820<br>                                                                                                                                                 |[0x80001080]:xori a1, a0, 820<br> [0x80001084]:sd a1, 1272(tp)<br>   |
| 181|[0x800065b0]<br>0x5555555555555332|- rs1_val==6148914691236517205 and imm_val==1639<br>                                                                                                                                                |[0x800010a8]:xori a1, a0, 1639<br> [0x800010ac]:sd a1, 1280(tp)<br>  |
| 182|[0x800065b8]<br>0xAAAAAAAAAAAAAA81|- rs1_val==6148914691236517205 and imm_val==-44<br>                                                                                                                                                 |[0x800010d0]:xori a1, a0, 4052<br> [0x800010d4]:sd a1, 1288(tp)<br>  |
| 183|[0x800065c0]<br>0x555555555555557B|- rs1_val==6148914691236517205 and imm_val==46<br>                                                                                                                                                  |[0x800010f8]:xori a1, a0, 46<br> [0x800010fc]:sd a1, 1296(tp)<br>    |
| 184|[0x800065c8]<br>0xAAAAAAAAAAAAAAA9|- rs1_val==-6148914691236517206 and imm_val==3<br>                                                                                                                                                  |[0x80001120]:xori a1, a0, 3<br> [0x80001124]:sd a1, 1304(tp)<br>     |
| 185|[0x800065d0]<br>0xAAAAAAAAAAAAAFFF|- rs1_val==-6148914691236517206 and imm_val==1365<br>                                                                                                                                               |[0x80001148]:xori a1, a0, 1365<br> [0x8000114c]:sd a1, 1312(tp)<br>  |
| 186|[0x800065d8]<br>0x5555555555555000|- rs1_val==-6148914691236517206 and imm_val==-1366<br>                                                                                                                                              |[0x80001170]:xori a1, a0, 2730<br> [0x80001174]:sd a1, 1320(tp)<br>  |
| 187|[0x800065e0]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==-6148914691236517206 and imm_val==5<br>                                                                                                                                                  |[0x80001198]:xori a1, a0, 5<br> [0x8000119c]:sd a1, 1328(tp)<br>     |
| 188|[0x800065e8]<br>0xAAAAAAAAAAAAA999|- rs1_val==-6148914691236517206 and imm_val==819<br>                                                                                                                                                |[0x800011c0]:xori a1, a0, 819<br> [0x800011c4]:sd a1, 1336(tp)<br>   |
| 189|[0x800065f0]<br>0xAAAAAAAAAAAAACCC|- rs1_val==-6148914691236517206 and imm_val==1638<br>                                                                                                                                               |[0x800011e8]:xori a1, a0, 1638<br> [0x800011ec]:sd a1, 1344(tp)<br>  |
| 190|[0x800065f8]<br>0x5555555555555579|- rs1_val==-6148914691236517206 and imm_val==-45<br>                                                                                                                                                |[0x80001210]:xori a1, a0, 4051<br> [0x80001214]:sd a1, 1352(tp)<br>  |
| 191|[0x80006600]<br>0xAAAAAAAAAAAAAA87|- rs1_val==-6148914691236517206 and imm_val==45<br>                                                                                                                                                 |[0x80001238]:xori a1, a0, 45<br> [0x8000123c]:sd a1, 1360(tp)<br>    |
| 192|[0x80006608]<br>0xAAAAAAAAAAAAAAA8|- rs1_val==-6148914691236517206 and imm_val==2<br>                                                                                                                                                  |[0x80001260]:xori a1, a0, 2<br> [0x80001264]:sd a1, 1368(tp)<br>     |
| 193|[0x80006610]<br>0xAAAAAAAAAAAAAFFE|- rs1_val==-6148914691236517206 and imm_val==1364<br>                                                                                                                                               |[0x80001288]:xori a1, a0, 1364<br> [0x8000128c]:sd a1, 1376(tp)<br>  |
| 194|[0x80006618]<br>0xAAAAAAAAAAAAAAAA|- rs1_val==-6148914691236517206 and imm_val==0<br>                                                                                                                                                  |[0x800012b0]:xori a1, a0, 0<br> [0x800012b4]:sd a1, 1384(tp)<br>     |
| 195|[0x80006620]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==-6148914691236517206 and imm_val==4<br>                                                                                                                                                  |[0x800012d8]:xori a1, a0, 4<br> [0x800012dc]:sd a1, 1392(tp)<br>     |
| 196|[0x80006628]<br>0xAAAAAAAAAAAAA998|- rs1_val==-6148914691236517206 and imm_val==818<br>                                                                                                                                                |[0x80001300]:xori a1, a0, 818<br> [0x80001304]:sd a1, 1400(tp)<br>   |
| 197|[0x80006630]<br>0xAAAAAAAAAAAAACCF|- rs1_val==-6148914691236517206 and imm_val==1637<br>                                                                                                                                               |[0x80001328]:xori a1, a0, 1637<br> [0x8000132c]:sd a1, 1408(tp)<br>  |
| 198|[0x80006638]<br>0xAAAAAAAAAAAAAA86|- rs1_val==-6148914691236517206 and imm_val==44<br>                                                                                                                                                 |[0x80001350]:xori a1, a0, 44<br> [0x80001354]:sd a1, 1416(tp)<br>    |
| 199|[0x80006640]<br>0xAAAAAAAAAAAAAFFC|- rs1_val==-6148914691236517206 and imm_val==1366<br>                                                                                                                                               |[0x80001378]:xori a1, a0, 1366<br> [0x8000137c]:sd a1, 1424(tp)<br>  |
| 200|[0x80006648]<br>0x5555555555555001|- rs1_val==-6148914691236517206 and imm_val==-1365<br>                                                                                                                                              |[0x800013a0]:xori a1, a0, 2731<br> [0x800013a4]:sd a1, 1432(tp)<br>  |
| 201|[0x80006650]<br>0xAAAAAAAAAAAAAAAC|- rs1_val==-6148914691236517206 and imm_val==6<br>                                                                                                                                                  |[0x800013c8]:xori a1, a0, 6<br> [0x800013cc]:sd a1, 1440(tp)<br>     |
| 202|[0x80006658]<br>0xAAAAAAAAAAAAA99E|- rs1_val==-6148914691236517206 and imm_val==820<br>                                                                                                                                                |[0x800013f0]:xori a1, a0, 820<br> [0x800013f4]:sd a1, 1448(tp)<br>   |
| 203|[0x80006660]<br>0xAAAAAAAAAAAAACCD|- rs1_val==-6148914691236517206 and imm_val==1639<br>                                                                                                                                               |[0x80001418]:xori a1, a0, 1639<br> [0x8000141c]:sd a1, 1456(tp)<br>  |
| 204|[0x80006668]<br>0x555555555555557E|- rs1_val==-6148914691236517206 and imm_val==-44<br>                                                                                                                                                |[0x80001440]:xori a1, a0, 4052<br> [0x80001444]:sd a1, 1464(tp)<br>  |
| 205|[0x80006670]<br>0xAAAAAAAAAAAAAA84|- rs1_val==-6148914691236517206 and imm_val==46<br>                                                                                                                                                 |[0x80001468]:xori a1, a0, 46<br> [0x8000146c]:sd a1, 1472(tp)<br>    |
| 206|[0x80006678]<br>0x0000000000000006|- rs1_val==5 and imm_val==3<br>                                                                                                                                                                     |[0x80001474]:xori a1, a0, 3<br> [0x80001478]:sd a1, 1480(tp)<br>     |
| 207|[0x80006680]<br>0x0000000000000550|- rs1_val==5 and imm_val==1365<br>                                                                                                                                                                  |[0x80001480]:xori a1, a0, 1365<br> [0x80001484]:sd a1, 1488(tp)<br>  |
| 208|[0x80006688]<br>0xFFFFFFFFFFFFFAAF|- rs1_val==5 and imm_val==-1366<br>                                                                                                                                                                 |[0x8000148c]:xori a1, a0, 2730<br> [0x80001490]:sd a1, 1496(tp)<br>  |
| 209|[0x80006690]<br>0x0000000000000000|- rs1_val==5 and imm_val==5<br>                                                                                                                                                                     |[0x80001498]:xori a1, a0, 5<br> [0x8000149c]:sd a1, 1504(tp)<br>     |
| 210|[0x80006698]<br>0x0000000000000336|- rs1_val==5 and imm_val==819<br>                                                                                                                                                                   |[0x800014a4]:xori a1, a0, 819<br> [0x800014a8]:sd a1, 1512(tp)<br>   |
| 211|[0x800066a0]<br>0x0000000000000663|- rs1_val==5 and imm_val==1638<br>                                                                                                                                                                  |[0x800014b0]:xori a1, a0, 1638<br> [0x800014b4]:sd a1, 1520(tp)<br>  |
| 212|[0x800066a8]<br>0xFFFFFFFFFFFFFFD6|- rs1_val==5 and imm_val==-45<br>                                                                                                                                                                   |[0x800014bc]:xori a1, a0, 4051<br> [0x800014c0]:sd a1, 1528(tp)<br>  |
| 213|[0x800066b0]<br>0x0000000000000028|- rs1_val==5 and imm_val==45<br>                                                                                                                                                                    |[0x800014c8]:xori a1, a0, 45<br> [0x800014cc]:sd a1, 1536(tp)<br>    |
| 214|[0x800066b8]<br>0x0000000000000007|- rs1_val==5 and imm_val==2<br>                                                                                                                                                                     |[0x800014d4]:xori a1, a0, 2<br> [0x800014d8]:sd a1, 1544(tp)<br>     |
| 215|[0x800066c0]<br>0x0000000000000551|- rs1_val==5 and imm_val==1364<br>                                                                                                                                                                  |[0x800014e0]:xori a1, a0, 1364<br> [0x800014e4]:sd a1, 1552(tp)<br>  |
| 216|[0x800066c8]<br>0x0000000000000005|- rs1_val==5 and imm_val==0<br>                                                                                                                                                                     |[0x800014ec]:xori a1, a0, 0<br> [0x800014f0]:sd a1, 1560(tp)<br>     |
| 217|[0x800066d0]<br>0x0000000000000001|- rs1_val==5 and imm_val==4<br>                                                                                                                                                                     |[0x800014f8]:xori a1, a0, 4<br> [0x800014fc]:sd a1, 1568(tp)<br>     |
| 218|[0x800066d8]<br>0x0000000000000337|- rs1_val==5 and imm_val==818<br>                                                                                                                                                                   |[0x80001504]:xori a1, a0, 818<br> [0x80001508]:sd a1, 1576(tp)<br>   |
| 219|[0x800066e0]<br>0x0000000000000660|- rs1_val==5 and imm_val==1637<br>                                                                                                                                                                  |[0x80001510]:xori a1, a0, 1637<br> [0x80001514]:sd a1, 1584(tp)<br>  |
| 220|[0x800066e8]<br>0x0000000000000029|- rs1_val==5 and imm_val==44<br>                                                                                                                                                                    |[0x8000151c]:xori a1, a0, 44<br> [0x80001520]:sd a1, 1592(tp)<br>    |
| 221|[0x800066f0]<br>0x0000000000000553|- rs1_val==5 and imm_val==1366<br>                                                                                                                                                                  |[0x80001528]:xori a1, a0, 1366<br> [0x8000152c]:sd a1, 1600(tp)<br>  |
| 222|[0x800066f8]<br>0xFFFFFFFFFFFFFAAE|- rs1_val==5 and imm_val==-1365<br>                                                                                                                                                                 |[0x80001534]:xori a1, a0, 2731<br> [0x80001538]:sd a1, 1608(tp)<br>  |
| 223|[0x80006700]<br>0x0000000000000003|- rs1_val==5 and imm_val==6<br>                                                                                                                                                                     |[0x80001540]:xori a1, a0, 6<br> [0x80001544]:sd a1, 1616(tp)<br>     |
| 224|[0x80006708]<br>0x0000000000000331|- rs1_val==5 and imm_val==820<br>                                                                                                                                                                   |[0x8000154c]:xori a1, a0, 820<br> [0x80001550]:sd a1, 1624(tp)<br>   |
| 225|[0x80006710]<br>0x0000000000000662|- rs1_val==5 and imm_val==1639<br>                                                                                                                                                                  |[0x80001558]:xori a1, a0, 1639<br> [0x8000155c]:sd a1, 1632(tp)<br>  |
| 226|[0x80006718]<br>0xFFFFFFFFFFFFFFD1|- rs1_val==5 and imm_val==-44<br>                                                                                                                                                                   |[0x80001564]:xori a1, a0, 4052<br> [0x80001568]:sd a1, 1640(tp)<br>  |
| 227|[0x80006720]<br>0x000000000000002B|- rs1_val==5 and imm_val==46<br>                                                                                                                                                                    |[0x80001570]:xori a1, a0, 46<br> [0x80001574]:sd a1, 1648(tp)<br>    |
| 228|[0x80006728]<br>0x3333333333333330|- rs1_val==3689348814741910323 and imm_val==3<br>                                                                                                                                                   |[0x80001598]:xori a1, a0, 3<br> [0x8000159c]:sd a1, 1656(tp)<br>     |
| 229|[0x80006730]<br>0x3333333333333666|- rs1_val==3689348814741910323 and imm_val==1365<br>                                                                                                                                                |[0x800015c0]:xori a1, a0, 1365<br> [0x800015c4]:sd a1, 1664(tp)<br>  |
| 230|[0x80006738]<br>0xCCCCCCCCCCCCC999|- rs1_val==3689348814741910323 and imm_val==-1366<br>                                                                                                                                               |[0x800015e8]:xori a1, a0, 2730<br> [0x800015ec]:sd a1, 1672(tp)<br>  |
| 231|[0x80006740]<br>0x3333333333333336|- rs1_val==3689348814741910323 and imm_val==5<br>                                                                                                                                                   |[0x80001610]:xori a1, a0, 5<br> [0x80001614]:sd a1, 1680(tp)<br>     |
| 232|[0x80006748]<br>0x3333333333333000|- rs1_val==3689348814741910323 and imm_val==819<br>                                                                                                                                                 |[0x80001638]:xori a1, a0, 819<br> [0x8000163c]:sd a1, 1688(tp)<br>   |
| 233|[0x80006750]<br>0x3333333333333555|- rs1_val==3689348814741910323 and imm_val==1638<br>                                                                                                                                                |[0x80001660]:xori a1, a0, 1638<br> [0x80001664]:sd a1, 1696(tp)<br>  |
| 234|[0x80006758]<br>0xCCCCCCCCCCCCCCE0|- rs1_val==3689348814741910323 and imm_val==-45<br>                                                                                                                                                 |[0x80001688]:xori a1, a0, 4051<br> [0x8000168c]:sd a1, 1704(tp)<br>  |
| 235|[0x80006760]<br>0x333333333333331E|- rs1_val==3689348814741910323 and imm_val==45<br>                                                                                                                                                  |[0x800016b0]:xori a1, a0, 45<br> [0x800016b4]:sd a1, 1712(tp)<br>    |
| 236|[0x80006768]<br>0x3333333333333331|- rs1_val==3689348814741910323 and imm_val==2<br>                                                                                                                                                   |[0x800016d8]:xori a1, a0, 2<br> [0x800016dc]:sd a1, 1720(tp)<br>     |
| 237|[0x80006770]<br>0x3333333333333667|- rs1_val==3689348814741910323 and imm_val==1364<br>                                                                                                                                                |[0x80001700]:xori a1, a0, 1364<br> [0x80001704]:sd a1, 1728(tp)<br>  |
| 238|[0x80006778]<br>0x3333333333333333|- rs1_val==3689348814741910323 and imm_val==0<br>                                                                                                                                                   |[0x80001728]:xori a1, a0, 0<br> [0x8000172c]:sd a1, 1736(tp)<br>     |
| 239|[0x80006780]<br>0x3333333333333337|- rs1_val==3689348814741910323 and imm_val==4<br>                                                                                                                                                   |[0x80001750]:xori a1, a0, 4<br> [0x80001754]:sd a1, 1744(tp)<br>     |
| 240|[0x80006788]<br>0x3333333333333001|- rs1_val==3689348814741910323 and imm_val==818<br>                                                                                                                                                 |[0x80001778]:xori a1, a0, 818<br> [0x8000177c]:sd a1, 1752(tp)<br>   |
| 241|[0x80006790]<br>0x3333333333333556|- rs1_val==3689348814741910323 and imm_val==1637<br>                                                                                                                                                |[0x800017a0]:xori a1, a0, 1637<br> [0x800017a4]:sd a1, 1760(tp)<br>  |
| 242|[0x80006798]<br>0x333333333333331F|- rs1_val==3689348814741910323 and imm_val==44<br>                                                                                                                                                  |[0x800017c8]:xori a1, a0, 44<br> [0x800017cc]:sd a1, 1768(tp)<br>    |
| 243|[0x800067a0]<br>0x3333333333333665|- rs1_val==3689348814741910323 and imm_val==1366<br>                                                                                                                                                |[0x800017f0]:xori a1, a0, 1366<br> [0x800017f4]:sd a1, 1776(tp)<br>  |
| 244|[0x800067a8]<br>0xCCCCCCCCCCCCC998|- rs1_val==3689348814741910323 and imm_val==-1365<br>                                                                                                                                               |[0x80001818]:xori a1, a0, 2731<br> [0x8000181c]:sd a1, 1784(tp)<br>  |
| 245|[0x800067b0]<br>0x3333333333333335|- rs1_val==3689348814741910323 and imm_val==6<br>                                                                                                                                                   |[0x80001840]:xori a1, a0, 6<br> [0x80001844]:sd a1, 1792(tp)<br>     |
| 246|[0x800067b8]<br>0x3333333333333007|- rs1_val==3689348814741910323 and imm_val==820<br>                                                                                                                                                 |[0x80001868]:xori a1, a0, 820<br> [0x8000186c]:sd a1, 1800(tp)<br>   |
| 247|[0x800067c0]<br>0x3333333333333554|- rs1_val==3689348814741910323 and imm_val==1639<br>                                                                                                                                                |[0x80001890]:xori a1, a0, 1639<br> [0x80001894]:sd a1, 1808(tp)<br>  |
| 248|[0x800067c8]<br>0xCCCCCCCCCCCCCCE7|- rs1_val==3689348814741910323 and imm_val==-44<br>                                                                                                                                                 |[0x800018b8]:xori a1, a0, 4052<br> [0x800018bc]:sd a1, 1816(tp)<br>  |
| 249|[0x800067d0]<br>0x333333333333331D|- rs1_val==3689348814741910323 and imm_val==46<br>                                                                                                                                                  |[0x800018e0]:xori a1, a0, 46<br> [0x800018e4]:sd a1, 1824(tp)<br>    |
| 250|[0x800067d8]<br>0x6666666666666665|- rs1_val==7378697629483820646 and imm_val==3<br>                                                                                                                                                   |[0x80001908]:xori a1, a0, 3<br> [0x8000190c]:sd a1, 1832(tp)<br>     |
| 251|[0x800067e0]<br>0x6666666666666333|- rs1_val==7378697629483820646 and imm_val==1365<br>                                                                                                                                                |[0x80001930]:xori a1, a0, 1365<br> [0x80001934]:sd a1, 1840(tp)<br>  |
| 252|[0x800067e8]<br>0x9999999999999CCC|- rs1_val==7378697629483820646 and imm_val==-1366<br>                                                                                                                                               |[0x80001958]:xori a1, a0, 2730<br> [0x8000195c]:sd a1, 1848(tp)<br>  |
| 253|[0x800067f0]<br>0x6666666666666663|- rs1_val==7378697629483820646 and imm_val==5<br>                                                                                                                                                   |[0x80001980]:xori a1, a0, 5<br> [0x80001984]:sd a1, 1856(tp)<br>     |
| 254|[0x800067f8]<br>0x6666666666666555|- rs1_val==7378697629483820646 and imm_val==819<br>                                                                                                                                                 |[0x800019a8]:xori a1, a0, 819<br> [0x800019ac]:sd a1, 1864(tp)<br>   |
| 255|[0x80006800]<br>0x6666666666666000|- rs1_val==7378697629483820646 and imm_val==1638<br>                                                                                                                                                |[0x800019d0]:xori a1, a0, 1638<br> [0x800019d4]:sd a1, 1872(tp)<br>  |
| 256|[0x80006808]<br>0x99999999999999B5|- rs1_val==7378697629483820646 and imm_val==-45<br>                                                                                                                                                 |[0x800019f8]:xori a1, a0, 4051<br> [0x800019fc]:sd a1, 1880(tp)<br>  |
| 257|[0x80006810]<br>0x666666666666664B|- rs1_val==7378697629483820646 and imm_val==45<br>                                                                                                                                                  |[0x80001a20]:xori a1, a0, 45<br> [0x80001a24]:sd a1, 1888(tp)<br>    |
| 258|[0x80006818]<br>0x6666666666666664|- rs1_val==7378697629483820646 and imm_val==2<br>                                                                                                                                                   |[0x80001a48]:xori a1, a0, 2<br> [0x80001a4c]:sd a1, 1896(tp)<br>     |
| 259|[0x80006820]<br>0x6666666666666332|- rs1_val==7378697629483820646 and imm_val==1364<br>                                                                                                                                                |[0x80001a70]:xori a1, a0, 1364<br> [0x80001a74]:sd a1, 1904(tp)<br>  |
| 260|[0x80006828]<br>0x6666666666666666|- rs1_val==7378697629483820646 and imm_val==0<br>                                                                                                                                                   |[0x80001a98]:xori a1, a0, 0<br> [0x80001a9c]:sd a1, 1912(tp)<br>     |
| 261|[0x80006830]<br>0x6666666666666662|- rs1_val==7378697629483820646 and imm_val==4<br>                                                                                                                                                   |[0x80001ac0]:xori a1, a0, 4<br> [0x80001ac4]:sd a1, 1920(tp)<br>     |
| 262|[0x80006838]<br>0x6666666666666554|- rs1_val==7378697629483820646 and imm_val==818<br>                                                                                                                                                 |[0x80001ae8]:xori a1, a0, 818<br> [0x80001aec]:sd a1, 1928(tp)<br>   |
| 263|[0x80006840]<br>0x6666666666666003|- rs1_val==7378697629483820646 and imm_val==1637<br>                                                                                                                                                |[0x80001b10]:xori a1, a0, 1637<br> [0x80001b14]:sd a1, 1936(tp)<br>  |
| 264|[0x80006848]<br>0x666666666666664A|- rs1_val==7378697629483820646 and imm_val==44<br>                                                                                                                                                  |[0x80001b38]:xori a1, a0, 44<br> [0x80001b3c]:sd a1, 1944(tp)<br>    |
| 265|[0x80006850]<br>0x6666666666666330|- rs1_val==7378697629483820646 and imm_val==1366<br>                                                                                                                                                |[0x80001b60]:xori a1, a0, 1366<br> [0x80001b64]:sd a1, 1952(tp)<br>  |
| 266|[0x80006858]<br>0x9999999999999CCD|- rs1_val==7378697629483820646 and imm_val==-1365<br>                                                                                                                                               |[0x80001b88]:xori a1, a0, 2731<br> [0x80001b8c]:sd a1, 1960(tp)<br>  |
| 267|[0x80006860]<br>0x6666666666666660|- rs1_val==7378697629483820646 and imm_val==6<br>                                                                                                                                                   |[0x80001bb0]:xori a1, a0, 6<br> [0x80001bb4]:sd a1, 1968(tp)<br>     |
| 268|[0x80006868]<br>0x6666666666666552|- rs1_val==7378697629483820646 and imm_val==820<br>                                                                                                                                                 |[0x80001bd8]:xori a1, a0, 820<br> [0x80001bdc]:sd a1, 1976(tp)<br>   |
| 269|[0x80006870]<br>0x6666666666666001|- rs1_val==7378697629483820646 and imm_val==1639<br>                                                                                                                                                |[0x80001c00]:xori a1, a0, 1639<br> [0x80001c04]:sd a1, 1984(tp)<br>  |
| 270|[0x80006878]<br>0x99999999999999B2|- rs1_val==7378697629483820646 and imm_val==-44<br>                                                                                                                                                 |[0x80001c28]:xori a1, a0, 4052<br> [0x80001c2c]:sd a1, 1992(tp)<br>  |
| 271|[0x80006880]<br>0x6666666666666648|- rs1_val==7378697629483820646 and imm_val==46<br>                                                                                                                                                  |[0x80001c50]:xori a1, a0, 46<br> [0x80001c54]:sd a1, 2000(tp)<br>    |
| 272|[0x80006888]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==-3037000499 and imm_val==3<br>                                                                                                                                                           |[0x80001c68]:xori a1, a0, 3<br> [0x80001c6c]:sd a1, 2008(tp)<br>     |
| 273|[0x80006890]<br>0xFFFFFFFF4AFB0998|- rs1_val==-3037000499 and imm_val==1365<br>                                                                                                                                                        |[0x80001c80]:xori a1, a0, 1365<br> [0x80001c84]:sd a1, 2016(tp)<br>  |
| 274|[0x80006898]<br>0x00000000B504F667|- rs1_val==-3037000499 and imm_val==-1366<br>                                                                                                                                                       |[0x80001c98]:xori a1, a0, 2730<br> [0x80001c9c]:sd a1, 2024(tp)<br>  |
| 275|[0x800068a0]<br>0xFFFFFFFF4AFB0CC8|- rs1_val==-3037000499 and imm_val==5<br>                                                                                                                                                           |[0x80001cb0]:xori a1, a0, 5<br> [0x80001cb4]:sd a1, 2032(tp)<br>     |
| 276|[0x800068a8]<br>0xFFFFFFFF4AFB0FFE|- rs1_val==-3037000499 and imm_val==819<br>                                                                                                                                                         |[0x80001cc8]:xori a1, a0, 819<br> [0x80001ccc]:sd a1, 2040(tp)<br>   |
| 277|[0x800068b0]<br>0xFFFFFFFF4AFB0AAB|- rs1_val==-3037000499 and imm_val==1638<br>                                                                                                                                                        |[0x80001ce8]:xori a1, a0, 1638<br> [0x80001cec]:sd a1, 0(tp)<br>     |
| 278|[0x800068b8]<br>0x00000000B504F31E|- rs1_val==-3037000499 and imm_val==-45<br>                                                                                                                                                         |[0x80001d00]:xori a1, a0, 4051<br> [0x80001d04]:sd a1, 8(tp)<br>     |
| 279|[0x800068c0]<br>0xFFFFFFFF4AFB0CE0|- rs1_val==-3037000499 and imm_val==45<br>                                                                                                                                                          |[0x80001d18]:xori a1, a0, 45<br> [0x80001d1c]:sd a1, 16(tp)<br>      |
| 280|[0x800068c8]<br>0xFFFFFFFF4AFB0CCF|- rs1_val==-3037000499 and imm_val==2<br>                                                                                                                                                           |[0x80001d30]:xori a1, a0, 2<br> [0x80001d34]:sd a1, 24(tp)<br>       |
| 281|[0x800068d0]<br>0xFFFFFFFF4AFB0999|- rs1_val==-3037000499 and imm_val==1364<br>                                                                                                                                                        |[0x80001d48]:xori a1, a0, 1364<br> [0x80001d4c]:sd a1, 32(tp)<br>    |
| 282|[0x800068d8]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==-3037000499 and imm_val==0<br>                                                                                                                                                           |[0x80001d60]:xori a1, a0, 0<br> [0x80001d64]:sd a1, 40(tp)<br>       |
| 283|[0x800068e0]<br>0xFFFFFFFF4AFB0CC9|- rs1_val==-3037000499 and imm_val==4<br>                                                                                                                                                           |[0x80001d78]:xori a1, a0, 4<br> [0x80001d7c]:sd a1, 48(tp)<br>       |
| 284|[0x800068e8]<br>0xFFFFFFFF4AFB0FFF|- rs1_val==-3037000499 and imm_val==818<br>                                                                                                                                                         |[0x80001d90]:xori a1, a0, 818<br> [0x80001d94]:sd a1, 56(tp)<br>     |
| 285|[0x800068f0]<br>0xFFFFFFFF4AFB0AA8|- rs1_val==-3037000499 and imm_val==1637<br>                                                                                                                                                        |[0x80001da8]:xori a1, a0, 1637<br> [0x80001dac]:sd a1, 64(tp)<br>    |
| 286|[0x800068f8]<br>0xFFFFFFFF4AFB0CE1|- rs1_val==-3037000499 and imm_val==44<br>                                                                                                                                                          |[0x80001dc0]:xori a1, a0, 44<br> [0x80001dc4]:sd a1, 72(tp)<br>      |
| 287|[0x80006900]<br>0xFFFFFFFF4AFB099B|- rs1_val==-3037000499 and imm_val==1366<br>                                                                                                                                                        |[0x80001dd8]:xori a1, a0, 1366<br> [0x80001ddc]:sd a1, 80(tp)<br>    |
| 288|[0x80006908]<br>0x00000000B504F666|- rs1_val==-3037000499 and imm_val==-1365<br>                                                                                                                                                       |[0x80001df0]:xori a1, a0, 2731<br> [0x80001df4]:sd a1, 88(tp)<br>    |
| 289|[0x80006910]<br>0xFFFFFFFF4AFB0CCB|- rs1_val==-3037000499 and imm_val==6<br>                                                                                                                                                           |[0x80001e08]:xori a1, a0, 6<br> [0x80001e0c]:sd a1, 96(tp)<br>       |
| 290|[0x80006918]<br>0xFFFFFFFF4AFB0FF9|- rs1_val==-3037000499 and imm_val==820<br>                                                                                                                                                         |[0x80001e20]:xori a1, a0, 820<br> [0x80001e24]:sd a1, 104(tp)<br>    |
| 291|[0x80006920]<br>0xFFFFFFFF4AFB0AAA|- rs1_val==-3037000499 and imm_val==1639<br>                                                                                                                                                        |[0x80001e38]:xori a1, a0, 1639<br> [0x80001e3c]:sd a1, 112(tp)<br>   |
| 292|[0x80006928]<br>0x00000000B504F319|- rs1_val==-3037000499 and imm_val==-44<br>                                                                                                                                                         |[0x80001e50]:xori a1, a0, 4052<br> [0x80001e54]:sd a1, 120(tp)<br>   |
| 293|[0x80006930]<br>0xFFFFFFFF4AFB0CE3|- rs1_val==-3037000499 and imm_val==46<br>                                                                                                                                                          |[0x80001e68]:xori a1, a0, 46<br> [0x80001e6c]:sd a1, 128(tp)<br>     |
| 294|[0x80006938]<br>0x00000000B504F330|- rs1_val==3037000499 and imm_val==3<br>                                                                                                                                                            |[0x80001e80]:xori a1, a0, 3<br> [0x80001e84]:sd a1, 136(tp)<br>      |
| 295|[0x80006940]<br>0x00000000B504F666|- rs1_val==3037000499 and imm_val==1365<br>                                                                                                                                                         |[0x80001e98]:xori a1, a0, 1365<br> [0x80001e9c]:sd a1, 144(tp)<br>   |
| 296|[0x80006948]<br>0xFFFFFFFF4AFB0999|- rs1_val==3037000499 and imm_val==-1366<br>                                                                                                                                                        |[0x80001eb0]:xori a1, a0, 2730<br> [0x80001eb4]:sd a1, 152(tp)<br>   |
| 297|[0x80006950]<br>0x00000000B504F336|- rs1_val==3037000499 and imm_val==5<br>                                                                                                                                                            |[0x80001ec8]:xori a1, a0, 5<br> [0x80001ecc]:sd a1, 160(tp)<br>      |
| 298|[0x80006958]<br>0x00000000B504F000|- rs1_val==3037000499 and imm_val==819<br>                                                                                                                                                          |[0x80001ee0]:xori a1, a0, 819<br> [0x80001ee4]:sd a1, 168(tp)<br>    |
| 299|[0x80006960]<br>0x00000000B504F555|- rs1_val==3037000499 and imm_val==1638<br>                                                                                                                                                         |[0x80001ef8]:xori a1, a0, 1638<br> [0x80001efc]:sd a1, 176(tp)<br>   |
| 300|[0x80006968]<br>0xFFFFFFFF4AFB0CE0|- rs1_val==3037000499 and imm_val==-45<br>                                                                                                                                                          |[0x80001f10]:xori a1, a0, 4051<br> [0x80001f14]:sd a1, 184(tp)<br>   |
| 301|[0x80006970]<br>0x00000000B504F31E|- rs1_val==3037000499 and imm_val==45<br>                                                                                                                                                           |[0x80001f28]:xori a1, a0, 45<br> [0x80001f2c]:sd a1, 192(tp)<br>     |
| 302|[0x80006978]<br>0x00000000B504F331|- rs1_val==3037000499 and imm_val==2<br>                                                                                                                                                            |[0x80001f40]:xori a1, a0, 2<br> [0x80001f44]:sd a1, 200(tp)<br>      |
| 303|[0x80006980]<br>0x00000000B504F667|- rs1_val==3037000499 and imm_val==1364<br>                                                                                                                                                         |[0x80001f58]:xori a1, a0, 1364<br> [0x80001f5c]:sd a1, 208(tp)<br>   |
| 304|[0x80006988]<br>0x00000000B504F333|- rs1_val==3037000499 and imm_val==0<br>                                                                                                                                                            |[0x80001f70]:xori a1, a0, 0<br> [0x80001f74]:sd a1, 216(tp)<br>      |
| 305|[0x80006990]<br>0x00000000B504F337|- rs1_val==3037000499 and imm_val==4<br>                                                                                                                                                            |[0x80001f88]:xori a1, a0, 4<br> [0x80001f8c]:sd a1, 224(tp)<br>      |
| 306|[0x80006998]<br>0x00000000B504F001|- rs1_val==3037000499 and imm_val==818<br>                                                                                                                                                          |[0x80001fa0]:xori a1, a0, 818<br> [0x80001fa4]:sd a1, 232(tp)<br>    |
| 307|[0x800069a0]<br>0x00000000B504F556|- rs1_val==3037000499 and imm_val==1637<br>                                                                                                                                                         |[0x80001fb8]:xori a1, a0, 1637<br> [0x80001fbc]:sd a1, 240(tp)<br>   |
| 308|[0x800069a8]<br>0x00000000B504F31F|- rs1_val==3037000499 and imm_val==44<br>                                                                                                                                                           |[0x80001fd0]:xori a1, a0, 44<br> [0x80001fd4]:sd a1, 248(tp)<br>     |
| 309|[0x800069b0]<br>0x00000000B504F665|- rs1_val==3037000499 and imm_val==1366<br>                                                                                                                                                         |[0x80001fe8]:xori a1, a0, 1366<br> [0x80001fec]:sd a1, 256(tp)<br>   |
| 310|[0x800069b8]<br>0xFFFFFFFF4AFB0998|- rs1_val==3037000499 and imm_val==-1365<br>                                                                                                                                                        |[0x80002000]:xori a1, a0, 2731<br> [0x80002004]:sd a1, 264(tp)<br>   |
| 311|[0x800069c0]<br>0x00000000B504F335|- rs1_val==3037000499 and imm_val==6<br>                                                                                                                                                            |[0x80002018]:xori a1, a0, 6<br> [0x8000201c]:sd a1, 272(tp)<br>      |
| 312|[0x800069c8]<br>0x00000000B504F007|- rs1_val==3037000499 and imm_val==820<br>                                                                                                                                                          |[0x80002030]:xori a1, a0, 820<br> [0x80002034]:sd a1, 280(tp)<br>    |
| 313|[0x800069d0]<br>0x00000000B504F554|- rs1_val==3037000499 and imm_val==1639<br>                                                                                                                                                         |[0x80002048]:xori a1, a0, 1639<br> [0x8000204c]:sd a1, 288(tp)<br>   |
| 314|[0x800069d8]<br>0xFFFFFFFF4AFB0CE7|- rs1_val==3037000499 and imm_val==-44<br>                                                                                                                                                          |[0x80002060]:xori a1, a0, 4052<br> [0x80002064]:sd a1, 296(tp)<br>   |
| 315|[0x800069e0]<br>0x00000000B504F31D|- rs1_val==3037000499 and imm_val==46<br>                                                                                                                                                           |[0x80002078]:xori a1, a0, 46<br> [0x8000207c]:sd a1, 304(tp)<br>     |
| 316|[0x800069e8]<br>0x0000000000000001|- rs1_val==2 and imm_val==3<br>                                                                                                                                                                     |[0x80002084]:xori a1, a0, 3<br> [0x80002088]:sd a1, 312(tp)<br>      |
| 317|[0x800069f0]<br>0x0000000000000557|- rs1_val==2 and imm_val==1365<br>                                                                                                                                                                  |[0x80002090]:xori a1, a0, 1365<br> [0x80002094]:sd a1, 320(tp)<br>   |
| 318|[0x800069f8]<br>0xFFFFFFFFFFFFFAA8|- rs1_val==2 and imm_val==-1366<br>                                                                                                                                                                 |[0x8000209c]:xori a1, a0, 2730<br> [0x800020a0]:sd a1, 328(tp)<br>   |
| 319|[0x80006a00]<br>0x0000000000000007|- rs1_val==2 and imm_val==5<br>                                                                                                                                                                     |[0x800020a8]:xori a1, a0, 5<br> [0x800020ac]:sd a1, 336(tp)<br>      |
| 320|[0x80006a08]<br>0x0000000000000331|- rs1_val==2 and imm_val==819<br>                                                                                                                                                                   |[0x800020b4]:xori a1, a0, 819<br> [0x800020b8]:sd a1, 344(tp)<br>    |
| 321|[0x80006a10]<br>0x0000000000000664|- rs1_val==2 and imm_val==1638<br>                                                                                                                                                                  |[0x800020c0]:xori a1, a0, 1638<br> [0x800020c4]:sd a1, 352(tp)<br>   |
| 322|[0x80006a18]<br>0xFFFFFFFFFFFFFFD1|- rs1_val==2 and imm_val==-45<br>                                                                                                                                                                   |[0x800020cc]:xori a1, a0, 4051<br> [0x800020d0]:sd a1, 360(tp)<br>   |
| 323|[0x80006a20]<br>0x000000000000002F|- rs1_val==2 and imm_val==45<br>                                                                                                                                                                    |[0x800020d8]:xori a1, a0, 45<br> [0x800020dc]:sd a1, 368(tp)<br>     |
| 324|[0x80006a28]<br>0x0000000000000000|- rs1_val==2 and imm_val==2<br>                                                                                                                                                                     |[0x800020e4]:xori a1, a0, 2<br> [0x800020e8]:sd a1, 376(tp)<br>      |
| 325|[0x80006a30]<br>0x0000000000000556|- rs1_val==2 and imm_val==1364<br>                                                                                                                                                                  |[0x800020f0]:xori a1, a0, 1364<br> [0x800020f4]:sd a1, 384(tp)<br>   |
| 326|[0x80006a38]<br>0x0000000000000002|- rs1_val==2 and imm_val==0<br>                                                                                                                                                                     |[0x800020fc]:xori a1, a0, 0<br> [0x80002100]:sd a1, 392(tp)<br>      |
| 327|[0x80006a40]<br>0x0000000000000006|- rs1_val==2 and imm_val==4<br>                                                                                                                                                                     |[0x80002108]:xori a1, a0, 4<br> [0x8000210c]:sd a1, 400(tp)<br>      |
| 328|[0x80006a48]<br>0x0000000000000330|- rs1_val==2 and imm_val==818<br>                                                                                                                                                                   |[0x80002114]:xori a1, a0, 818<br> [0x80002118]:sd a1, 408(tp)<br>    |
| 329|[0x80006a50]<br>0x0000000000000667|- rs1_val==2 and imm_val==1637<br>                                                                                                                                                                  |[0x80002120]:xori a1, a0, 1637<br> [0x80002124]:sd a1, 416(tp)<br>   |
| 330|[0x80006a58]<br>0x000000000000002E|- rs1_val==2 and imm_val==44<br>                                                                                                                                                                    |[0x8000212c]:xori a1, a0, 44<br> [0x80002130]:sd a1, 424(tp)<br>     |
| 331|[0x80006a60]<br>0x0000000000000554|- rs1_val==2 and imm_val==1366<br>                                                                                                                                                                  |[0x80002138]:xori a1, a0, 1366<br> [0x8000213c]:sd a1, 432(tp)<br>   |
| 332|[0x80006a68]<br>0xFFFFFFFFFFFFFAA9|- rs1_val==2 and imm_val==-1365<br>                                                                                                                                                                 |[0x80002144]:xori a1, a0, 2731<br> [0x80002148]:sd a1, 440(tp)<br>   |
| 333|[0x80006a70]<br>0x0000000000000004|- rs1_val==2 and imm_val==6<br>                                                                                                                                                                     |[0x80002150]:xori a1, a0, 6<br> [0x80002154]:sd a1, 448(tp)<br>      |
| 334|[0x80006a78]<br>0x0000000000000336|- rs1_val==2 and imm_val==820<br>                                                                                                                                                                   |[0x8000215c]:xori a1, a0, 820<br> [0x80002160]:sd a1, 456(tp)<br>    |
| 335|[0x80006a80]<br>0x0000000000000665|- rs1_val==2 and imm_val==1639<br>                                                                                                                                                                  |[0x80002168]:xori a1, a0, 1639<br> [0x8000216c]:sd a1, 464(tp)<br>   |
| 336|[0x80006a88]<br>0xFFFFFFFFFFFFFFD6|- rs1_val==2 and imm_val==-44<br>                                                                                                                                                                   |[0x80002174]:xori a1, a0, 4052<br> [0x80002178]:sd a1, 472(tp)<br>   |
| 337|[0x80006a90]<br>0x000000000000002C|- rs1_val==2 and imm_val==46<br>                                                                                                                                                                    |[0x80002180]:xori a1, a0, 46<br> [0x80002184]:sd a1, 480(tp)<br>     |
| 338|[0x80006a98]<br>0x5555555555555557|- rs1_val==6148914691236517204 and imm_val==3<br>                                                                                                                                                   |[0x800021a8]:xori a1, a0, 3<br> [0x800021ac]:sd a1, 488(tp)<br>      |
| 339|[0x80006aa0]<br>0x5555555555555001|- rs1_val==6148914691236517204 and imm_val==1365<br>                                                                                                                                                |[0x800021d0]:xori a1, a0, 1365<br> [0x800021d4]:sd a1, 496(tp)<br>   |
| 340|[0x80006aa8]<br>0xAAAAAAAAAAAAAFFE|- rs1_val==6148914691236517204 and imm_val==-1366<br>                                                                                                                                               |[0x800021f8]:xori a1, a0, 2730<br> [0x800021fc]:sd a1, 504(tp)<br>   |
| 341|[0x80006ab0]<br>0x5555555555555551|- rs1_val==6148914691236517204 and imm_val==5<br>                                                                                                                                                   |[0x80002220]:xori a1, a0, 5<br> [0x80002224]:sd a1, 512(tp)<br>      |
| 342|[0x80006ab8]<br>0x5555555555555667|- rs1_val==6148914691236517204 and imm_val==819<br>                                                                                                                                                 |[0x80002248]:xori a1, a0, 819<br> [0x8000224c]:sd a1, 520(tp)<br>    |
| 343|[0x80006ac0]<br>0x5555555555555332|- rs1_val==6148914691236517204 and imm_val==1638<br>                                                                                                                                                |[0x80002270]:xori a1, a0, 1638<br> [0x80002274]:sd a1, 528(tp)<br>   |
| 344|[0x80006ac8]<br>0xAAAAAAAAAAAAAA87|- rs1_val==6148914691236517204 and imm_val==-45<br>                                                                                                                                                 |[0x80002298]:xori a1, a0, 4051<br> [0x8000229c]:sd a1, 536(tp)<br>   |
| 345|[0x80006ad0]<br>0x5555555555555579|- rs1_val==6148914691236517204 and imm_val==45<br>                                                                                                                                                  |[0x800022c0]:xori a1, a0, 45<br> [0x800022c4]:sd a1, 544(tp)<br>     |
| 346|[0x80006ad8]<br>0x5555555555555556|- rs1_val==6148914691236517204 and imm_val==2<br>                                                                                                                                                   |[0x800022e8]:xori a1, a0, 2<br> [0x800022ec]:sd a1, 552(tp)<br>      |
| 347|[0x80006ae0]<br>0x5555555555555000|- rs1_val==6148914691236517204 and imm_val==1364<br>                                                                                                                                                |[0x80002310]:xori a1, a0, 1364<br> [0x80002314]:sd a1, 560(tp)<br>   |
| 348|[0x80006ae8]<br>0x5555555555555554|- rs1_val==6148914691236517204 and imm_val==0<br>                                                                                                                                                   |[0x80002338]:xori a1, a0, 0<br> [0x8000233c]:sd a1, 568(tp)<br>      |
| 349|[0x80006af0]<br>0x5555555555555550|- rs1_val==6148914691236517204 and imm_val==4<br>                                                                                                                                                   |[0x80002360]:xori a1, a0, 4<br> [0x80002364]:sd a1, 576(tp)<br>      |
| 350|[0x80006af8]<br>0x5555555555555666|- rs1_val==6148914691236517204 and imm_val==818<br>                                                                                                                                                 |[0x80002388]:xori a1, a0, 818<br> [0x8000238c]:sd a1, 584(tp)<br>    |
| 351|[0x80006b00]<br>0x5555555555555331|- rs1_val==6148914691236517204 and imm_val==1637<br>                                                                                                                                                |[0x800023b0]:xori a1, a0, 1637<br> [0x800023b4]:sd a1, 592(tp)<br>   |
| 352|[0x80006b08]<br>0x5555555555555578|- rs1_val==6148914691236517204 and imm_val==44<br>                                                                                                                                                  |[0x800023d8]:xori a1, a0, 44<br> [0x800023dc]:sd a1, 600(tp)<br>     |
| 353|[0x80006b10]<br>0x5555555555555002|- rs1_val==6148914691236517204 and imm_val==1366<br>                                                                                                                                                |[0x80002400]:xori a1, a0, 1366<br> [0x80002404]:sd a1, 608(tp)<br>   |
| 354|[0x80006b18]<br>0xAAAAAAAAAAAAAFFF|- rs1_val==6148914691236517204 and imm_val==-1365<br>                                                                                                                                               |[0x80002428]:xori a1, a0, 2731<br> [0x8000242c]:sd a1, 616(tp)<br>   |
| 355|[0x80006b20]<br>0x5555555555555552|- rs1_val==6148914691236517204 and imm_val==6<br>                                                                                                                                                   |[0x80002450]:xori a1, a0, 6<br> [0x80002454]:sd a1, 624(tp)<br>      |
| 356|[0x80006b28]<br>0x5555555555555660|- rs1_val==6148914691236517204 and imm_val==820<br>                                                                                                                                                 |[0x80002478]:xori a1, a0, 820<br> [0x8000247c]:sd a1, 632(tp)<br>    |
| 357|[0x80006b30]<br>0x5555555555555333|- rs1_val==6148914691236517204 and imm_val==1639<br>                                                                                                                                                |[0x800024a0]:xori a1, a0, 1639<br> [0x800024a4]:sd a1, 640(tp)<br>   |
| 358|[0x80006b38]<br>0xAAAAAAAAAAAAAA80|- rs1_val==6148914691236517204 and imm_val==-44<br>                                                                                                                                                 |[0x800024c8]:xori a1, a0, 4052<br> [0x800024cc]:sd a1, 648(tp)<br>   |
| 359|[0x80006b40]<br>0x555555555555557A|- rs1_val==6148914691236517204 and imm_val==46<br>                                                                                                                                                  |[0x800024f0]:xori a1, a0, 46<br> [0x800024f4]:sd a1, 656(tp)<br>     |
| 360|[0x80006b48]<br>0x0000000000000003|- rs1_val==0 and imm_val==3<br>                                                                                                                                                                     |[0x800024fc]:xori a1, a0, 3<br> [0x80002500]:sd a1, 664(tp)<br>      |
| 361|[0x80006b50]<br>0x0000000000000555|- rs1_val==0 and imm_val==1365<br>                                                                                                                                                                  |[0x80002508]:xori a1, a0, 1365<br> [0x8000250c]:sd a1, 672(tp)<br>   |
| 362|[0x80006b58]<br>0xFFFFFFFFFFFFFAAA|- rs1_val==0 and imm_val==-1366<br>                                                                                                                                                                 |[0x80002514]:xori a1, a0, 2730<br> [0x80002518]:sd a1, 680(tp)<br>   |
| 363|[0x80006b60]<br>0x0000000000000005|- rs1_val==0 and imm_val==5<br>                                                                                                                                                                     |[0x80002520]:xori a1, a0, 5<br> [0x80002524]:sd a1, 688(tp)<br>      |
| 364|[0x80006b68]<br>0x0000000000000333|- rs1_val==0 and imm_val==819<br>                                                                                                                                                                   |[0x8000252c]:xori a1, a0, 819<br> [0x80002530]:sd a1, 696(tp)<br>    |
| 365|[0x80006b70]<br>0x0000000000000666|- rs1_val==0 and imm_val==1638<br>                                                                                                                                                                  |[0x80002538]:xori a1, a0, 1638<br> [0x8000253c]:sd a1, 704(tp)<br>   |
| 366|[0x80006b78]<br>0xFFFFFFFFFFFFFFD3|- rs1_val==0 and imm_val==-45<br>                                                                                                                                                                   |[0x80002544]:xori a1, a0, 4051<br> [0x80002548]:sd a1, 712(tp)<br>   |
| 367|[0x80006b80]<br>0x000000000000002D|- rs1_val==0 and imm_val==45<br>                                                                                                                                                                    |[0x80002550]:xori a1, a0, 45<br> [0x80002554]:sd a1, 720(tp)<br>     |
| 368|[0x80006b88]<br>0x555555555555557A|- rs1_val==6148914691236517206 and imm_val==44<br>                                                                                                                                                  |[0x80002578]:xori a1, a0, 44<br> [0x8000257c]:sd a1, 728(tp)<br>     |
| 369|[0x80006b90]<br>0x5555555555555000|- rs1_val==6148914691236517206 and imm_val==1366<br>                                                                                                                                                |[0x800025a0]:xori a1, a0, 1366<br> [0x800025a4]:sd a1, 736(tp)<br>   |
| 370|[0x80006b98]<br>0xAAAAAAAAAAAAAFFD|- rs1_val==6148914691236517206 and imm_val==-1365<br>                                                                                                                                               |[0x800025c8]:xori a1, a0, 2731<br> [0x800025cc]:sd a1, 744(tp)<br>   |
| 371|[0x80006ba0]<br>0x5555555555555550|- rs1_val==6148914691236517206 and imm_val==6<br>                                                                                                                                                   |[0x800025f0]:xori a1, a0, 6<br> [0x800025f4]:sd a1, 752(tp)<br>      |
| 372|[0x80006ba8]<br>0x5555555555555662|- rs1_val==6148914691236517206 and imm_val==820<br>                                                                                                                                                 |[0x80002618]:xori a1, a0, 820<br> [0x8000261c]:sd a1, 760(tp)<br>    |
| 373|[0x80006bb0]<br>0x5555555555555331|- rs1_val==6148914691236517206 and imm_val==1639<br>                                                                                                                                                |[0x80002640]:xori a1, a0, 1639<br> [0x80002644]:sd a1, 768(tp)<br>   |
| 374|[0x80006bb8]<br>0xAAAAAAAAAAAAAA82|- rs1_val==6148914691236517206 and imm_val==-44<br>                                                                                                                                                 |[0x80002668]:xori a1, a0, 4052<br> [0x8000266c]:sd a1, 776(tp)<br>   |
| 375|[0x80006bc0]<br>0x5555555555555578|- rs1_val==6148914691236517206 and imm_val==46<br>                                                                                                                                                  |[0x80002690]:xori a1, a0, 46<br> [0x80002694]:sd a1, 784(tp)<br>     |
| 376|[0x80006bc8]<br>0xAAAAAAAAAAAAAAA8|- rs1_val==-6148914691236517205 and imm_val==3<br>                                                                                                                                                  |[0x800026b8]:xori a1, a0, 3<br> [0x800026bc]:sd a1, 792(tp)<br>      |
| 377|[0x80006bd0]<br>0xAAAAAAAAAAAAAFFE|- rs1_val==-6148914691236517205 and imm_val==1365<br>                                                                                                                                               |[0x800026e0]:xori a1, a0, 1365<br> [0x800026e4]:sd a1, 800(tp)<br>   |
| 378|[0x80006bd8]<br>0x5555555555555001|- rs1_val==-6148914691236517205 and imm_val==-1366<br>                                                                                                                                              |[0x80002708]:xori a1, a0, 2730<br> [0x8000270c]:sd a1, 808(tp)<br>   |
| 379|[0x80006be0]<br>0xAAAAAAAAAAAAAAAE|- rs1_val==-6148914691236517205 and imm_val==5<br>                                                                                                                                                  |[0x80002730]:xori a1, a0, 5<br> [0x80002734]:sd a1, 816(tp)<br>      |
| 380|[0x80006be8]<br>0xAAAAAAAAAAAAA998|- rs1_val==-6148914691236517205 and imm_val==819<br>                                                                                                                                                |[0x80002758]:xori a1, a0, 819<br> [0x8000275c]:sd a1, 824(tp)<br>    |
| 381|[0x80006bf0]<br>0xAAAAAAAAAAAAACCD|- rs1_val==-6148914691236517205 and imm_val==1638<br>                                                                                                                                               |[0x80002780]:xori a1, a0, 1638<br> [0x80002784]:sd a1, 832(tp)<br>   |
| 382|[0x80006bf8]<br>0x5555555555555578|- rs1_val==-6148914691236517205 and imm_val==-45<br>                                                                                                                                                |[0x800027a8]:xori a1, a0, 4051<br> [0x800027ac]:sd a1, 840(tp)<br>   |
| 383|[0x80006c00]<br>0xAAAAAAAAAAAAAA86|- rs1_val==-6148914691236517205 and imm_val==45<br>                                                                                                                                                 |[0x800027d0]:xori a1, a0, 45<br> [0x800027d4]:sd a1, 848(tp)<br>     |
| 384|[0x80006c08]<br>0xAAAAAAAAAAAAAAA9|- rs1_val==-6148914691236517205 and imm_val==2<br>                                                                                                                                                  |[0x800027f8]:xori a1, a0, 2<br> [0x800027fc]:sd a1, 856(tp)<br>      |
| 385|[0x80006c10]<br>0xAAAAAAAAAAAAAFFF|- rs1_val==-6148914691236517205 and imm_val==1364<br>                                                                                                                                               |[0x80002820]:xori a1, a0, 1364<br> [0x80002824]:sd a1, 864(tp)<br>   |
| 386|[0x80006c18]<br>0xAAAAAAAAAAAAAAAB|- rs1_val==-6148914691236517205 and imm_val==0<br>                                                                                                                                                  |[0x80002848]:xori a1, a0, 0<br> [0x8000284c]:sd a1, 872(tp)<br>      |
| 387|[0x80006c20]<br>0xAAAAAAAAAAAAAAAF|- rs1_val==-6148914691236517205 and imm_val==4<br>                                                                                                                                                  |[0x80002870]:xori a1, a0, 4<br> [0x80002874]:sd a1, 880(tp)<br>      |
| 388|[0x80006c28]<br>0xAAAAAAAAAAAAA999|- rs1_val==-6148914691236517205 and imm_val==818<br>                                                                                                                                                |[0x80002898]:xori a1, a0, 818<br> [0x8000289c]:sd a1, 888(tp)<br>    |
| 389|[0x80006c30]<br>0xAAAAAAAAAAAAACCE|- rs1_val==-6148914691236517205 and imm_val==1637<br>                                                                                                                                               |[0x800028c0]:xori a1, a0, 1637<br> [0x800028c4]:sd a1, 896(tp)<br>   |
| 390|[0x80006c38]<br>0xAAAAAAAAAAAAAA87|- rs1_val==-6148914691236517205 and imm_val==44<br>                                                                                                                                                 |[0x800028e8]:xori a1, a0, 44<br> [0x800028ec]:sd a1, 904(tp)<br>     |
| 391|[0x80006c40]<br>0xAAAAAAAAAAAAAFFD|- rs1_val==-6148914691236517205 and imm_val==1366<br>                                                                                                                                               |[0x80002910]:xori a1, a0, 1366<br> [0x80002914]:sd a1, 912(tp)<br>   |
| 392|[0x80006c48]<br>0x5555555555555000|- rs1_val==-6148914691236517205 and imm_val==-1365<br>                                                                                                                                              |[0x80002938]:xori a1, a0, 2731<br> [0x8000293c]:sd a1, 920(tp)<br>   |
| 393|[0x80006c50]<br>0xAAAAAAAAAAAAAAAD|- rs1_val==-6148914691236517205 and imm_val==6<br>                                                                                                                                                  |[0x80002960]:xori a1, a0, 6<br> [0x80002964]:sd a1, 928(tp)<br>      |
| 394|[0x80006c58]<br>0xAAAAAAAAAAAAA99F|- rs1_val==-6148914691236517205 and imm_val==820<br>                                                                                                                                                |[0x80002988]:xori a1, a0, 820<br> [0x8000298c]:sd a1, 936(tp)<br>    |
| 395|[0x80006c60]<br>0xAAAAAAAAAAAAACCC|- rs1_val==-6148914691236517205 and imm_val==1639<br>                                                                                                                                               |[0x800029b0]:xori a1, a0, 1639<br> [0x800029b4]:sd a1, 944(tp)<br>   |
| 396|[0x80006c68]<br>0x555555555555557F|- rs1_val==-6148914691236517205 and imm_val==-44<br>                                                                                                                                                |[0x800029d8]:xori a1, a0, 4052<br> [0x800029dc]:sd a1, 952(tp)<br>   |
| 397|[0x80006c70]<br>0xAAAAAAAAAAAAAA85|- rs1_val==-6148914691236517205 and imm_val==46<br>                                                                                                                                                 |[0x80002a00]:xori a1, a0, 46<br> [0x80002a04]:sd a1, 960(tp)<br>     |
| 398|[0x80006c78]<br>0x0000000000000005|- rs1_val==6 and imm_val==3<br>                                                                                                                                                                     |[0x80002a0c]:xori a1, a0, 3<br> [0x80002a10]:sd a1, 968(tp)<br>      |
| 399|[0x80006c80]<br>0x0000000000000553|- rs1_val==6 and imm_val==1365<br>                                                                                                                                                                  |[0x80002a18]:xori a1, a0, 1365<br> [0x80002a1c]:sd a1, 976(tp)<br>   |
| 400|[0x80006c88]<br>0xFFFFFFFFFFFFFAAC|- rs1_val==6 and imm_val==-1366<br>                                                                                                                                                                 |[0x80002a24]:xori a1, a0, 2730<br> [0x80002a28]:sd a1, 984(tp)<br>   |
| 401|[0x80006c90]<br>0x0000000000000003|- rs1_val==6 and imm_val==5<br>                                                                                                                                                                     |[0x80002a30]:xori a1, a0, 5<br> [0x80002a34]:sd a1, 992(tp)<br>      |
| 402|[0x80006c98]<br>0x0000000000000335|- rs1_val==6 and imm_val==819<br>                                                                                                                                                                   |[0x80002a3c]:xori a1, a0, 819<br> [0x80002a40]:sd a1, 1000(tp)<br>   |
| 403|[0x80006ca0]<br>0x0000000000000660|- rs1_val==6 and imm_val==1638<br>                                                                                                                                                                  |[0x80002a48]:xori a1, a0, 1638<br> [0x80002a4c]:sd a1, 1008(tp)<br>  |
| 404|[0x80006ca8]<br>0xFFFFFFFFFFFFFFD5|- rs1_val==6 and imm_val==-45<br>                                                                                                                                                                   |[0x80002a54]:xori a1, a0, 4051<br> [0x80002a58]:sd a1, 1016(tp)<br>  |
| 405|[0x80006cb0]<br>0x000000000000002B|- rs1_val==6 and imm_val==45<br>                                                                                                                                                                    |[0x80002a60]:xori a1, a0, 45<br> [0x80002a64]:sd a1, 1024(tp)<br>    |
| 406|[0x80006cb8]<br>0x0000000000000004|- rs1_val==6 and imm_val==2<br>                                                                                                                                                                     |[0x80002a6c]:xori a1, a0, 2<br> [0x80002a70]:sd a1, 1032(tp)<br>     |
| 407|[0x80006cc0]<br>0x0000000000000552|- rs1_val==6 and imm_val==1364<br>                                                                                                                                                                  |[0x80002a78]:xori a1, a0, 1364<br> [0x80002a7c]:sd a1, 1040(tp)<br>  |
| 408|[0x80006cc8]<br>0x0000000000000006|- rs1_val==6 and imm_val==0<br>                                                                                                                                                                     |[0x80002a84]:xori a1, a0, 0<br> [0x80002a88]:sd a1, 1048(tp)<br>     |
| 409|[0x80006cd0]<br>0x0000000000000002|- rs1_val==6 and imm_val==4<br>                                                                                                                                                                     |[0x80002a90]:xori a1, a0, 4<br> [0x80002a94]:sd a1, 1056(tp)<br>     |
| 410|[0x80006cd8]<br>0x0000000000000334|- rs1_val==6 and imm_val==818<br>                                                                                                                                                                   |[0x80002a9c]:xori a1, a0, 818<br> [0x80002aa0]:sd a1, 1064(tp)<br>   |
| 411|[0x80006ce0]<br>0x0000000000000663|- rs1_val==6 and imm_val==1637<br>                                                                                                                                                                  |[0x80002aa8]:xori a1, a0, 1637<br> [0x80002aac]:sd a1, 1072(tp)<br>  |
| 412|[0x80006ce8]<br>0x000000000000002A|- rs1_val==6 and imm_val==44<br>                                                                                                                                                                    |[0x80002ab4]:xori a1, a0, 44<br> [0x80002ab8]:sd a1, 1080(tp)<br>    |
| 413|[0x80006cf0]<br>0x0000000000000550|- rs1_val==6 and imm_val==1366<br>                                                                                                                                                                  |[0x80002ac0]:xori a1, a0, 1366<br> [0x80002ac4]:sd a1, 1088(tp)<br>  |
| 414|[0x80006cf8]<br>0xFFFFFFFFFFFFFAAD|- rs1_val==6 and imm_val==-1365<br>                                                                                                                                                                 |[0x80002acc]:xori a1, a0, 2731<br> [0x80002ad0]:sd a1, 1096(tp)<br>  |
| 415|[0x80006d00]<br>0x0000000000000000|- rs1_val==6 and imm_val==6<br>                                                                                                                                                                     |[0x80002ad8]:xori a1, a0, 6<br> [0x80002adc]:sd a1, 1104(tp)<br>     |
| 416|[0x80006d08]<br>0x0000000000000332|- rs1_val==6 and imm_val==820<br>                                                                                                                                                                   |[0x80002ae4]:xori a1, a0, 820<br> [0x80002ae8]:sd a1, 1112(tp)<br>   |
| 417|[0x80006d10]<br>0x0000000000000661|- rs1_val==6 and imm_val==1639<br>                                                                                                                                                                  |[0x80002af0]:xori a1, a0, 1639<br> [0x80002af4]:sd a1, 1120(tp)<br>  |
| 418|[0x80006d18]<br>0xFFFFFFFFFFFFFFD2|- rs1_val==6 and imm_val==-44<br>                                                                                                                                                                   |[0x80002afc]:xori a1, a0, 4052<br> [0x80002b00]:sd a1, 1128(tp)<br>  |
| 419|[0x80006d20]<br>0x0000000000000028|- rs1_val==6 and imm_val==46<br>                                                                                                                                                                    |[0x80002b08]:xori a1, a0, 46<br> [0x80002b0c]:sd a1, 1136(tp)<br>    |
| 420|[0x80006d28]<br>0x3333333333333337|- rs1_val==3689348814741910324 and imm_val==3<br>                                                                                                                                                   |[0x80002b30]:xori a1, a0, 3<br> [0x80002b34]:sd a1, 1144(tp)<br>     |
| 421|[0x80006d30]<br>0x3333333333333661|- rs1_val==3689348814741910324 and imm_val==1365<br>                                                                                                                                                |[0x80002b58]:xori a1, a0, 1365<br> [0x80002b5c]:sd a1, 1152(tp)<br>  |
| 422|[0x80006d38]<br>0xCCCCCCCCCCCCC99E|- rs1_val==3689348814741910324 and imm_val==-1366<br>                                                                                                                                               |[0x80002b80]:xori a1, a0, 2730<br> [0x80002b84]:sd a1, 1160(tp)<br>  |
| 423|[0x80006d40]<br>0x3333333333333331|- rs1_val==3689348814741910324 and imm_val==5<br>                                                                                                                                                   |[0x80002ba8]:xori a1, a0, 5<br> [0x80002bac]:sd a1, 1168(tp)<br>     |
| 424|[0x80006d48]<br>0x3333333333333007|- rs1_val==3689348814741910324 and imm_val==819<br>                                                                                                                                                 |[0x80002bd0]:xori a1, a0, 819<br> [0x80002bd4]:sd a1, 1176(tp)<br>   |
| 425|[0x80006d50]<br>0x3333333333333552|- rs1_val==3689348814741910324 and imm_val==1638<br>                                                                                                                                                |[0x80002bf8]:xori a1, a0, 1638<br> [0x80002bfc]:sd a1, 1184(tp)<br>  |
| 426|[0x80006d58]<br>0xCCCCCCCCCCCCCCE7|- rs1_val==3689348814741910324 and imm_val==-45<br>                                                                                                                                                 |[0x80002c20]:xori a1, a0, 4051<br> [0x80002c24]:sd a1, 1192(tp)<br>  |
| 427|[0x80006d60]<br>0x3333333333333319|- rs1_val==3689348814741910324 and imm_val==45<br>                                                                                                                                                  |[0x80002c48]:xori a1, a0, 45<br> [0x80002c4c]:sd a1, 1200(tp)<br>    |
| 428|[0x80006d68]<br>0x3333333333333336|- rs1_val==3689348814741910324 and imm_val==2<br>                                                                                                                                                   |[0x80002c70]:xori a1, a0, 2<br> [0x80002c74]:sd a1, 1208(tp)<br>     |
| 429|[0x80006d70]<br>0x3333333333333660|- rs1_val==3689348814741910324 and imm_val==1364<br>                                                                                                                                                |[0x80002c98]:xori a1, a0, 1364<br> [0x80002c9c]:sd a1, 1216(tp)<br>  |
| 430|[0x80006d78]<br>0x3333333333333334|- rs1_val==3689348814741910324 and imm_val==0<br>                                                                                                                                                   |[0x80002cc0]:xori a1, a0, 0<br> [0x80002cc4]:sd a1, 1224(tp)<br>     |
| 431|[0x80006d80]<br>0x3333333333333330|- rs1_val==3689348814741910324 and imm_val==4<br>                                                                                                                                                   |[0x80002ce8]:xori a1, a0, 4<br> [0x80002cec]:sd a1, 1232(tp)<br>     |
| 432|[0x80006d88]<br>0x3333333333333006|- rs1_val==3689348814741910324 and imm_val==818<br>                                                                                                                                                 |[0x80002d10]:xori a1, a0, 818<br> [0x80002d14]:sd a1, 1240(tp)<br>   |
| 433|[0x80006d90]<br>0x3333333333333551|- rs1_val==3689348814741910324 and imm_val==1637<br>                                                                                                                                                |[0x80002d38]:xori a1, a0, 1637<br> [0x80002d3c]:sd a1, 1248(tp)<br>  |
| 434|[0x80006d98]<br>0x3333333333333318|- rs1_val==3689348814741910324 and imm_val==44<br>                                                                                                                                                  |[0x80002d60]:xori a1, a0, 44<br> [0x80002d64]:sd a1, 1256(tp)<br>    |
| 435|[0x80006da0]<br>0x3333333333333662|- rs1_val==3689348814741910324 and imm_val==1366<br>                                                                                                                                                |[0x80002d88]:xori a1, a0, 1366<br> [0x80002d8c]:sd a1, 1264(tp)<br>  |
| 436|[0x80006da8]<br>0xCCCCCCCCCCCCC99F|- rs1_val==3689348814741910324 and imm_val==-1365<br>                                                                                                                                               |[0x80002db0]:xori a1, a0, 2731<br> [0x80002db4]:sd a1, 1272(tp)<br>  |
| 437|[0x80006db0]<br>0x3333333333333332|- rs1_val==3689348814741910324 and imm_val==6<br>                                                                                                                                                   |[0x80002dd8]:xori a1, a0, 6<br> [0x80002ddc]:sd a1, 1280(tp)<br>     |
| 438|[0x80006db8]<br>0x3333333333333000|- rs1_val==3689348814741910324 and imm_val==820<br>                                                                                                                                                 |[0x80002e00]:xori a1, a0, 820<br> [0x80002e04]:sd a1, 1288(tp)<br>   |
| 439|[0x80006dc0]<br>0x3333333333333553|- rs1_val==3689348814741910324 and imm_val==1639<br>                                                                                                                                                |[0x80002e28]:xori a1, a0, 1639<br> [0x80002e2c]:sd a1, 1296(tp)<br>  |
| 440|[0x80006dc8]<br>0xCCCCCCCCCCCCCCE0|- rs1_val==3689348814741910324 and imm_val==-44<br>                                                                                                                                                 |[0x80002e50]:xori a1, a0, 4052<br> [0x80002e54]:sd a1, 1304(tp)<br>  |
| 441|[0x80006dd0]<br>0x333333333333331A|- rs1_val==3689348814741910324 and imm_val==46<br>                                                                                                                                                  |[0x80002e78]:xori a1, a0, 46<br> [0x80002e7c]:sd a1, 1312(tp)<br>    |
| 442|[0x80006dd8]<br>0x6666666666666664|- rs1_val==7378697629483820647 and imm_val==3<br>                                                                                                                                                   |[0x80002ea0]:xori a1, a0, 3<br> [0x80002ea4]:sd a1, 1320(tp)<br>     |
| 443|[0x80006de0]<br>0x6666666666666332|- rs1_val==7378697629483820647 and imm_val==1365<br>                                                                                                                                                |[0x80002ec8]:xori a1, a0, 1365<br> [0x80002ecc]:sd a1, 1328(tp)<br>  |
| 444|[0x80006de8]<br>0x9999999999999CCD|- rs1_val==7378697629483820647 and imm_val==-1366<br>                                                                                                                                               |[0x80002ef0]:xori a1, a0, 2730<br> [0x80002ef4]:sd a1, 1336(tp)<br>  |
| 445|[0x80006df0]<br>0x6666666666666662|- rs1_val==7378697629483820647 and imm_val==5<br>                                                                                                                                                   |[0x80002f18]:xori a1, a0, 5<br> [0x80002f1c]:sd a1, 1344(tp)<br>     |
| 446|[0x80006df8]<br>0x6666666666666554|- rs1_val==7378697629483820647 and imm_val==819<br>                                                                                                                                                 |[0x80002f40]:xori a1, a0, 819<br> [0x80002f44]:sd a1, 1352(tp)<br>   |
| 447|[0x80006e00]<br>0x6666666666666001|- rs1_val==7378697629483820647 and imm_val==1638<br>                                                                                                                                                |[0x80002f68]:xori a1, a0, 1638<br> [0x80002f6c]:sd a1, 1360(tp)<br>  |
| 448|[0x80006e08]<br>0x99999999999999B4|- rs1_val==7378697629483820647 and imm_val==-45<br>                                                                                                                                                 |[0x80002f90]:xori a1, a0, 4051<br> [0x80002f94]:sd a1, 1368(tp)<br>  |
| 449|[0x80006e10]<br>0x666666666666664A|- rs1_val==7378697629483820647 and imm_val==45<br>                                                                                                                                                  |[0x80002fb8]:xori a1, a0, 45<br> [0x80002fbc]:sd a1, 1376(tp)<br>    |
| 450|[0x80006e18]<br>0x6666666666666665|- rs1_val==7378697629483820647 and imm_val==2<br>                                                                                                                                                   |[0x80002fe0]:xori a1, a0, 2<br> [0x80002fe4]:sd a1, 1384(tp)<br>     |
| 451|[0x80006e20]<br>0x6666666666666333|- rs1_val==7378697629483820647 and imm_val==1364<br>                                                                                                                                                |[0x80003008]:xori a1, a0, 1364<br> [0x8000300c]:sd a1, 1392(tp)<br>  |
| 452|[0x80006e28]<br>0x6666666666666667|- rs1_val==7378697629483820647 and imm_val==0<br>                                                                                                                                                   |[0x80003030]:xori a1, a0, 0<br> [0x80003034]:sd a1, 1400(tp)<br>     |
| 453|[0x80006e30]<br>0x6666666666666663|- rs1_val==7378697629483820647 and imm_val==4<br>                                                                                                                                                   |[0x80003058]:xori a1, a0, 4<br> [0x8000305c]:sd a1, 1408(tp)<br>     |
| 454|[0x80006e38]<br>0x6666666666666555|- rs1_val==7378697629483820647 and imm_val==818<br>                                                                                                                                                 |[0x80003080]:xori a1, a0, 818<br> [0x80003084]:sd a1, 1416(tp)<br>   |
| 455|[0x80006e40]<br>0x6666666666666002|- rs1_val==7378697629483820647 and imm_val==1637<br>                                                                                                                                                |[0x800030a8]:xori a1, a0, 1637<br> [0x800030ac]:sd a1, 1424(tp)<br>  |
| 456|[0x80006e48]<br>0x666666666666664B|- rs1_val==7378697629483820647 and imm_val==44<br>                                                                                                                                                  |[0x800030d0]:xori a1, a0, 44<br> [0x800030d4]:sd a1, 1432(tp)<br>    |
| 457|[0x80006e50]<br>0x6666666666666331|- rs1_val==7378697629483820647 and imm_val==1366<br>                                                                                                                                                |[0x800030f8]:xori a1, a0, 1366<br> [0x800030fc]:sd a1, 1440(tp)<br>  |
| 458|[0x80006e58]<br>0x9999999999999CCC|- rs1_val==7378697629483820647 and imm_val==-1365<br>                                                                                                                                               |[0x80003120]:xori a1, a0, 2731<br> [0x80003124]:sd a1, 1448(tp)<br>  |
| 459|[0x80006e60]<br>0x6666666666666661|- rs1_val==7378697629483820647 and imm_val==6<br>                                                                                                                                                   |[0x80003148]:xori a1, a0, 6<br> [0x8000314c]:sd a1, 1456(tp)<br>     |
| 460|[0x80006e68]<br>0x6666666666666553|- rs1_val==7378697629483820647 and imm_val==820<br>                                                                                                                                                 |[0x80003170]:xori a1, a0, 820<br> [0x80003174]:sd a1, 1464(tp)<br>   |
| 461|[0x80006e70]<br>0x6666666666666000|- rs1_val==7378697629483820647 and imm_val==1639<br>                                                                                                                                                |[0x80003198]:xori a1, a0, 1639<br> [0x8000319c]:sd a1, 1472(tp)<br>  |
| 462|[0x80006e78]<br>0x99999999999999B3|- rs1_val==7378697629483820647 and imm_val==-44<br>                                                                                                                                                 |[0x800031c0]:xori a1, a0, 4052<br> [0x800031c4]:sd a1, 1480(tp)<br>  |
| 463|[0x80006e80]<br>0x6666666666666649|- rs1_val==7378697629483820647 and imm_val==46<br>                                                                                                                                                  |[0x800031e8]:xori a1, a0, 46<br> [0x800031ec]:sd a1, 1488(tp)<br>    |
| 464|[0x80006e88]<br>0xFFFFFFFF4AFB0CCD|- rs1_val==-3037000498 and imm_val==3<br>                                                                                                                                                           |[0x80003200]:xori a1, a0, 3<br> [0x80003204]:sd a1, 1496(tp)<br>     |
| 465|[0x80006e90]<br>0xFFFFFFFF4AFB099B|- rs1_val==-3037000498 and imm_val==1365<br>                                                                                                                                                        |[0x80003218]:xori a1, a0, 1365<br> [0x8000321c]:sd a1, 1504(tp)<br>  |
| 466|[0x80006e98]<br>0x00000000B504F664|- rs1_val==-3037000498 and imm_val==-1366<br>                                                                                                                                                       |[0x80003230]:xori a1, a0, 2730<br> [0x80003234]:sd a1, 1512(tp)<br>  |
| 467|[0x80006ea0]<br>0xFFFFFFFF4AFB0CCB|- rs1_val==-3037000498 and imm_val==5<br>                                                                                                                                                           |[0x80003248]:xori a1, a0, 5<br> [0x8000324c]:sd a1, 1520(tp)<br>     |
| 468|[0x80006ea8]<br>0xFFFFFFFF4AFB0FFD|- rs1_val==-3037000498 and imm_val==819<br>                                                                                                                                                         |[0x80003260]:xori a1, a0, 819<br> [0x80003264]:sd a1, 1528(tp)<br>   |
| 469|[0x80006eb0]<br>0xFFFFFFFF4AFB0AA8|- rs1_val==-3037000498 and imm_val==1638<br>                                                                                                                                                        |[0x80003278]:xori a1, a0, 1638<br> [0x8000327c]:sd a1, 1536(tp)<br>  |
| 470|[0x80006eb8]<br>0x00000000B504F31D|- rs1_val==-3037000498 and imm_val==-45<br>                                                                                                                                                         |[0x80003290]:xori a1, a0, 4051<br> [0x80003294]:sd a1, 1544(tp)<br>  |
| 471|[0x80006ec0]<br>0xFFFFFFFF4AFB0CE3|- rs1_val==-3037000498 and imm_val==45<br>                                                                                                                                                          |[0x800032a8]:xori a1, a0, 45<br> [0x800032ac]:sd a1, 1552(tp)<br>    |
| 472|[0x80006ec8]<br>0xFFFFFFFF4AFB0CCC|- rs1_val==-3037000498 and imm_val==2<br>                                                                                                                                                           |[0x800032c0]:xori a1, a0, 2<br> [0x800032c4]:sd a1, 1560(tp)<br>     |
| 473|[0x80006ed0]<br>0xFFFFFFFF4AFB099A|- rs1_val==-3037000498 and imm_val==1364<br>                                                                                                                                                        |[0x800032d8]:xori a1, a0, 1364<br> [0x800032dc]:sd a1, 1568(tp)<br>  |
| 474|[0x80006ed8]<br>0xFFFFFFFF4AFB0CCE|- rs1_val==-3037000498 and imm_val==0<br>                                                                                                                                                           |[0x800032f0]:xori a1, a0, 0<br> [0x800032f4]:sd a1, 1576(tp)<br>     |
| 475|[0x80006ee0]<br>0xFFFFFFFF4AFB0CCA|- rs1_val==-3037000498 and imm_val==4<br>                                                                                                                                                           |[0x80003308]:xori a1, a0, 4<br> [0x8000330c]:sd a1, 1584(tp)<br>     |
| 476|[0x80006ee8]<br>0xFFFFFFFF4AFB0FFC|- rs1_val==-3037000498 and imm_val==818<br>                                                                                                                                                         |[0x80003320]:xori a1, a0, 818<br> [0x80003324]:sd a1, 1592(tp)<br>   |
| 477|[0x80006ef0]<br>0xFFFFFFFF4AFB0AAB|- rs1_val==-3037000498 and imm_val==1637<br>                                                                                                                                                        |[0x80003338]:xori a1, a0, 1637<br> [0x8000333c]:sd a1, 1600(tp)<br>  |
| 478|[0x80006ef8]<br>0xFFFFFFFF4AFB0CE2|- rs1_val==-3037000498 and imm_val==44<br>                                                                                                                                                          |[0x80003350]:xori a1, a0, 44<br> [0x80003354]:sd a1, 1608(tp)<br>    |
| 479|[0x80006f00]<br>0xFFFFFFFF4AFB0998|- rs1_val==-3037000498 and imm_val==1366<br>                                                                                                                                                        |[0x80003368]:xori a1, a0, 1366<br> [0x8000336c]:sd a1, 1616(tp)<br>  |
| 480|[0x80006f08]<br>0x00000000B504F665|- rs1_val==-3037000498 and imm_val==-1365<br>                                                                                                                                                       |[0x80003380]:xori a1, a0, 2731<br> [0x80003384]:sd a1, 1624(tp)<br>  |
| 481|[0x80006f10]<br>0xFFFFFFFF4AFB0CC8|- rs1_val==-3037000498 and imm_val==6<br>                                                                                                                                                           |[0x80003398]:xori a1, a0, 6<br> [0x8000339c]:sd a1, 1632(tp)<br>     |
| 482|[0x80006f18]<br>0xFFFFFFFF4AFB0FFA|- rs1_val==-3037000498 and imm_val==820<br>                                                                                                                                                         |[0x800033b0]:xori a1, a0, 820<br> [0x800033b4]:sd a1, 1640(tp)<br>   |
| 483|[0x80006f20]<br>0xFFFFFFFF4AFB0AA9|- rs1_val==-3037000498 and imm_val==1639<br>                                                                                                                                                        |[0x800033c8]:xori a1, a0, 1639<br> [0x800033cc]:sd a1, 1648(tp)<br>  |
| 484|[0x80006f28]<br>0x00000000B504F31A|- rs1_val==-3037000498 and imm_val==-44<br>                                                                                                                                                         |[0x800033e0]:xori a1, a0, 4052<br> [0x800033e4]:sd a1, 1656(tp)<br>  |
| 485|[0x80006f30]<br>0xFFFFFFFF4AFB0CE0|- rs1_val==-3037000498 and imm_val==46<br>                                                                                                                                                          |[0x800033f8]:xori a1, a0, 46<br> [0x800033fc]:sd a1, 1664(tp)<br>    |
| 486|[0x80006f38]<br>0x00000000B504F337|- rs1_val==3037000500 and imm_val==3<br>                                                                                                                                                            |[0x80003410]:xori a1, a0, 3<br> [0x80003414]:sd a1, 1672(tp)<br>     |
| 487|[0x80006f40]<br>0x00000000B504F661|- rs1_val==3037000500 and imm_val==1365<br>                                                                                                                                                         |[0x80003428]:xori a1, a0, 1365<br> [0x8000342c]:sd a1, 1680(tp)<br>  |
| 488|[0x80006f48]<br>0xFFFFFFFF4AFB099E|- rs1_val==3037000500 and imm_val==-1366<br>                                                                                                                                                        |[0x80003440]:xori a1, a0, 2730<br> [0x80003444]:sd a1, 1688(tp)<br>  |
| 489|[0x80006f50]<br>0x00000000B504F331|- rs1_val==3037000500 and imm_val==5<br>                                                                                                                                                            |[0x80003458]:xori a1, a0, 5<br> [0x8000345c]:sd a1, 1696(tp)<br>     |
| 490|[0x80006f58]<br>0x00000000B504F007|- rs1_val==3037000500 and imm_val==819<br>                                                                                                                                                          |[0x80003470]:xori a1, a0, 819<br> [0x80003474]:sd a1, 1704(tp)<br>   |
| 491|[0x80006f60]<br>0x00000000B504F552|- rs1_val==3037000500 and imm_val==1638<br>                                                                                                                                                         |[0x80003488]:xori a1, a0, 1638<br> [0x8000348c]:sd a1, 1712(tp)<br>  |
| 492|[0x80006f68]<br>0xFFFFFFFF4AFB0CE7|- rs1_val==3037000500 and imm_val==-45<br>                                                                                                                                                          |[0x800034a0]:xori a1, a0, 4051<br> [0x800034a4]:sd a1, 1720(tp)<br>  |
| 493|[0x80006f70]<br>0x00000000B504F319|- rs1_val==3037000500 and imm_val==45<br>                                                                                                                                                           |[0x800034b8]:xori a1, a0, 45<br> [0x800034bc]:sd a1, 1728(tp)<br>    |
| 494|[0x80006f78]<br>0x00000000B504F336|- rs1_val==3037000500 and imm_val==2<br>                                                                                                                                                            |[0x800034d0]:xori a1, a0, 2<br> [0x800034d4]:sd a1, 1736(tp)<br>     |
| 495|[0x80006f80]<br>0x00000000B504F660|- rs1_val==3037000500 and imm_val==1364<br>                                                                                                                                                         |[0x800034e8]:xori a1, a0, 1364<br> [0x800034ec]:sd a1, 1744(tp)<br>  |
| 496|[0x80006f88]<br>0x00000000B504F334|- rs1_val==3037000500 and imm_val==0<br>                                                                                                                                                            |[0x80003500]:xori a1, a0, 0<br> [0x80003504]:sd a1, 1752(tp)<br>     |
| 497|[0x80006f90]<br>0x00000000B504F330|- rs1_val==3037000500 and imm_val==4<br>                                                                                                                                                            |[0x80003518]:xori a1, a0, 4<br> [0x8000351c]:sd a1, 1760(tp)<br>     |
| 498|[0x80006f98]<br>0x00000000B504F006|- rs1_val==3037000500 and imm_val==818<br>                                                                                                                                                          |[0x80003530]:xori a1, a0, 818<br> [0x80003534]:sd a1, 1768(tp)<br>   |
| 499|[0x80006fa0]<br>0x00000000B504F551|- rs1_val==3037000500 and imm_val==1637<br>                                                                                                                                                         |[0x80003548]:xori a1, a0, 1637<br> [0x8000354c]:sd a1, 1776(tp)<br>  |
| 500|[0x80006fa8]<br>0x00000000B504F318|- rs1_val==3037000500 and imm_val==44<br>                                                                                                                                                           |[0x80003560]:xori a1, a0, 44<br> [0x80003564]:sd a1, 1784(tp)<br>    |
| 501|[0x80006fb0]<br>0x00000000B504F662|- rs1_val==3037000500 and imm_val==1366<br>                                                                                                                                                         |[0x80003578]:xori a1, a0, 1366<br> [0x8000357c]:sd a1, 1792(tp)<br>  |
| 502|[0x80006fb8]<br>0xFFFFFFFF4AFB099F|- rs1_val==3037000500 and imm_val==-1365<br>                                                                                                                                                        |[0x80003590]:xori a1, a0, 2731<br> [0x80003594]:sd a1, 1800(tp)<br>  |
| 503|[0x80006fc0]<br>0x00000000B504F332|- rs1_val==3037000500 and imm_val==6<br>                                                                                                                                                            |[0x800035a8]:xori a1, a0, 6<br> [0x800035ac]:sd a1, 1808(tp)<br>     |
| 504|[0x80006fc8]<br>0x00000000B504F000|- rs1_val==3037000500 and imm_val==820<br>                                                                                                                                                          |[0x800035c0]:xori a1, a0, 820<br> [0x800035c4]:sd a1, 1816(tp)<br>   |
| 505|[0x80006fd0]<br>0x00000000B504F553|- rs1_val==3037000500 and imm_val==1639<br>                                                                                                                                                         |[0x800035d8]:xori a1, a0, 1639<br> [0x800035dc]:sd a1, 1824(tp)<br>  |
| 506|[0x80006fd8]<br>0xFFFFFFFF4AFB0CE0|- rs1_val==3037000500 and imm_val==-44<br>                                                                                                                                                          |[0x800035f0]:xori a1, a0, 4052<br> [0x800035f4]:sd a1, 1832(tp)<br>  |
| 507|[0x80006fe0]<br>0x00000000B504F31A|- rs1_val==3037000500 and imm_val==46<br>                                                                                                                                                           |[0x80003608]:xori a1, a0, 46<br> [0x8000360c]:sd a1, 1840(tp)<br>    |
| 508|[0x80006fe8]<br>0x0000000000000002|- rs1_val==0 and imm_val==2<br>                                                                                                                                                                     |[0x80003614]:xori a1, a0, 2<br> [0x80003618]:sd a1, 1848(tp)<br>     |
| 509|[0x80006ff0]<br>0x0000000000000554|- rs1_val==0 and imm_val==1364<br>                                                                                                                                                                  |[0x80003620]:xori a1, a0, 1364<br> [0x80003624]:sd a1, 1856(tp)<br>  |
| 510|[0x80006ff8]<br>0x0000000000000004|- rs1_val==0 and imm_val==4<br>                                                                                                                                                                     |[0x8000362c]:xori a1, a0, 4<br> [0x80003630]:sd a1, 1864(tp)<br>     |
| 511|[0x80007000]<br>0x0000000000000332|- rs1_val==0 and imm_val==818<br>                                                                                                                                                                   |[0x80003638]:xori a1, a0, 818<br> [0x8000363c]:sd a1, 1872(tp)<br>   |
| 512|[0x80007008]<br>0x0000000000000665|- rs1_val==0 and imm_val==1637<br>                                                                                                                                                                  |[0x80003644]:xori a1, a0, 1637<br> [0x80003648]:sd a1, 1880(tp)<br>  |
| 513|[0x80007010]<br>0x000000000000002C|- rs1_val==0 and imm_val==44<br>                                                                                                                                                                    |[0x80003650]:xori a1, a0, 44<br> [0x80003654]:sd a1, 1888(tp)<br>    |
| 514|[0x80007018]<br>0x0000000000000556|- rs1_val==0 and imm_val==1366<br>                                                                                                                                                                  |[0x8000365c]:xori a1, a0, 1366<br> [0x80003660]:sd a1, 1896(tp)<br>  |
| 515|[0x80007020]<br>0xFFFFFFFFFFFFFAAB|- rs1_val==0 and imm_val==-1365<br>                                                                                                                                                                 |[0x80003668]:xori a1, a0, 2731<br> [0x8000366c]:sd a1, 1904(tp)<br>  |
| 516|[0x80007028]<br>0x0000000000000006|- rs1_val==0 and imm_val==6<br>                                                                                                                                                                     |[0x80003674]:xori a1, a0, 6<br> [0x80003678]:sd a1, 1912(tp)<br>     |
| 517|[0x80007030]<br>0x0000000000000334|- rs1_val==0 and imm_val==820<br>                                                                                                                                                                   |[0x80003680]:xori a1, a0, 820<br> [0x80003684]:sd a1, 1920(tp)<br>   |
| 518|[0x80007038]<br>0x0000000000000667|- rs1_val==0 and imm_val==1639<br>                                                                                                                                                                  |[0x8000368c]:xori a1, a0, 1639<br> [0x80003690]:sd a1, 1928(tp)<br>  |
| 519|[0x80007040]<br>0xFFFFFFFFFFFFFFD4|- rs1_val==0 and imm_val==-44<br>                                                                                                                                                                   |[0x80003698]:xori a1, a0, 4052<br> [0x8000369c]:sd a1, 1936(tp)<br>  |
| 520|[0x80007048]<br>0x000000000000002E|- rs1_val==0 and imm_val==46<br>                                                                                                                                                                    |[0x800036a4]:xori a1, a0, 46<br> [0x800036a8]:sd a1, 1944(tp)<br>    |
| 521|[0x80007050]<br>0x0000000000000007|- rs1_val==4 and imm_val==3<br>                                                                                                                                                                     |[0x800036b0]:xori a1, a0, 3<br> [0x800036b4]:sd a1, 1952(tp)<br>     |
| 522|[0x80007058]<br>0x0000000000000551|- rs1_val==4 and imm_val==1365<br>                                                                                                                                                                  |[0x800036bc]:xori a1, a0, 1365<br> [0x800036c0]:sd a1, 1960(tp)<br>  |
| 523|[0x80007060]<br>0xFFFFFFFFFFFFFAAE|- rs1_val==4 and imm_val==-1366<br>                                                                                                                                                                 |[0x800036c8]:xori a1, a0, 2730<br> [0x800036cc]:sd a1, 1968(tp)<br>  |
| 524|[0x80007068]<br>0x0000000000000001|- rs1_val==4 and imm_val==5<br>                                                                                                                                                                     |[0x800036d4]:xori a1, a0, 5<br> [0x800036d8]:sd a1, 1976(tp)<br>     |
| 525|[0x80007070]<br>0x0000000000000337|- rs1_val==4 and imm_val==819<br>                                                                                                                                                                   |[0x800036e0]:xori a1, a0, 819<br> [0x800036e4]:sd a1, 1984(tp)<br>   |
| 526|[0x80007078]<br>0x0000000000000662|- rs1_val==4 and imm_val==1638<br>                                                                                                                                                                  |[0x800036ec]:xori a1, a0, 1638<br> [0x800036f0]:sd a1, 1992(tp)<br>  |
| 527|[0x80007080]<br>0xFFFFFFFFFFFFFFD7|- rs1_val==4 and imm_val==-45<br>                                                                                                                                                                   |[0x800036f8]:xori a1, a0, 4051<br> [0x800036fc]:sd a1, 2000(tp)<br>  |
| 528|[0x80007088]<br>0x0000000000000029|- rs1_val==4 and imm_val==45<br>                                                                                                                                                                    |[0x80003704]:xori a1, a0, 45<br> [0x80003708]:sd a1, 2008(tp)<br>    |
| 529|[0x80007090]<br>0x0000000000000006|- rs1_val==4 and imm_val==2<br>                                                                                                                                                                     |[0x80003710]:xori a1, a0, 2<br> [0x80003714]:sd a1, 2016(tp)<br>     |
| 530|[0x80007098]<br>0x0000000000000550|- rs1_val==4 and imm_val==1364<br>                                                                                                                                                                  |[0x8000371c]:xori a1, a0, 1364<br> [0x80003720]:sd a1, 2024(tp)<br>  |
| 531|[0x800070a0]<br>0x0000000000000004|- rs1_val==4 and imm_val==0<br>                                                                                                                                                                     |[0x80003728]:xori a1, a0, 0<br> [0x8000372c]:sd a1, 2032(tp)<br>     |
| 532|[0x800070a8]<br>0x0000000000000000|- rs1_val==4 and imm_val==4<br>                                                                                                                                                                     |[0x80003734]:xori a1, a0, 4<br> [0x80003738]:sd a1, 2040(tp)<br>     |
| 533|[0x800070b0]<br>0x0000000000000336|- rs1_val==4 and imm_val==818<br>                                                                                                                                                                   |[0x80003748]:xori a1, a0, 818<br> [0x8000374c]:sd a1, 0(tp)<br>      |
| 534|[0x800070b8]<br>0x0000000000000661|- rs1_val==4 and imm_val==1637<br>                                                                                                                                                                  |[0x80003754]:xori a1, a0, 1637<br> [0x80003758]:sd a1, 8(tp)<br>     |
| 535|[0x800070c0]<br>0x0000000000000028|- rs1_val==4 and imm_val==44<br>                                                                                                                                                                    |[0x80003760]:xori a1, a0, 44<br> [0x80003764]:sd a1, 16(tp)<br>      |
| 536|[0x800070c8]<br>0x0000000000000552|- rs1_val==4 and imm_val==1366<br>                                                                                                                                                                  |[0x8000376c]:xori a1, a0, 1366<br> [0x80003770]:sd a1, 24(tp)<br>    |
| 537|[0x800070d0]<br>0xFFFFFFFFFFFFFAAF|- rs1_val==4 and imm_val==-1365<br>                                                                                                                                                                 |[0x80003778]:xori a1, a0, 2731<br> [0x8000377c]:sd a1, 32(tp)<br>    |
| 538|[0x800070d8]<br>0x0000000000000002|- rs1_val==4 and imm_val==6<br>                                                                                                                                                                     |[0x80003784]:xori a1, a0, 6<br> [0x80003788]:sd a1, 40(tp)<br>       |
| 539|[0x800070e0]<br>0x0000000000000330|- rs1_val==4 and imm_val==820<br>                                                                                                                                                                   |[0x80003790]:xori a1, a0, 820<br> [0x80003794]:sd a1, 48(tp)<br>     |
| 540|[0x800070e8]<br>0x0000000000000663|- rs1_val==4 and imm_val==1639<br>                                                                                                                                                                  |[0x8000379c]:xori a1, a0, 1639<br> [0x800037a0]:sd a1, 56(tp)<br>    |
| 541|[0x800070f0]<br>0xFFFFFFFFFFFFFFD0|- rs1_val==4 and imm_val==-44<br>                                                                                                                                                                   |[0x800037a8]:xori a1, a0, 4052<br> [0x800037ac]:sd a1, 64(tp)<br>    |
| 542|[0x800070f8]<br>0x000000000000002A|- rs1_val==4 and imm_val==46<br>                                                                                                                                                                    |[0x800037b4]:xori a1, a0, 46<br> [0x800037b8]:sd a1, 72(tp)<br>      |
| 543|[0x80007100]<br>0x3333333333333331|- rs1_val==3689348814741910322 and imm_val==3<br>                                                                                                                                                   |[0x800037dc]:xori a1, a0, 3<br> [0x800037e0]:sd a1, 80(tp)<br>       |
| 544|[0x80007108]<br>0x3333333333333667|- rs1_val==3689348814741910322 and imm_val==1365<br>                                                                                                                                                |[0x80003804]:xori a1, a0, 1365<br> [0x80003808]:sd a1, 88(tp)<br>    |
| 545|[0x80007110]<br>0xCCCCCCCCCCCCC998|- rs1_val==3689348814741910322 and imm_val==-1366<br>                                                                                                                                               |[0x8000382c]:xori a1, a0, 2730<br> [0x80003830]:sd a1, 96(tp)<br>    |
| 546|[0x80007118]<br>0x3333333333333337|- rs1_val==3689348814741910322 and imm_val==5<br>                                                                                                                                                   |[0x80003854]:xori a1, a0, 5<br> [0x80003858]:sd a1, 104(tp)<br>      |
| 547|[0x80007120]<br>0x3333333333333001|- rs1_val==3689348814741910322 and imm_val==819<br>                                                                                                                                                 |[0x8000387c]:xori a1, a0, 819<br> [0x80003880]:sd a1, 112(tp)<br>    |
| 548|[0x80007128]<br>0x3333333333333554|- rs1_val==3689348814741910322 and imm_val==1638<br>                                                                                                                                                |[0x800038a4]:xori a1, a0, 1638<br> [0x800038a8]:sd a1, 120(tp)<br>   |
| 549|[0x80007130]<br>0xCCCCCCCCCCCCCCE1|- rs1_val==3689348814741910322 and imm_val==-45<br>                                                                                                                                                 |[0x800038cc]:xori a1, a0, 4051<br> [0x800038d0]:sd a1, 128(tp)<br>   |
| 550|[0x80007138]<br>0x333333333333331F|- rs1_val==3689348814741910322 and imm_val==45<br>                                                                                                                                                  |[0x800038f4]:xori a1, a0, 45<br> [0x800038f8]:sd a1, 136(tp)<br>     |
| 551|[0x80007140]<br>0x3333333333333330|- rs1_val==3689348814741910322 and imm_val==2<br>                                                                                                                                                   |[0x8000391c]:xori a1, a0, 2<br> [0x80003920]:sd a1, 144(tp)<br>      |
| 552|[0x80007148]<br>0x3333333333333666|- rs1_val==3689348814741910322 and imm_val==1364<br>                                                                                                                                                |[0x80003944]:xori a1, a0, 1364<br> [0x80003948]:sd a1, 152(tp)<br>   |
| 553|[0x80007150]<br>0x3333333333333332|- rs1_val==3689348814741910322 and imm_val==0<br>                                                                                                                                                   |[0x8000396c]:xori a1, a0, 0<br> [0x80003970]:sd a1, 160(tp)<br>      |
| 554|[0x80007158]<br>0x3333333333333336|- rs1_val==3689348814741910322 and imm_val==4<br>                                                                                                                                                   |[0x80003994]:xori a1, a0, 4<br> [0x80003998]:sd a1, 168(tp)<br>      |
| 555|[0x80007160]<br>0x3333333333333000|- rs1_val==3689348814741910322 and imm_val==818<br>                                                                                                                                                 |[0x800039bc]:xori a1, a0, 818<br> [0x800039c0]:sd a1, 176(tp)<br>    |
| 556|[0x80007168]<br>0x3333333333333557|- rs1_val==3689348814741910322 and imm_val==1637<br>                                                                                                                                                |[0x800039e4]:xori a1, a0, 1637<br> [0x800039e8]:sd a1, 184(tp)<br>   |
| 557|[0x80007170]<br>0x333333333333331E|- rs1_val==3689348814741910322 and imm_val==44<br>                                                                                                                                                  |[0x80003a0c]:xori a1, a0, 44<br> [0x80003a10]:sd a1, 192(tp)<br>     |
| 558|[0x80007178]<br>0x3333333333333664|- rs1_val==3689348814741910322 and imm_val==1366<br>                                                                                                                                                |[0x80003a34]:xori a1, a0, 1366<br> [0x80003a38]:sd a1, 200(tp)<br>   |
| 559|[0x80007180]<br>0xCCCCCCCCCCCCC999|- rs1_val==3689348814741910322 and imm_val==-1365<br>                                                                                                                                               |[0x80003a5c]:xori a1, a0, 2731<br> [0x80003a60]:sd a1, 208(tp)<br>   |
| 560|[0x80007188]<br>0x3333333333333334|- rs1_val==3689348814741910322 and imm_val==6<br>                                                                                                                                                   |[0x80003a84]:xori a1, a0, 6<br> [0x80003a88]:sd a1, 216(tp)<br>      |
| 561|[0x80007190]<br>0x3333333333333006|- rs1_val==3689348814741910322 and imm_val==820<br>                                                                                                                                                 |[0x80003aac]:xori a1, a0, 820<br> [0x80003ab0]:sd a1, 224(tp)<br>    |
| 562|[0x80007198]<br>0x3333333333333555|- rs1_val==3689348814741910322 and imm_val==1639<br>                                                                                                                                                |[0x80003ad4]:xori a1, a0, 1639<br> [0x80003ad8]:sd a1, 232(tp)<br>   |
| 563|[0x800071a0]<br>0xCCCCCCCCCCCCCCE6|- rs1_val==3689348814741910322 and imm_val==-44<br>                                                                                                                                                 |[0x80003afc]:xori a1, a0, 4052<br> [0x80003b00]:sd a1, 240(tp)<br>   |
| 564|[0x800071a8]<br>0x333333333333331C|- rs1_val==3689348814741910322 and imm_val==46<br>                                                                                                                                                  |[0x80003b24]:xori a1, a0, 46<br> [0x80003b28]:sd a1, 248(tp)<br>     |
| 565|[0x800071b0]<br>0x6666666666666666|- rs1_val==7378697629483820645 and imm_val==3<br>                                                                                                                                                   |[0x80003b4c]:xori a1, a0, 3<br> [0x80003b50]:sd a1, 256(tp)<br>      |
| 566|[0x800071b8]<br>0x6666666666666330|- rs1_val==7378697629483820645 and imm_val==1365<br>                                                                                                                                                |[0x80003b74]:xori a1, a0, 1365<br> [0x80003b78]:sd a1, 264(tp)<br>   |
| 567|[0x800071c0]<br>0x9999999999999CCF|- rs1_val==7378697629483820645 and imm_val==-1366<br>                                                                                                                                               |[0x80003b9c]:xori a1, a0, 2730<br> [0x80003ba0]:sd a1, 272(tp)<br>   |
| 568|[0x800071c8]<br>0x6666666666666660|- rs1_val==7378697629483820645 and imm_val==5<br>                                                                                                                                                   |[0x80003bc4]:xori a1, a0, 5<br> [0x80003bc8]:sd a1, 280(tp)<br>      |
| 569|[0x800071d0]<br>0x6666666666666556|- rs1_val==7378697629483820645 and imm_val==819<br>                                                                                                                                                 |[0x80003bec]:xori a1, a0, 819<br> [0x80003bf0]:sd a1, 288(tp)<br>    |
| 570|[0x800071d8]<br>0x6666666666666003|- rs1_val==7378697629483820645 and imm_val==1638<br>                                                                                                                                                |[0x80003c14]:xori a1, a0, 1638<br> [0x80003c18]:sd a1, 296(tp)<br>   |
| 571|[0x800071e0]<br>0x99999999999999B6|- rs1_val==7378697629483820645 and imm_val==-45<br>                                                                                                                                                 |[0x80003c3c]:xori a1, a0, 4051<br> [0x80003c40]:sd a1, 304(tp)<br>   |
| 572|[0x800071e8]<br>0x6666666666666648|- rs1_val==7378697629483820645 and imm_val==45<br>                                                                                                                                                  |[0x80003c64]:xori a1, a0, 45<br> [0x80003c68]:sd a1, 312(tp)<br>     |
| 573|[0x800071f0]<br>0x6666666666666667|- rs1_val==7378697629483820645 and imm_val==2<br>                                                                                                                                                   |[0x80003c8c]:xori a1, a0, 2<br> [0x80003c90]:sd a1, 320(tp)<br>      |
| 574|[0x800071f8]<br>0x6666666666666331|- rs1_val==7378697629483820645 and imm_val==1364<br>                                                                                                                                                |[0x80003cb4]:xori a1, a0, 1364<br> [0x80003cb8]:sd a1, 328(tp)<br>   |
| 575|[0x80007200]<br>0x6666666666666665|- rs1_val==7378697629483820645 and imm_val==0<br>                                                                                                                                                   |[0x80003cdc]:xori a1, a0, 0<br> [0x80003ce0]:sd a1, 336(tp)<br>      |
| 576|[0x80007208]<br>0x6666666666666661|- rs1_val==7378697629483820645 and imm_val==4<br>                                                                                                                                                   |[0x80003d04]:xori a1, a0, 4<br> [0x80003d08]:sd a1, 344(tp)<br>      |
| 577|[0x80007210]<br>0x6666666666666557|- rs1_val==7378697629483820645 and imm_val==818<br>                                                                                                                                                 |[0x80003d2c]:xori a1, a0, 818<br> [0x80003d30]:sd a1, 352(tp)<br>    |
| 578|[0x80007218]<br>0x6666666666666000|- rs1_val==7378697629483820645 and imm_val==1637<br>                                                                                                                                                |[0x80003d54]:xori a1, a0, 1637<br> [0x80003d58]:sd a1, 360(tp)<br>   |
| 579|[0x80007220]<br>0x6666666666666649|- rs1_val==7378697629483820645 and imm_val==44<br>                                                                                                                                                  |[0x80003d7c]:xori a1, a0, 44<br> [0x80003d80]:sd a1, 368(tp)<br>     |
| 580|[0x80007228]<br>0x6666666666666333|- rs1_val==7378697629483820645 and imm_val==1366<br>                                                                                                                                                |[0x80003da4]:xori a1, a0, 1366<br> [0x80003da8]:sd a1, 376(tp)<br>   |
| 581|[0x80007230]<br>0x9999999999999CCE|- rs1_val==7378697629483820645 and imm_val==-1365<br>                                                                                                                                               |[0x80003dcc]:xori a1, a0, 2731<br> [0x80003dd0]:sd a1, 384(tp)<br>   |
| 582|[0x80007238]<br>0x6666666666666663|- rs1_val==7378697629483820645 and imm_val==6<br>                                                                                                                                                   |[0x80003df4]:xori a1, a0, 6<br> [0x80003df8]:sd a1, 392(tp)<br>      |
| 583|[0x80007240]<br>0x6666666666666551|- rs1_val==7378697629483820645 and imm_val==820<br>                                                                                                                                                 |[0x80003e1c]:xori a1, a0, 820<br> [0x80003e20]:sd a1, 400(tp)<br>    |
| 584|[0x80007248]<br>0x6666666666666002|- rs1_val==7378697629483820645 and imm_val==1639<br>                                                                                                                                                |[0x80003e44]:xori a1, a0, 1639<br> [0x80003e48]:sd a1, 408(tp)<br>   |
| 585|[0x80007250]<br>0x99999999999999B1|- rs1_val==7378697629483820645 and imm_val==-44<br>                                                                                                                                                 |[0x80003e6c]:xori a1, a0, 4052<br> [0x80003e70]:sd a1, 416(tp)<br>   |
| 586|[0x80007258]<br>0x666666666666664B|- rs1_val==7378697629483820645 and imm_val==46<br>                                                                                                                                                  |[0x80003e94]:xori a1, a0, 46<br> [0x80003e98]:sd a1, 424(tp)<br>     |
| 587|[0x80007260]<br>0x00000000B504F331|- rs1_val==3037000498 and imm_val==3<br>                                                                                                                                                            |[0x80003eac]:xori a1, a0, 3<br> [0x80003eb0]:sd a1, 432(tp)<br>      |
| 588|[0x80007268]<br>0x00000000B504F667|- rs1_val==3037000498 and imm_val==1365<br>                                                                                                                                                         |[0x80003ec4]:xori a1, a0, 1365<br> [0x80003ec8]:sd a1, 440(tp)<br>   |
| 589|[0x80007270]<br>0xFFFFFFFF4AFB0998|- rs1_val==3037000498 and imm_val==-1366<br>                                                                                                                                                        |[0x80003edc]:xori a1, a0, 2730<br> [0x80003ee0]:sd a1, 448(tp)<br>   |
| 590|[0x80007278]<br>0x00000000B504F337|- rs1_val==3037000498 and imm_val==5<br>                                                                                                                                                            |[0x80003ef4]:xori a1, a0, 5<br> [0x80003ef8]:sd a1, 456(tp)<br>      |
| 591|[0x80007280]<br>0x00000000B504F001|- rs1_val==3037000498 and imm_val==819<br>                                                                                                                                                          |[0x80003f0c]:xori a1, a0, 819<br> [0x80003f10]:sd a1, 464(tp)<br>    |
| 592|[0x80007288]<br>0x00000000B504F554|- rs1_val==3037000498 and imm_val==1638<br>                                                                                                                                                         |[0x80003f24]:xori a1, a0, 1638<br> [0x80003f28]:sd a1, 472(tp)<br>   |
| 593|[0x80007290]<br>0xFFFFFFFF4AFB0CE1|- rs1_val==3037000498 and imm_val==-45<br>                                                                                                                                                          |[0x80003f3c]:xori a1, a0, 4051<br> [0x80003f40]:sd a1, 480(tp)<br>   |
| 594|[0x80007298]<br>0x00000000B504F31F|- rs1_val==3037000498 and imm_val==45<br>                                                                                                                                                           |[0x80003f54]:xori a1, a0, 45<br> [0x80003f58]:sd a1, 488(tp)<br>     |
| 595|[0x800072a0]<br>0x00000000B504F330|- rs1_val==3037000498 and imm_val==2<br>                                                                                                                                                            |[0x80003f6c]:xori a1, a0, 2<br> [0x80003f70]:sd a1, 496(tp)<br>      |
| 596|[0x800072a8]<br>0x00000000B504F666|- rs1_val==3037000498 and imm_val==1364<br>                                                                                                                                                         |[0x80003f84]:xori a1, a0, 1364<br> [0x80003f88]:sd a1, 504(tp)<br>   |
| 597|[0x800072b0]<br>0x00000000B504F332|- rs1_val==3037000498 and imm_val==0<br>                                                                                                                                                            |[0x80003f9c]:xori a1, a0, 0<br> [0x80003fa0]:sd a1, 512(tp)<br>      |
| 598|[0x800072b8]<br>0x00000000B504F336|- rs1_val==3037000498 and imm_val==4<br>                                                                                                                                                            |[0x80003fb4]:xori a1, a0, 4<br> [0x80003fb8]:sd a1, 520(tp)<br>      |
| 599|[0x800072c0]<br>0x00000000B504F000|- rs1_val==3037000498 and imm_val==818<br>                                                                                                                                                          |[0x80003fcc]:xori a1, a0, 818<br> [0x80003fd0]:sd a1, 528(tp)<br>    |
| 600|[0x800072c8]<br>0x00000000B504F557|- rs1_val==3037000498 and imm_val==1637<br>                                                                                                                                                         |[0x80003fe4]:xori a1, a0, 1637<br> [0x80003fe8]:sd a1, 536(tp)<br>   |
| 601|[0x800072d0]<br>0x00000000B504F31E|- rs1_val==3037000498 and imm_val==44<br>                                                                                                                                                           |[0x80003ffc]:xori a1, a0, 44<br> [0x80004000]:sd a1, 544(tp)<br>     |
| 602|[0x800072d8]<br>0x00000000B504F664|- rs1_val==3037000498 and imm_val==1366<br>                                                                                                                                                         |[0x80004014]:xori a1, a0, 1366<br> [0x80004018]:sd a1, 552(tp)<br>   |
| 603|[0x800072e0]<br>0xFFFFFFFF4AFB0999|- rs1_val==3037000498 and imm_val==-1365<br>                                                                                                                                                        |[0x8000402c]:xori a1, a0, 2731<br> [0x80004030]:sd a1, 560(tp)<br>   |
| 604|[0x800072e8]<br>0x00000000B504F334|- rs1_val==3037000498 and imm_val==6<br>                                                                                                                                                            |[0x80004044]:xori a1, a0, 6<br> [0x80004048]:sd a1, 568(tp)<br>      |
| 605|[0x800072f0]<br>0x00000000B504F006|- rs1_val==3037000498 and imm_val==820<br>                                                                                                                                                          |[0x8000405c]:xori a1, a0, 820<br> [0x80004060]:sd a1, 576(tp)<br>    |
| 606|[0x800072f8]<br>0x00000000B504F555|- rs1_val==3037000498 and imm_val==1639<br>                                                                                                                                                         |[0x80004074]:xori a1, a0, 1639<br> [0x80004078]:sd a1, 584(tp)<br>   |
| 607|[0x80007300]<br>0xFFFFFFFF4AFB0CE6|- rs1_val==3037000498 and imm_val==-44<br>                                                                                                                                                          |[0x8000408c]:xori a1, a0, 4052<br> [0x80004090]:sd a1, 592(tp)<br>   |
| 608|[0x80007308]<br>0x00000000B504F31C|- rs1_val==3037000498 and imm_val==46<br>                                                                                                                                                           |[0x800040a4]:xori a1, a0, 46<br> [0x800040a8]:sd a1, 600(tp)<br>     |
| 609|[0x80007310]<br>0x5555555555555555|- rs1_val==6148914691236517206 and imm_val==3<br>                                                                                                                                                   |[0x800040cc]:xori a1, a0, 3<br> [0x800040d0]:sd a1, 608(tp)<br>      |
| 610|[0x80007318]<br>0x5555555555555003|- rs1_val==6148914691236517206 and imm_val==1365<br>                                                                                                                                                |[0x800040f4]:xori a1, a0, 1365<br> [0x800040f8]:sd a1, 616(tp)<br>   |
| 611|[0x80007320]<br>0xAAAAAAAAAAAAAFFC|- rs1_val==6148914691236517206 and imm_val==-1366<br>                                                                                                                                               |[0x8000411c]:xori a1, a0, 2730<br> [0x80004120]:sd a1, 624(tp)<br>   |
| 612|[0x80007328]<br>0x5555555555555553|- rs1_val==6148914691236517206 and imm_val==5<br>                                                                                                                                                   |[0x80004144]:xori a1, a0, 5<br> [0x80004148]:sd a1, 632(tp)<br>      |
| 613|[0x80007330]<br>0x5555555555555665|- rs1_val==6148914691236517206 and imm_val==819<br>                                                                                                                                                 |[0x8000416c]:xori a1, a0, 819<br> [0x80004170]:sd a1, 640(tp)<br>    |
| 614|[0x80007338]<br>0x5555555555555330|- rs1_val==6148914691236517206 and imm_val==1638<br>                                                                                                                                                |[0x80004194]:xori a1, a0, 1638<br> [0x80004198]:sd a1, 648(tp)<br>   |
| 615|[0x80007340]<br>0xAAAAAAAAAAAAAA85|- rs1_val==6148914691236517206 and imm_val==-45<br>                                                                                                                                                 |[0x800041bc]:xori a1, a0, 4051<br> [0x800041c0]:sd a1, 656(tp)<br>   |
| 616|[0x80007348]<br>0x555555555555557B|- rs1_val==6148914691236517206 and imm_val==45<br>                                                                                                                                                  |[0x800041e4]:xori a1, a0, 45<br> [0x800041e8]:sd a1, 664(tp)<br>     |
| 617|[0x80007350]<br>0x5555555555555554|- rs1_val==6148914691236517206 and imm_val==2<br>                                                                                                                                                   |[0x8000420c]:xori a1, a0, 2<br> [0x80004210]:sd a1, 672(tp)<br>      |
| 618|[0x80007358]<br>0x5555555555555002|- rs1_val==6148914691236517206 and imm_val==1364<br>                                                                                                                                                |[0x80004234]:xori a1, a0, 1364<br> [0x80004238]:sd a1, 680(tp)<br>   |
| 619|[0x80007360]<br>0x5555555555555556|- rs1_val==6148914691236517206 and imm_val==0<br>                                                                                                                                                   |[0x8000425c]:xori a1, a0, 0<br> [0x80004260]:sd a1, 688(tp)<br>      |
| 620|[0x80007368]<br>0x5555555555555552|- rs1_val==6148914691236517206 and imm_val==4<br>                                                                                                                                                   |[0x80004284]:xori a1, a0, 4<br> [0x80004288]:sd a1, 696(tp)<br>      |
| 621|[0x80007370]<br>0x5555555555555664|- rs1_val==6148914691236517206 and imm_val==818<br>                                                                                                                                                 |[0x800042ac]:xori a1, a0, 818<br> [0x800042b0]:sd a1, 704(tp)<br>    |
| 622|[0x80007378]<br>0x5555555555555333|- rs1_val==6148914691236517206 and imm_val==1637<br>                                                                                                                                                |[0x800042d4]:xori a1, a0, 1637<br> [0x800042d8]:sd a1, 712(tp)<br>   |
| 623|[0x80007380]<br>0x0000000200000040|- rs1_val == -8589934593<br>                                                                                                                                                                        |[0x800042e8]:xori a1, a0, 4031<br> [0x800042ec]:sd a1, 720(tp)<br>   |
